#include "Vehicle.h"

void Detumble()
{
	  real_T tmpForInput_idx_0;

	  /* Outputs for IfAction SubSystem: '<S1>/Detumble Mode' incorporates:
	     *  ActionPort: '<S2>/Action Port'
	     */
	    /* Outport: '<Root>/Bbody' incorporates:
	     *  Inport: '<Root>/Bmgm'
	     *  Inport: '<S2>/Bmgm'
	     */
	    /* MATLAB Function 'Vehicle Flight Software/Detumble Mode/Derivative Function': '<S5>:1' */
	    /* '<S5>:1:4' if isempty (state) */
	    /* '<S5>:1:7' bdot = b-state; */
	    /* '<S5>:1:8' state = b; */
	    Vehicle_Y.Bbody[0] = Vehicle_U.Bmgm[0];

	    /* MATLAB Function: '<S2>/Derivative Function' incorporates:
	     *  Outport: '<Root>/Bbody'
	     */
	    Vehicle_B.bdot[0] = Vehicle_Y.Bbody[0] - Vehicle_DW.state[0];
	    Vehicle_DW.state[0] = Vehicle_Y.Bbody[0];

	    /* Outport: '<Root>/Bbody' incorporates:
	     *  Inport: '<Root>/Bmgm'
	     *  Inport: '<S2>/Bmgm'
	     */
	    Vehicle_Y.Bbody[1] = Vehicle_U.Bmgm[1];

	    /* MATLAB Function: '<S2>/Derivative Function' incorporates:
	     *  Outport: '<Root>/Bbody'
	     */
	    Vehicle_B.bdot[1] = Vehicle_Y.Bbody[1] - Vehicle_DW.state[1];
	    Vehicle_DW.state[1] = Vehicle_Y.Bbody[1];

	    /* Outport: '<Root>/Bbody' incorporates:
	     *  Inport: '<Root>/Bmgm'
	     *  Inport: '<S2>/Bmgm'
	     */
	    Vehicle_Y.Bbody[2] = Vehicle_U.Bmgm[2];

	    /* MATLAB Function: '<S2>/Derivative Function' incorporates:
	     *  Outport: '<Root>/Bbody'
	     */
	    Vehicle_B.bdot[2] = Vehicle_Y.Bbody[2] - Vehicle_DW.state[2];
	    Vehicle_DW.state[2] = Vehicle_Y.Bbody[2];

	    /* MATLAB Function: '<S2>/Magnetroquer control' */
	    /* MATLAB Function 'Vehicle Flight Software/Detumble Mode/Magnetroquer control': '<S6>:1' */
	    /* '<S6>:1:3' mmax=6; */
	    /* '<S6>:1:6' Dipole_x= [-mmax*sign(bdot(1));0;0]; */
	    tmpForInput_idx_0 = (real_T)Vehicle_B.bdot[0];
	   /* if (tmpForInput_idx_0 < 0.0) {
	      tmpForInput_idx_0 = -1.0;
	    } else if (tmpForInput_idx_0 > 0.0) {
	      tmpForInput_idx_0 = 1.0;
	    } else if (tmpForInput_idx_0 == 0.0) {
	      tmpForInput_idx_0 = 0.0;
	    }*/

	    Vehicle_B.norm_b = sqrt((Vehicle_Y.Bbody[0]*Vehicle_Y.Bbody[0])+(Vehicle_Y.Bbody[1]*Vehicle_Y.Bbody[1])+(Vehicle_Y.Bbody[2]*Vehicle_Y.Bbody[2]));

	    if (Vehicle_B.norm_b == 0.0)
	    	Vehicle_B.norm_b = 1.732050807568877e-09;
	    //Vehicle_B.Dipole_x[0] = -6.0 * tmpForInput_idx_0;
	    Vehicle_B.Dipole_x[0] = -1024.0 * Vehicle_B.bdot[0]/Vehicle_B.norm_b;
	    Vehicle_B.Dipole_x[1] = 0.0;
	    Vehicle_B.Dipole_x[2] = 0.0;

	    /* '<S6>:1:7' Dipole_y= [0;-mmax*sign(bdot(2));0]; */
	    Vehicle_B.Dipole_y[0] = 0.0;
	 /*   tmpForInput_idx_0 = (real_T)Vehicle_B.bdot[1];
	    if (tmpForInput_idx_0 < 0.0) {
	      tmpForInput_idx_0 = -1.0;
	    } else if (tmpForInput_idx_0 > 0.0) {
	      tmpForInput_idx_0 = 1.0;
	    } else if (tmpForInput_idx_0 == 0.0) {
	      tmpForInput_idx_0 = 0.0;
	    }
*/
	    //Vehicle_B.Dipole_y[1] = -6.0 * tmpForInput_idx_0;
	    Vehicle_B.Dipole_y[1]  = -1024.0 * Vehicle_B.bdot[1]/Vehicle_B.norm_b;
	    Vehicle_B.Dipole_y[2] = 0.0;

	    /* '<S6>:1:8' Dipole_z= [0;0;-mmax*sign(bdot(3))]; */
	    Vehicle_B.Dipole_z[0] = 0.0;
	    Vehicle_B.Dipole_z[1] = 0.0;
	/*    tmpForInput_idx_0 = (real_T)Vehicle_B.bdot[2];
	    if (tmpForInput_idx_0 < 0.0) {
	      tmpForInput_idx_0 = -1.0;
	    } else if (tmpForInput_idx_0 > 0.0) {
	      tmpForInput_idx_0 = 1.0;
	    } else if (tmpForInput_idx_0 == 0.0) {
	      tmpForInput_idx_0 = 0.0;
	    }*/

	    //Vehicle_B.Dipole_z[2] = -6.0 * tmpForInput_idx_0;
	    Vehicle_B.Dipole_z[2] = -1024.0 * Vehicle_B.bdot[2]/Vehicle_B.norm_b;

	    /* End of MATLAB Function: '<S2>/Magnetroquer control' */

	    /* Merge: '<S1>/Merge' incorporates:
	     *  Sum: '<S2>/Add'
	     */
	    Vehicle_B.Merge[0] = (Vehicle_B.Dipole_x[0] + Vehicle_B.Dipole_y[0]) +
	      Vehicle_B.Dipole_z[0];
	    Vehicle_B.Merge[1] = (Vehicle_B.Dipole_x[1] + Vehicle_B.Dipole_y[1]) +
	      Vehicle_B.Dipole_z[1];
	    Vehicle_B.Merge[2] = (Vehicle_B.Dipole_x[2] + Vehicle_B.Dipole_y[2]) +
	      Vehicle_B.Dipole_z[2];

	    /* End of Outputs for SubSystem: '<S1>/Detumble Mode' */

}


