#include "Vehicle.h"

void NadirPointing()
{
	 	  real_T tmpForInput_idx_0;
		  real_T tmpForInput_idx_1;
		  real_T tmpForInput_idx_2;
		  int32_T i;
	/* Outputs for IfAction SubSystem: '<S1>/NadirPointing Mode' incorporates:
	     *  ActionPort: '<S3>/Action Port'
	     */
	    /* Product: '<S20>/j x k' incorporates:
	     *  Inport: '<Root>/vECEF'
	     *  Inport: '<Root>/xECEF'
	     */
	    Vehicle_B.jxk = Vehicle_U.vECEF[1] * Vehicle_U.xECEF[2];

	    /* Product: '<S20>/k x i' incorporates:
	     *  Inport: '<Root>/vECEF'
	     *  Inport: '<Root>/xECEF'
	     */
	    Vehicle_B.kxi = Vehicle_U.vECEF[2] * Vehicle_U.xECEF[0];

	    /* Product: '<S20>/i x j' incorporates:
	     *  Inport: '<Root>/vECEF'
	     *  Inport: '<Root>/xECEF'
	     */
	    Vehicle_B.ixj = Vehicle_U.vECEF[0] * Vehicle_U.xECEF[1];

	    /* Product: '<S21>/k x j' incorporates:
	     *  Inport: '<Root>/vECEF'
	     *  Inport: '<Root>/xECEF'
	     */
	    Vehicle_B.kxj = Vehicle_U.vECEF[2] * Vehicle_U.xECEF[1];

	    /* Product: '<S21>/i x k' incorporates:
	     *  Inport: '<Root>/vECEF'
	     *  Inport: '<Root>/xECEF'
	     */
	    Vehicle_B.ixk = Vehicle_U.vECEF[0] * Vehicle_U.xECEF[2];

	    /* Product: '<S21>/j x i' incorporates:
	     *  Inport: '<Root>/vECEF'
	     *  Inport: '<Root>/xECEF'
	     */
	    Vehicle_B.jxi = Vehicle_U.vECEF[1] * Vehicle_U.xECEF[0];

	    /* Sum: '<S13>/Sum' */
	    Vehicle_B.Sum[0] = Vehicle_B.jxk - Vehicle_B.kxj;
	    Vehicle_B.Sum[1] = Vehicle_B.kxi - Vehicle_B.ixk;
	    Vehicle_B.Sum[2] = Vehicle_B.ixj - Vehicle_B.jxi;

	    /* Gain: '<S7>/z = -r' incorporates:
	     *  Inport: '<Root>/xECEF'
	     */
	    Vehicle_B.zr[0] = -Vehicle_U.xECEF[0];
	    Vehicle_B.zr[1] = -Vehicle_U.xECEF[1];
	    Vehicle_B.zr[2] = -Vehicle_U.xECEF[2];

	    /* Product: '<S18>/i x j' */
	    Vehicle_B.ixj_f = Vehicle_B.Sum[0] * Vehicle_B.zr[1];

	    /* Product: '<S18>/j x k' */
	    Vehicle_B.jxk_o = Vehicle_B.Sum[1] * Vehicle_B.zr[2];

	    /* Product: '<S18>/k x i' */
	    Vehicle_B.kxi_e = Vehicle_B.Sum[2] * Vehicle_B.zr[0];

	    /* Product: '<S19>/i x k' */
	    Vehicle_B.ixk_g = Vehicle_B.Sum[0] * Vehicle_B.zr[2];

	    /* Product: '<S19>/j x i' */
	    Vehicle_B.jxi_l = Vehicle_B.Sum[1] * Vehicle_B.zr[0];

	    /* Product: '<S19>/k x j' */
	    Vehicle_B.kxj_a = Vehicle_B.Sum[2] * Vehicle_B.zr[1];

	    /* Sum: '<S12>/Sum' */
	    Vehicle_B.Sum_l[0] = Vehicle_B.jxk_o - Vehicle_B.kxj_a;
	    Vehicle_B.Sum_l[1] = Vehicle_B.kxi_e - Vehicle_B.ixk_g;
	    Vehicle_B.Sum_l[2] = Vehicle_B.ixj_f - Vehicle_B.jxi_l;

	    /* DotProduct: '<S15>/Dot Product' */
	    tmpForInput_idx_1 = Vehicle_B.Sum_l[0];
	    tmpForInput_idx_0 = Vehicle_B.Sum_l[0];
	    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;
	    tmpForInput_idx_1 = Vehicle_B.Sum_l[1];
	    tmpForInput_idx_0 = Vehicle_B.Sum_l[1];
	    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;
	    tmpForInput_idx_1 = Vehicle_B.Sum_l[2];
	    tmpForInput_idx_0 = Vehicle_B.Sum_l[2];
	    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

	    /* DotProduct: '<S15>/Dot Product' */
	    Vehicle_B.DotProduct = tmpForInput_idx_2;

	    /* Sum: '<S15>/Sum of Elements' */
	    tmpForInput_idx_0 = Vehicle_B.DotProduct;

	    /* Sum: '<S15>/Sum of Elements' */
	    Vehicle_B.SumofElements = tmpForInput_idx_0;

	    /* Math: '<S15>/Math Function1'
	     *
	     * About '<S15>/Math Function1':
	     *  Operator: sqrt
	     */
	    tmpForInput_idx_0 = Vehicle_B.SumofElements;
	    if (tmpForInput_idx_0 < 0.0) {
	      /* Math: '<S15>/Math Function1'
	       *
	       * About '<S15>/Math Function1':
	       *  Operator: sqrt
	       */
	      Vehicle_B.MathFunction1 = -std::sqrt(std::abs(tmpForInput_idx_0));
	    } else {
	      /* Math: '<S15>/Math Function1'
	       *
	       * About '<S15>/Math Function1':
	       *  Operator: sqrt
	       */
	      Vehicle_B.MathFunction1 = std::sqrt(tmpForInput_idx_0);
	    }

	    /* End of Math: '<S15>/Math Function1' */

	    /* Product: '<S15>/Divide' */
	    Vehicle_B.ORFtoECEF[0] = Vehicle_B.Sum_l[0] / Vehicle_B.MathFunction1;

	    /* DotProduct: '<S16>/Dot Product' */
	    tmpForInput_idx_1 = Vehicle_B.Sum[0];
	    tmpForInput_idx_0 = Vehicle_B.Sum[0];
	    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;

	    /* Product: '<S15>/Divide' */
	    Vehicle_B.ORFtoECEF[1] = Vehicle_B.Sum_l[1] / Vehicle_B.MathFunction1;

	    /* DotProduct: '<S16>/Dot Product' */
	    tmpForInput_idx_1 = Vehicle_B.Sum[1];
	    tmpForInput_idx_0 = Vehicle_B.Sum[1];
	    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

	    /* Product: '<S15>/Divide' */
	    Vehicle_B.ORFtoECEF[2] = Vehicle_B.Sum_l[2] / Vehicle_B.MathFunction1;

	    /* DotProduct: '<S16>/Dot Product' */
	    tmpForInput_idx_1 = Vehicle_B.Sum[2];
	    tmpForInput_idx_0 = Vehicle_B.Sum[2];
	    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

	    /* DotProduct: '<S16>/Dot Product' */
	    Vehicle_B.DotProduct_p = tmpForInput_idx_2;

	    /* Sum: '<S16>/Sum of Elements' */
	    tmpForInput_idx_0 = Vehicle_B.DotProduct_p;

	    /* Sum: '<S16>/Sum of Elements' */
	    Vehicle_B.SumofElements_c = tmpForInput_idx_0;

	    /* Math: '<S16>/Math Function1'
	     *
	     * About '<S16>/Math Function1':
	     *  Operator: sqrt
	     */
	    tmpForInput_idx_0 = Vehicle_B.SumofElements_c;
	    if (tmpForInput_idx_0 < 0.0) {
	      /* Math: '<S16>/Math Function1'
	       *
	       * About '<S16>/Math Function1':
	       *  Operator: sqrt
	       */
	      Vehicle_B.MathFunction1_b = -std::sqrt(std::abs(tmpForInput_idx_0));
	    } else {
	      /* Math: '<S16>/Math Function1'
	       *
	       * About '<S16>/Math Function1':
	       *  Operator: sqrt
	       */
	      Vehicle_B.MathFunction1_b = std::sqrt(tmpForInput_idx_0);
	    }

	    /* End of Math: '<S16>/Math Function1' */

	    /* Product: '<S16>/Divide' */
	    Vehicle_B.ORFtoECEF[3] = Vehicle_B.Sum[0] / Vehicle_B.MathFunction1_b;

	    /* DotProduct: '<S17>/Dot Product' */
	    tmpForInput_idx_1 = Vehicle_B.zr[0];
	    tmpForInput_idx_0 = Vehicle_B.zr[0];
	    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;

	    /* Product: '<S16>/Divide' */
	    Vehicle_B.ORFtoECEF[4] = Vehicle_B.Sum[1] / Vehicle_B.MathFunction1_b;

	    /* DotProduct: '<S17>/Dot Product' */
	    tmpForInput_idx_1 = Vehicle_B.zr[1];
	    tmpForInput_idx_0 = Vehicle_B.zr[1];
	    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

	    /* Product: '<S16>/Divide' */
	    Vehicle_B.ORFtoECEF[5] = Vehicle_B.Sum[2] / Vehicle_B.MathFunction1_b;

	    /* DotProduct: '<S17>/Dot Product' */
	    tmpForInput_idx_1 = Vehicle_B.zr[2];
	    tmpForInput_idx_0 = Vehicle_B.zr[2];
	    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

	    /* DotProduct: '<S17>/Dot Product' */
	    Vehicle_B.DotProduct_b = tmpForInput_idx_2;

	    /* Sum: '<S17>/Sum of Elements' */
	    tmpForInput_idx_0 = Vehicle_B.DotProduct_b;

	    /* Sum: '<S17>/Sum of Elements' */
	    Vehicle_B.SumofElements_l = tmpForInput_idx_0;

	    /* Math: '<S17>/Math Function1'
	     *
	     * About '<S17>/Math Function1':
	     *  Operator: sqrt
	     */
	    tmpForInput_idx_0 = Vehicle_B.SumofElements_l;
	    if (tmpForInput_idx_0 < 0.0) {
	      /* Math: '<S17>/Math Function1'
	       *
	       * About '<S17>/Math Function1':
	       *  Operator: sqrt
	       */
	      Vehicle_B.MathFunction1_m = -std::sqrt(std::abs(tmpForInput_idx_0));
	    } else {
	      /* Math: '<S17>/Math Function1'
	       *
	       * About '<S17>/Math Function1':
	       *  Operator: sqrt
	       */
	      Vehicle_B.MathFunction1_m = std::sqrt(tmpForInput_idx_0);
	    }

	    /* End of Math: '<S17>/Math Function1' */

	    /* Product: '<S17>/Divide' */
	    Vehicle_B.ORFtoECEF[6] = Vehicle_B.zr[0] / Vehicle_B.MathFunction1_m;
	    Vehicle_B.ORFtoECEF[7] = Vehicle_B.zr[1] / Vehicle_B.MathFunction1_m;
	    Vehicle_B.ORFtoECEF[8] = Vehicle_B.zr[2] / Vehicle_B.MathFunction1_m;
	    for (i = 0; i < 3; i++) {
	      /* Math: '<S7>/ECEF to ORF' incorporates:
	       *  Concatenate: '<S7>/ORF to ECEF'
	       */
	      Vehicle_B.ECEFtoORF[3 * i] = Vehicle_B.ORFtoECEF[i];
	      Vehicle_B.ECEFtoORF[3 * i + 1] = Vehicle_B.ORFtoECEF[i + 3];
	      Vehicle_B.ECEFtoORF[3 * i + 2] = Vehicle_B.ORFtoECEF[i + 6];
	    }

	    /* Sum: '<S25>/Add' */
	    tmpForInput_idx_0 = Vehicle_B.ECEFtoORF[0];
	    tmpForInput_idx_1 = Vehicle_B.ECEFtoORF[4];
	    tmpForInput_idx_2 = Vehicle_B.ECEFtoORF[8];
	    tmpForInput_idx_0 += tmpForInput_idx_1;
	    tmpForInput_idx_0 += tmpForInput_idx_2;

	    /* Sum: '<S25>/Add' */
	    Vehicle_B.Add = tmpForInput_idx_0;

	    /* If: '<S14>/If' incorporates:
	     *  If: '<S22>/Find Maximum Diagonal Value'
	     */
	    if (Vehicle_B.Add > 0.0) {
	      /* Outputs for IfAction SubSystem: '<S14>/Positive Trace' incorporates:
	       *  ActionPort: '<S23>/Action Port'
	       */
	      /* Sum: '<S23>/Sum' incorporates:
	       *  Constant: '<S23>/Constant'
	       */
	      Vehicle_B.Sum_gh = Vehicle_B.Add + 1.0;

	      /* Sqrt: '<S23>/sqrt' */
	      Vehicle_B.sqrt_a = std::sqrt(Vehicle_B.Sum_gh);

	      /* Gain: '<S23>/Gain' */
	      Vehicle_B.Merge_i[0] = 0.5 * Vehicle_B.sqrt_a;

	      /* Gain: '<S23>/Gain1' */
	      Vehicle_B.Gain1 = 2.0 * Vehicle_B.sqrt_a;

	      /* Sum: '<S46>/Add' */
	      Vehicle_B.Add_k = Vehicle_B.ECEFtoORF[7] - Vehicle_B.ECEFtoORF[5];

	      /* Sum: '<S45>/Add' */
	      Vehicle_B.Add_el = Vehicle_B.ECEFtoORF[2] - Vehicle_B.ECEFtoORF[6];

	      /* Sum: '<S47>/Add' */
	      Vehicle_B.Add_a = Vehicle_B.ECEFtoORF[3] - Vehicle_B.ECEFtoORF[1];

	      /* Product: '<S23>/Product' */
	      Vehicle_B.Merge_i[1] = Vehicle_B.Add_k / Vehicle_B.Gain1;
	      Vehicle_B.Merge_i[2] = Vehicle_B.Add_el / Vehicle_B.Gain1;
	      Vehicle_B.Merge_i[3] = Vehicle_B.Add_a / Vehicle_B.Gain1;

	      /* End of Outputs for SubSystem: '<S14>/Positive Trace' */
	    } else {
	      /* Outputs for IfAction SubSystem: '<S14>/Negative Trace' incorporates:
	       *  ActionPort: '<S22>/Action Port'
	       */
	      if ((Vehicle_B.ECEFtoORF[4] > Vehicle_B.ECEFtoORF[0]) &&
	          (Vehicle_B.ECEFtoORF[4] > Vehicle_B.ECEFtoORF[8])) {
	        /* Outputs for IfAction SubSystem: '<S22>/Maximum Value at DCM(2,2)' incorporates:
	         *  ActionPort: '<S27>/Action Port'
	         */
	        /* If: '<S22>/Find Maximum Diagonal Value' incorporates:
	         *  Constant: '<S39>/Constant'
	         *  Gain: '<S27>/Gain'
	         *  Gain: '<S27>/Gain1'
	         *  Gain: '<S27>/Gain3'
	         *  Gain: '<S27>/Gain4'
	         *  Product: '<S27>/Product'
	         *  Product: '<S38>/Product'
	         *  Sqrt: '<S27>/sqrt'
	         *  Sum: '<S35>/Add'
	         *  Sum: '<S36>/Add'
	         *  Sum: '<S37>/Add'
	         *  Sum: '<S39>/Add'
	         *  Switch: '<S38>/Switch'
	         */
	        Vehicle_B.Add_g = ((Vehicle_B.ECEFtoORF[4] - Vehicle_B.ECEFtoORF[0]) -
	                           Vehicle_B.ECEFtoORF[8]) + 1.0;
	        Vehicle_B.sqrt_mw = std::sqrt(Vehicle_B.Add_g);
	        Vehicle_B.Merge_i[2] = 0.5 * Vehicle_B.sqrt_mw;
	        Vehicle_B.Add_gw = Vehicle_B.ECEFtoORF[1] + Vehicle_B.ECEFtoORF[3];
	        Vehicle_B.Add_fc = Vehicle_B.ECEFtoORF[5] + Vehicle_B.ECEFtoORF[7];
	        Vehicle_B.Add_d = Vehicle_B.ECEFtoORF[2] - Vehicle_B.ECEFtoORF[6];
	        if (Vehicle_B.sqrt_mw != 0.0) {
	          /* Switch: '<S38>/Switch' incorporates:
	           *  Constant: '<S38>/Constant1'
	           */
	          Vehicle_B.Switch_f[0] = 0.5;
	          Vehicle_B.Switch_f[1] = Vehicle_B.sqrt_mw;
	        } else {
	          /* Switch: '<S38>/Switch' */
	          Vehicle_B.Switch_f[0] = 0.0;
	          Vehicle_B.Switch_f[1] = 1.0;
	        }

	        Vehicle_B.Product_e = Vehicle_B.Switch_f[0] / Vehicle_B.Switch_f[1];
	        Vehicle_B.Product_o[0] = Vehicle_B.Add_gw * Vehicle_B.Product_e;
	        Vehicle_B.Product_o[1] = Vehicle_B.Add_fc * Vehicle_B.Product_e;
	        Vehicle_B.Product_o[2] = Vehicle_B.Add_d * Vehicle_B.Product_e;
	        Vehicle_B.Merge_i[1] = Vehicle_B.Product_o[0];
	        Vehicle_B.Merge_i[3] = Vehicle_B.Product_o[1];
	        Vehicle_B.Merge_i[0] = Vehicle_B.Product_o[2];

	        /* End of Outputs for SubSystem: '<S22>/Maximum Value at DCM(2,2)' */
	      } else if (Vehicle_B.ECEFtoORF[8] > Vehicle_B.ECEFtoORF[0]) {
	        /* Outputs for IfAction SubSystem: '<S22>/Maximum Value at DCM(3,3)' incorporates:
	         *  ActionPort: '<S28>/Action Port'
	         */
	        /* If: '<S22>/Find Maximum Diagonal Value' incorporates:
	         *  Constant: '<S44>/Constant'
	         *  Gain: '<S28>/Gain'
	         *  Gain: '<S28>/Gain1'
	         *  Gain: '<S28>/Gain2'
	         *  Gain: '<S28>/Gain3'
	         *  Product: '<S28>/Product'
	         *  Product: '<S43>/Product'
	         *  Sqrt: '<S28>/sqrt'
	         *  Sum: '<S40>/Add'
	         *  Sum: '<S41>/Add'
	         *  Sum: '<S42>/Add'
	         *  Sum: '<S44>/Add'
	         *  Switch: '<S43>/Switch'
	         */
	        Vehicle_B.Add_f = ((Vehicle_B.ECEFtoORF[8] - Vehicle_B.ECEFtoORF[0]) -
	                           Vehicle_B.ECEFtoORF[4]) + 1.0;
	        Vehicle_B.sqrt_l = std::sqrt(Vehicle_B.Add_f);
	        Vehicle_B.Merge_i[3] = 0.5 * Vehicle_B.sqrt_l;
	        Vehicle_B.Add_e = Vehicle_B.ECEFtoORF[2] + Vehicle_B.ECEFtoORF[6];
	        Vehicle_B.Add_l2 = Vehicle_B.ECEFtoORF[5] + Vehicle_B.ECEFtoORF[7];
	        Vehicle_B.Add_ek = Vehicle_B.ECEFtoORF[3] - Vehicle_B.ECEFtoORF[1];
	        if (Vehicle_B.sqrt_l != 0.0) {
	          /* Switch: '<S43>/Switch' incorporates:
	           *  Constant: '<S43>/Constant1'
	           */
	          Vehicle_B.Switch_b[0] = 0.5;
	          Vehicle_B.Switch_b[1] = Vehicle_B.sqrt_l;
	        } else {
	          /* Switch: '<S43>/Switch' */
	          Vehicle_B.Switch_b[0] = 0.0;
	          Vehicle_B.Switch_b[1] = 1.0;
	        }

	        Vehicle_B.Product_d = Vehicle_B.Switch_b[0] / Vehicle_B.Switch_b[1];
	        Vehicle_B.Product_i[0] = Vehicle_B.Add_e * Vehicle_B.Product_d;
	        Vehicle_B.Product_i[1] = Vehicle_B.Add_l2 * Vehicle_B.Product_d;
	        Vehicle_B.Product_i[2] = Vehicle_B.Add_ek * Vehicle_B.Product_d;
	        Vehicle_B.Merge_i[1] = Vehicle_B.Product_i[0];
	        Vehicle_B.Merge_i[2] = Vehicle_B.Product_i[1];
	        Vehicle_B.Merge_i[0] = Vehicle_B.Product_i[2];

	        /* End of Outputs for SubSystem: '<S22>/Maximum Value at DCM(3,3)' */
	      } else {
	        /* Outputs for IfAction SubSystem: '<S22>/Maximum Value at DCM(1,1)' incorporates:
	         *  ActionPort: '<S26>/Action Port'
	         */
	        /* If: '<S22>/Find Maximum Diagonal Value' incorporates:
	         *  Constant: '<S34>/Constant'
	         *  Gain: '<S26>/Gain'
	         *  Gain: '<S26>/Gain1'
	         *  Gain: '<S26>/Gain2'
	         *  Gain: '<S26>/Gain3'
	         *  Product: '<S26>/Product'
	         *  Product: '<S33>/Product'
	         *  Sqrt: '<S26>/sqrt'
	         *  Sum: '<S30>/Add'
	         *  Sum: '<S31>/Add'
	         *  Sum: '<S32>/Add'
	         *  Sum: '<S34>/Add'
	         *  Switch: '<S33>/Switch'
	         */
	        Vehicle_B.Add_m = ((Vehicle_B.ECEFtoORF[0] - Vehicle_B.ECEFtoORF[4]) -
	                           Vehicle_B.ECEFtoORF[8]) + 1.0;
	        Vehicle_B.sqrt_m = std::sqrt(Vehicle_B.Add_m);
	        Vehicle_B.Merge_i[1] = 0.5 * Vehicle_B.sqrt_m;
	        if (Vehicle_B.sqrt_m != 0.0) {
	          /* Switch: '<S33>/Switch' incorporates:
	           *  Constant: '<S33>/Constant1'
	           */
	          Vehicle_B.Switch[0] = 0.5;
	          Vehicle_B.Switch[1] = Vehicle_B.sqrt_m;
	        } else {
	          /* Switch: '<S33>/Switch' */
	          Vehicle_B.Switch[0] = 0.0;
	          Vehicle_B.Switch[1] = 1.0;
	        }

	        Vehicle_B.Product_k = Vehicle_B.Switch[0] / Vehicle_B.Switch[1];
	        Vehicle_B.Add_o = Vehicle_B.ECEFtoORF[1] + Vehicle_B.ECEFtoORF[3];
	        Vehicle_B.Add_ov = Vehicle_B.ECEFtoORF[2] + Vehicle_B.ECEFtoORF[6];
	        Vehicle_B.Add_l = Vehicle_B.ECEFtoORF[7] - Vehicle_B.ECEFtoORF[5];
	        Vehicle_B.Product_cy[0] = Vehicle_B.Product_k * Vehicle_B.Add_o;
	        Vehicle_B.Product_cy[1] = Vehicle_B.Product_k * Vehicle_B.Add_ov;
	        Vehicle_B.Product_cy[2] = Vehicle_B.Product_k * Vehicle_B.Add_l;
	        Vehicle_B.Merge_i[2] = Vehicle_B.Product_cy[0];
	        Vehicle_B.Merge_i[3] = Vehicle_B.Product_cy[1];
	        Vehicle_B.Merge_i[0] = Vehicle_B.Product_cy[2];

	        /* End of Outputs for SubSystem: '<S22>/Maximum Value at DCM(1,1)' */
	      }

	      /* End of Outputs for SubSystem: '<S14>/Negative Trace' */
	    }

	    /* End of If: '<S14>/If' */

	    /* Product: '<S111>/Product' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.Product = Vehicle_U.qECEF2b[0] * Vehicle_U.qECEF2b[0];

	    /* Product: '<S111>/Product1' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.Product1 = Vehicle_U.qECEF2b[1] * Vehicle_U.qECEF2b[1];

	    /* Product: '<S111>/Product2' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.Product2 = Vehicle_U.qECEF2b[2] * Vehicle_U.qECEF2b[2];

	    /* Product: '<S111>/Product3' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.Product3 = Vehicle_U.qECEF2b[3] * Vehicle_U.qECEF2b[3];

	    /* Sum: '<S111>/Sum' */
	    Vehicle_B.Sum_i = ((Vehicle_B.Product + Vehicle_B.Product1) +
	                       Vehicle_B.Product2) + Vehicle_B.Product3;

	    /* Product: '<S9>/Divide' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.Divide = Vehicle_U.qECEF2b[0] / Vehicle_B.Sum_i;

	    /* Product: '<S112>/Product' */
	    Vehicle_B.Product_j = Vehicle_B.Divide * Vehicle_B.Merge_i[0];

	    /* UnaryMinus: '<S110>/Unary Minus' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.UnaryMinus = -Vehicle_U.qECEF2b[1];

	    /* Product: '<S9>/Divide1' */
	    Vehicle_B.Divide1 = Vehicle_B.UnaryMinus / Vehicle_B.Sum_i;

	    /* Product: '<S112>/Product1' */
	    Vehicle_B.Product1_h = Vehicle_B.Divide1 * Vehicle_B.Merge_i[1];

	    /* UnaryMinus: '<S110>/Unary Minus1' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.UnaryMinus1 = -Vehicle_U.qECEF2b[2];

	    /* Product: '<S9>/Divide2' */
	    Vehicle_B.Divide2 = Vehicle_B.UnaryMinus1 / Vehicle_B.Sum_i;

	    /* Product: '<S112>/Product2' */
	    Vehicle_B.Product2_d = Vehicle_B.Divide2 * Vehicle_B.Merge_i[2];

	    /* UnaryMinus: '<S110>/Unary Minus2' incorporates:
	     *  Inport: '<Root>/qECEF2b'
	     */
	    Vehicle_B.UnaryMinus2 = -Vehicle_U.qECEF2b[3];

	    /* Product: '<S9>/Divide3' */
	    Vehicle_B.Divide3 = Vehicle_B.UnaryMinus2 / Vehicle_B.Sum_i;

	    /* Product: '<S112>/Product3' */
	    Vehicle_B.Product3_c = Vehicle_B.Divide3 * Vehicle_B.Merge_i[3];

	    /* Sum: '<S112>/Sum' */
	    Vehicle_B.Sum_p = ((Vehicle_B.Product_j - Vehicle_B.Product1_h) -
	                       Vehicle_B.Product2_d) - Vehicle_B.Product3_c;

	    /* Product: '<S123>/Product' */
	    Vehicle_B.Product_b = Vehicle_B.Sum_p * Vehicle_B.Sum_p;

	    /* Product: '<S113>/Product' */
	    Vehicle_B.Product_p = Vehicle_B.Divide * Vehicle_B.Merge_i[1];

	    /* Product: '<S113>/Product1' */
	    Vehicle_B.Product1_i = Vehicle_B.Divide1 * Vehicle_B.Merge_i[0];

	    /* Product: '<S113>/Product2' */
	    Vehicle_B.Product2_o = Vehicle_B.Divide2 * Vehicle_B.Merge_i[3];

	    /* Product: '<S113>/Product3' */
	    Vehicle_B.Product3_p = Vehicle_B.Divide3 * Vehicle_B.Merge_i[2];

	    /* Sum: '<S113>/Sum' */
	    Vehicle_B.Sum_iw = ((Vehicle_B.Product_p + Vehicle_B.Product1_i) +
	                        Vehicle_B.Product2_o) - Vehicle_B.Product3_p;

	    /* Product: '<S123>/Product1' */
	    Vehicle_B.Product1_in = Vehicle_B.Sum_iw * Vehicle_B.Sum_iw;

	    /* Product: '<S114>/Product' */
	    Vehicle_B.Product_by = Vehicle_B.Divide * Vehicle_B.Merge_i[2];

	    /* Product: '<S114>/Product1' */
	    Vehicle_B.Product1_f = Vehicle_B.Divide1 * Vehicle_B.Merge_i[3];

	    /* Product: '<S114>/Product2' */
	    Vehicle_B.Product2_m = Vehicle_B.Divide2 * Vehicle_B.Merge_i[0];

	    /* Product: '<S114>/Product3' */
	    Vehicle_B.Product3_pa = Vehicle_B.Divide3 * Vehicle_B.Merge_i[1];

	    /* Sum: '<S114>/Sum' */
	    Vehicle_B.Sum_d = ((Vehicle_B.Product_by - Vehicle_B.Product1_f) +
	                       Vehicle_B.Product2_m) + Vehicle_B.Product3_pa;

	    /* Product: '<S123>/Product2' */
	    Vehicle_B.Product2_n = Vehicle_B.Sum_d * Vehicle_B.Sum_d;

	    /* Product: '<S115>/Product' */
	    Vehicle_B.Product_pd = Vehicle_B.Divide * Vehicle_B.Merge_i[3];

	    /* Product: '<S115>/Product1' */
	    Vehicle_B.Product1_d = Vehicle_B.Divide1 * Vehicle_B.Merge_i[2];

	    /* Product: '<S115>/Product2' */
	    Vehicle_B.Product2_nn = Vehicle_B.Divide2 * Vehicle_B.Merge_i[1];

	    /* Product: '<S115>/Product3' */
	    Vehicle_B.Product3_l = Vehicle_B.Divide3 * Vehicle_B.Merge_i[0];

	    /* Sum: '<S115>/Sum' */
	    Vehicle_B.Sum_o = ((Vehicle_B.Product_pd + Vehicle_B.Product1_d) -
	                       Vehicle_B.Product2_nn) + Vehicle_B.Product3_l;

	    /* Product: '<S123>/Product3' */
	    Vehicle_B.Product3_ph = Vehicle_B.Sum_o * Vehicle_B.Sum_o;

	    /* Sum: '<S123>/Sum' */
	    Vehicle_B.Sum_g = ((Vehicle_B.Product_b + Vehicle_B.Product1_in) +
	                       Vehicle_B.Product2_n) + Vehicle_B.Product3_ph;

	    /* Sqrt: '<S122>/sqrt' */
	    Vehicle_B.sqrt_g = std::sqrt(Vehicle_B.Sum_g);

	    /* Product: '<S117>/Product' */
	    Vehicle_B.Product_h = Vehicle_B.Sum_p / Vehicle_B.sqrt_g;

	    /* Product: '<S117>/Product1' */
	    Vehicle_B.Product1_j = Vehicle_B.Sum_iw / Vehicle_B.sqrt_g;

	    /* Product: '<S117>/Product2' */
	    Vehicle_B.Product2_dj = Vehicle_B.Sum_d / Vehicle_B.sqrt_g;

	    /* Product: '<S117>/Product3' */
	    Vehicle_B.Product3_e = Vehicle_B.Sum_o / Vehicle_B.sqrt_g;

	    /* Fcn: '<S11>/fcn1' */
	    Vehicle_B.fcn1 = (Vehicle_B.Product2_dj * Vehicle_B.Product3_e -
	                      Vehicle_B.Product_h * Vehicle_B.Product1_j) * -2.0;

	    /* Fcn: '<S11>/fcn2' */
	    Vehicle_B.fcn2 = ((Vehicle_B.Product_h * Vehicle_B.Product_h -
	                       Vehicle_B.Product1_j * Vehicle_B.Product1_j) -
	                      Vehicle_B.Product2_dj * Vehicle_B.Product2_dj) +
	      Vehicle_B.Product3_e * Vehicle_B.Product3_e;

	    /* Trigonometry: '<S116>/Trigonometric Function1' */
	    Vehicle_B.VectorConcatenate_a[0] = rt_atan2d_snf(Vehicle_B.fcn1,
	      Vehicle_B.fcn2);

	    /* Fcn: '<S11>/fcn3' */
	    Vehicle_B.fcn3 = (Vehicle_B.Product1_j * Vehicle_B.Product3_e +
	                      Vehicle_B.Product_h * Vehicle_B.Product2_dj) * 2.0;

	    /* If: '<S118>/If' */
	    if (Vehicle_B.fcn3 > 1.0) {
	      /* Outputs for IfAction SubSystem: '<S118>/If Action Subsystem' incorporates:
	       *  ActionPort: '<S119>/Action Port'
	       */
	      /* Merge: '<S118>/Merge' incorporates:
	       *  Constant: '<S119>/Constant'
	       */
	      Vehicle_B.Merge_il = 1.0;

	      /* End of Outputs for SubSystem: '<S118>/If Action Subsystem' */
	    } else if (Vehicle_B.fcn3 < -1.0) {
	      /* Outputs for IfAction SubSystem: '<S118>/If Action Subsystem1' incorporates:
	       *  ActionPort: '<S120>/Action Port'
	       */
	      /* Merge: '<S118>/Merge' incorporates:
	       *  Constant: '<S120>/Constant'
	       */
	      Vehicle_B.Merge_il = 1.0;

	      /* End of Outputs for SubSystem: '<S118>/If Action Subsystem1' */
	    } else {
	      /* Outputs for IfAction SubSystem: '<S118>/If Action Subsystem2' incorporates:
	       *  ActionPort: '<S121>/Action Port'
	       */
	      //Vehicle_IfActionSubsystem2_f(Vehicle_B.fcn3, &Vehicle_B.Merge_il);
	      Vehicle_B.Merge_il = Vehicle_B.fcn3;
	      /* End of Outputs for SubSystem: '<S118>/If Action Subsystem2' */
	    }

	    /* End of If: '<S118>/If' */

	    /* Trigonometry: '<S116>/trigFcn' */
	    tmpForInput_idx_0 = Vehicle_B.Merge_il;
	    if (tmpForInput_idx_0 > 1.0) {
	      tmpForInput_idx_0 = 1.0;
	    } else {
	      if (tmpForInput_idx_0 < -1.0) {
	        tmpForInput_idx_0 = -1.0;
	      }
	    }

	    Vehicle_B.VectorConcatenate_a[1] = std::asin(tmpForInput_idx_0);

	    /* End of Trigonometry: '<S116>/trigFcn' */

	    /* Fcn: '<S11>/fcn4' */
	    Vehicle_B.fcn4 = (Vehicle_B.Product1_j * Vehicle_B.Product2_dj -
	                      Vehicle_B.Product_h * Vehicle_B.Product3_e) * -2.0;

	    /* Fcn: '<S11>/fcn5' */
	    Vehicle_B.fcn5 = ((Vehicle_B.Product_h * Vehicle_B.Product_h +
	                       Vehicle_B.Product1_j * Vehicle_B.Product1_j) -
	                      Vehicle_B.Product2_dj * Vehicle_B.Product2_dj) -
	      Vehicle_B.Product3_e * Vehicle_B.Product3_e;

	    /* Trigonometry: '<S116>/Trigonometric Function3' */
	    Vehicle_B.VectorConcatenate_a[2] = rt_atan2d_snf(Vehicle_B.fcn4,
	      Vehicle_B.fcn5);

	    /* Gain: '<S85>/Derivative Gain' */
	    Vehicle_B.DerivativeGain[0] = 0.02 * Vehicle_B.VectorConcatenate_a[0];

	    /* SampleTimeMath: '<S88>/Tsamp'
	     *
	     * About '<S88>/Tsamp':
	     *  y = u * K where K = 1 / ( w * Ts )
	     *  Multiplication by K = weightedTsampQuantized is being
	     *  done implicitly by changing the scaling of the input signal.
	     *  No work needs to be done here.  Downstream blocks may need
	     *  to do work to handle the scaling of the output; this happens
	     *  automatically.
	     */
	    Vehicle_B.Tsamp[0] = Vehicle_B.DerivativeGain[0];

	    /* Delay: '<S86>/UD' */
	    Vehicle_B.UD[0] = Vehicle_DW.UD_DSTATE[0];

	    /* Sum: '<S86>/Diff' */
	    Vehicle_B.Diff[0] = Vehicle_B.Tsamp[0] - Vehicle_B.UD[0];

	    /* Gain: '<S90>/Integral Gain' */
	    Vehicle_B.IntegralGain[0] = 2.0E-10 * Vehicle_B.VectorConcatenate_a[0];

	    /* DiscreteIntegrator: '<S93>/Integrator' */
	    Vehicle_B.Integrator[0] = Vehicle_DW.Integrator_DSTATE[0];

	    /* Gain: '<S98>/Proportional Gain' */
	    Vehicle_B.ProportionalGain[0] = 10.0E-5 * Vehicle_B.VectorConcatenate_a[0];

	    /* Merge: '<S1>/Merge' incorporates:
	     *  Sum: '<S102>/Sum'
	     */
	    Vehicle_B.Merge[0] = (Vehicle_B.ProportionalGain[0] + Vehicle_B.Integrator[0])
	      + Vehicle_B.Diff[0];

	    /* Update for Delay: '<S86>/UD' */
	    Vehicle_DW.UD_DSTATE[0] = Vehicle_B.Tsamp[0];

	    /* Update for DiscreteIntegrator: '<S93>/Integrator' */
	    Vehicle_DW.Integrator_DSTATE[0] += Vehicle_B.IntegralGain[0];

	    /* Gain: '<S85>/Derivative Gain' */
	    Vehicle_B.DerivativeGain[1] = 0.02 * Vehicle_B.VectorConcatenate_a[1];

	    /* SampleTimeMath: '<S88>/Tsamp'
	     *
	     * About '<S88>/Tsamp':
	     *  y = u * K where K = 1 / ( w * Ts )
	     *  Multiplication by K = weightedTsampQuantized is being
	     *  done implicitly by changing the scaling of the input signal.
	     *  No work needs to be done here.  Downstream blocks may need
	     *  to do work to handle the scaling of the output; this happens
	     *  automatically.
	     */
	    Vehicle_B.Tsamp[1] = Vehicle_B.DerivativeGain[1];

	    /* Delay: '<S86>/UD' */
	    Vehicle_B.UD[1] = Vehicle_DW.UD_DSTATE[1];

	    /* Sum: '<S86>/Diff' */
	    Vehicle_B.Diff[1] = Vehicle_B.Tsamp[1] - Vehicle_B.UD[1];

	    /* Gain: '<S90>/Integral Gain' */
	    Vehicle_B.IntegralGain[1] = 2.0E-10 * Vehicle_B.VectorConcatenate_a[1];

	    /* DiscreteIntegrator: '<S93>/Integrator' */
	    Vehicle_B.Integrator[1] = Vehicle_DW.Integrator_DSTATE[1];

	    /* Gain: '<S98>/Proportional Gain' */
	    Vehicle_B.ProportionalGain[1] = 10.0E-5 * Vehicle_B.VectorConcatenate_a[1];

	    /* Merge: '<S1>/Merge' incorporates:
	     *  Sum: '<S102>/Sum'
	     */
	    Vehicle_B.Merge[1] = (Vehicle_B.ProportionalGain[1] + Vehicle_B.Integrator[1])
	      + Vehicle_B.Diff[1];

	    /* Update for Delay: '<S86>/UD' */
	    Vehicle_DW.UD_DSTATE[1] = Vehicle_B.Tsamp[1];

	    /* Update for DiscreteIntegrator: '<S93>/Integrator' */
	    Vehicle_DW.Integrator_DSTATE[1] += Vehicle_B.IntegralGain[1];

	    /* Gain: '<S85>/Derivative Gain' */
	    Vehicle_B.DerivativeGain[2] = 0.02 * Vehicle_B.VectorConcatenate_a[2];

	    /* SampleTimeMath: '<S88>/Tsamp'
	     *
	     * About '<S88>/Tsamp':
	     *  y = u * K where K = 1 / ( w * Ts )
	     *  Multiplication by K = weightedTsampQuantized is being
	     *  done implicitly by changing the scaling of the input signal.
	     *  No work needs to be done here.  Downstream blocks may need
	     *  to do work to handle the scaling of the output; this happens
	     *  automatically.
	     */
	    Vehicle_B.Tsamp[2] = Vehicle_B.DerivativeGain[2];

	    /* Delay: '<S86>/UD' */
	    Vehicle_B.UD[2] = Vehicle_DW.UD_DSTATE[2];

	    /* Sum: '<S86>/Diff' */
	    Vehicle_B.Diff[2] = Vehicle_B.Tsamp[2] - Vehicle_B.UD[2];

	    /* Gain: '<S90>/Integral Gain' */
	    Vehicle_B.IntegralGain[2] = 2.0E-10 * Vehicle_B.VectorConcatenate_a[2];

	    /* DiscreteIntegrator: '<S93>/Integrator' */
	    Vehicle_B.Integrator[2] = Vehicle_DW.Integrator_DSTATE[2];

	    /* Gain: '<S98>/Proportional Gain' */
	    Vehicle_B.ProportionalGain[2] = 10.0E-5 * Vehicle_B.VectorConcatenate_a[2];

	    /* Merge: '<S1>/Merge' incorporates:
	     *  Sum: '<S102>/Sum'
	     */
	    Vehicle_B.Merge[2] = (Vehicle_B.ProportionalGain[2] + Vehicle_B.Integrator[2])
	      + Vehicle_B.Diff[2];

	    /* Update for Delay: '<S86>/UD' */
	    Vehicle_DW.UD_DSTATE[2] = Vehicle_B.Tsamp[2];

	    /* Update for DiscreteIntegrator: '<S93>/Integrator' */
	    Vehicle_DW.Integrator_DSTATE[2] += Vehicle_B.IntegralGain[2];

	    /* End of Outputs for SubSystem: '<S1>/NadirPointing Mode' */
}
