#include "Vehicle.h"

enum {
	Inputs_Noise=1,
	Outputs_Noise,
	States_Noise,
	Consts_Noise,
	BlockSignals_Noise
};

/*Local Functions Declaration*/
void Inputs_Corruption(int index);
void Outputs_Corruption(int index);
void States_Corruption(int index);
void Consts_Corruption(int index);
void BlockSignals_Corruption(int index);

/*Single Event Upset function which is called from FlightSoftware*/
void SEU()
{
	int selection;
	int index;


	selection = ( rand() % 4) + 1;  //1-5


switch (selection)
{
case Inputs_Noise:
	index = (rand() %  20) +1 ;  //1 - 21
	Inputs_Corruption(index);
	break;
case Outputs_Noise:
	index = (rand() %  5) +1 ; //1-6
	Outputs_Corruption(index);
	break;
case States_Noise:
	index = (rand() %  14) + 1 ; //1-15
	States_Corruption(index);
	break;
case Consts_Noise:
	index = (rand() %  43) + 1; //1-44
	Consts_Corruption(index);
	break;
case BlockSignals_Noise:
	index = (rand() %  613)+1 ; //1-614
	BlockSignals_Corruption(index);
	break;
}

}


/*Inputs Corruption function*/
void Inputs_Corruption(int index)
{
	switch (index)
		{
		/*Inputs corruption*/
		case 1:			Vehicle_U.Bmgm[0].a() 	 = (real_T)index; break; //random number
		case 2:			Vehicle_U.Bmgm[1].a()	 = (real_T)index; break;
		case 3:			Vehicle_U.Bmgm[2].a()	 = (real_T)index; break;
		case 4:			Vehicle_U.Mode.a()	 	 = (real_T) index; break;
		case 5:			Vehicle_U.qECEF2b[0].a() = (real_T) index; break;
		case 6:			Vehicle_U.qECEF2b[1].a() = (real_T) index; break;
		case 7:			Vehicle_U.qECEF2b[2].a() = (real_T) index; break;
		case 8:			Vehicle_U.qECEF2b[3].a() = (real_T) index; break;
		case 9:			Vehicle_U.q_eci2b[0].a() = (real_T) index; break;
		case 10:		Vehicle_U.q_eci2b[1].a() = (real_T) index; break;
		case 11:		Vehicle_U.q_eci2b[2].a() = (real_T) index; break;
		case 12:		Vehicle_U.q_eci2b[3].a() = (real_T) index; break;
		case 13:		Vehicle_U.vECEF[0].a() 	 = (real_T) index; break;
		case 14:		Vehicle_U.vECEF[1].a()   = (real_T) index; break;
		case 15:		Vehicle_U.vECEF[2].a()   = (real_T) index; break;
		case 16:		Vehicle_U.xECEF[0].a()   = (real_T) index; break;
		case 17:		Vehicle_U.xECEF[1].a()   = (real_T) index; break;
		case 18:		Vehicle_U.xECEF[2].a()   = (real_T) index; break;
		case 19:		Vehicle_U.xSunECI[0].a() = (real_T) index; break;
		case 20:		Vehicle_U.xSunECI[1].a() = (real_T) index; break;
		case 21:		Vehicle_U.xSunECI[2].a() = (real_T) index; break;
		}
}

/*Outputs Corruption function*/
void Outputs_Corruption(int index)
{
	switch (index)
		{
		/*Outputs corruption*/
		case 1:			Vehicle_Y.Bbody[0].a() 		= (real_T)index; break;
		case 2:			Vehicle_Y.Bbody[1].a() 		= (real_T)index; break;
		case 3:			Vehicle_Y.Bbody[2].a() 		= (real_T)index; break;
		case 4:			Vehicle_Y.Commands[0].a() 	= (real_T)index; break;
		case 5:			Vehicle_Y.Commands[1].a() 	= (real_T)index; break;
		case 6:			Vehicle_Y.Commands[2].a() 	= (real_T)index; break;
		}
}


/*States Corruption function*/
void States_Corruption(int index)
{
	switch (index)
		{
		/*states corruption*/
		case 1:			Vehicle_DW.state[0].a()						= (real_T)index; break;
		case 2:			Vehicle_DW.state[1].a()						= (real_T)index; break;
		case 3:			Vehicle_DW.state[2].a()						= (real_T)index; break;
		case 4:			Vehicle_DW.Integrator_DSTATE[0].a() 		= (real_T)index; break;
		case 5:			Vehicle_DW.Integrator_DSTATE[1].a() 		= (real_T)index; break;
		case 6:			Vehicle_DW.Integrator_DSTATE[2].a() 		= (real_T)index; break;
		case 7:			Vehicle_DW.Integrator_DSTATE_f[0].a()		= (real_T)index; break;
		case 8:			Vehicle_DW.Integrator_DSTATE_f[1].a()		= (real_T)index; break;
		case 9:			Vehicle_DW.Integrator_DSTATE_f[2].a()		= (real_T)index; break;
		case 10:		Vehicle_DW.UD_DSTATE[0].a() 				= (real_T)index; break;
		case 11:		Vehicle_DW.UD_DSTATE[1].a() 				= (real_T)index; break;
		case 12:		Vehicle_DW.UD_DSTATE[2].a() 				= (real_T)index; break;
		case 13:		Vehicle_DW.UD_DSTATE_d[0].a() 				= (real_T)index; break;
		case 14:		Vehicle_DW.UD_DSTATE_d[1].a() 				= (real_T)index; break;
		case 15:		Vehicle_DW.UD_DSTATE_d[2].a() 				= (real_T)index; break;
		}
}


/*Constants Corruption function*/
void Consts_Corruption(int index)
{
	switch (index)
		{
		/*states corruption*/
		case 1:			Vehicle_ConstB.Abs.a()						= (real_T)index; break;
		case 2:			Vehicle_ConstB.Abs1.a()						= (real_T)index; break;
		case 3:			Vehicle_ConstB.Bias.a()						= (real_T)index; break;
		case 4:			Vehicle_ConstB.Bias1.a()			 		= (real_T)index; break;
		case 5:			Vehicle_ConstB.Divide.a()			 		= (real_T)index; break;
		case 6:			Vehicle_ConstB.Divide1.a()			 		= (real_T)index; break;
		case 7:			Vehicle_ConstB.DotProduct1.a()				= (real_T)index; break;
		case 8:			Vehicle_ConstB.DotProduct1_c.a()			= (real_T)index; break;
		case 9:			Vehicle_ConstB.DotProduct1_g.a()			= (real_T)index; break;
		case 10:		Vehicle_ConstB.DotProduct2.a() 				= (real_T)index; break;
		case 11:		Vehicle_ConstB.DotProduct3.a() 				= (real_T)index; break;
		case 12:		Vehicle_ConstB.Gain.a()		 				= (real_T)index; break;
		case 13:		Vehicle_ConstB.Gain2.a() 					= (real_T)index; break;
		case 14:		Vehicle_ConstB.Sqrt3.a()	 				= (real_T)index; break;
		case 15:		Vehicle_ConstB.Sum[0].a()	 				= (real_T)index; break;
		case 16:		Vehicle_ConstB.Sum[1].a()	 				= (real_T)index; break;
		case 17:		Vehicle_ConstB.Sum[2].a()	 				= (real_T)index; break;
		case 18:		Vehicle_ConstB.Sum_d[0].a()	 				= (real_T)index; break;
		case 19:		Vehicle_ConstB.Sum_d[1].a()	 				= (real_T)index; break;
		case 20:		Vehicle_ConstB.Sum_d[2].a()	 				= (real_T)index; break;
		case 21:		Vehicle_ConstB.Sum_d0[0].a() 				= (real_T)index; break;
		case 22:		Vehicle_ConstB.Sum_d0[1].a() 				= (real_T)index; break;
		case 23:		Vehicle_ConstB.Sum_d0[2].a() 				= (real_T)index; break;
		case 24:		Vehicle_ConstB.Switch3[0].a() 				= (real_T)index; break;
		case 25:		Vehicle_ConstB.Switch3[1].a() 				= (real_T)index; break;
		case 26:		Vehicle_ConstB.Switch3[2].a() 				= (real_T)index; break;
		case 27:		Vehicle_ConstB.ixj.a()		 				= (real_T)index; break;
		case 28:		Vehicle_ConstB.ixj_a.a()	 				= (real_T)index; break;
		case 29:		Vehicle_ConstB.ixj_g.a()	 				= (real_T)index; break;
		case 30:		Vehicle_ConstB.ixk.a()	 					= (real_T)index; break;
		case 31:		Vehicle_ConstB.ixk_c.a() 					= (real_T)index; break;
		case 32:		Vehicle_ConstB.ixk_d.a() 					= (real_T)index; break;
		case 33:		Vehicle_ConstB.jxi.a()	 					= (real_T)index; break;
		case 34:		Vehicle_ConstB.jxi_e.a()	 				= (real_T)index; break;
		case 35:		Vehicle_ConstB.jxi_o.a()	 				= (real_T)index; break;
		case 36:		Vehicle_ConstB.jxk.a()	 					= (real_T)index; break;
		case 37:		Vehicle_ConstB.jxk_e.a()	 				= (real_T)index; break;
		case 38:		Vehicle_ConstB.jxk_n.a()	 				= (real_T)index; break;
		case 39:		Vehicle_ConstB.kxi.a()	 					= (real_T)index; break;
		case 40:		Vehicle_ConstB.kxi_c.a()	 				= (real_T)index; break;
		case 41:		Vehicle_ConstB.kxi_p.a()	 				= (real_T)index; break;
		case 42:		Vehicle_ConstB.kxj.a()	 					= (real_T)index; break;
		case 43:		Vehicle_ConstB.kxj_n.a()	 				= (real_T)index; break;
		case 44:		Vehicle_ConstB.kxj_o.a()	 				= (real_T)index; break;
		//case 45:		Vehicle_ConstB.xz.a()	 					= (real_T)index; break;
		}
}


/*Block Signals Corruption function*/
void BlockSignals_Corruption(int index)
{
	switch (index)
		{
		/*Inputs corruption*/
			case 1:			Vehicle_B.Abs.a()						= (real_T)index; break;
			case 2:			Vehicle_B.Abs1.a()						= (real_T)index; break;
			case 3:			Vehicle_B.Abs1_d.a()						= (real_T)index; break;
			case 4:			Vehicle_B.Abs1_i.a()						= (real_T)index; break;
			case 5:			Vehicle_B.Abs1_l.a()						= (real_T)index; break;
			case 6:			Vehicle_B.Abs2[0].a()						= (real_T)index; break;
			case 7:			Vehicle_B.Abs2[1].a()						= (real_T)index; break;
			case 8:			Vehicle_B.Abs2[2].a()						= (real_T)index; break;
			case 9:			Vehicle_B.Abs2[3].a()						= (real_T)index; break;
			case 10:			Vehicle_B.Abs2[4].a()						= (real_T)index; break;
			case 11:			Vehicle_B.Abs2[5].a()						= (real_T)index; break;
			case 12:			Vehicle_B.Abs2[6].a()						= (real_T)index; break;
			case 13:			Vehicle_B.Abs2[7].a()						= (real_T)index; break;
			case 14:			Vehicle_B.Abs2[8].a()						= (real_T)index; break;
			case 15:			Vehicle_B.Abs_m.a()						= (real_T)index; break;
			case 16:			Vehicle_B.Abs_o.a()						= (real_T)index; break;
			case 17:			Vehicle_B.Add.a()						= (real_T)index; break;
			case 18:			Vehicle_B.Add2.a()						= (real_T)index; break;
			case 19:			Vehicle_B.Add2_k.a()						= (real_T)index; break;
			case 20:			Vehicle_B.Add_a.a()						= (real_T)index; break;
			case 21:			Vehicle_B.Add_d.a()						= (real_T)index; break;
			case 22:			Vehicle_B.Add_e.a()						= (real_T)index; break;
			case 23:			Vehicle_B.Add_ek.a()						= (real_T)index; break;
			case 24:			Vehicle_B.Add_el.a()						= (real_T)index; break;
			case 25:			Vehicle_B.Add_f.a()						= (real_T)index; break;
			case 26:			Vehicle_B.Add_fc.a()						= (real_T)index; break;
			case 27:			Vehicle_B.Add_g.a()						= (real_T)index; break;
			case 28:			Vehicle_B.Add_gw.a()						= (real_T)index; break;
			case 29:			Vehicle_B.Add_k.a()						= (real_T)index; break;
			case 30:			Vehicle_B.Add_l.a()						= (real_T)index; break;
			case 31:			Vehicle_B.Add_l2.a()						= (real_T)index; break;
			case 32:			Vehicle_B.Add_m.a()						= (real_T)index; break;
			case 33:			Vehicle_B.Add_o.a()						= (real_T)index; break;
			case 34:			Vehicle_B.Add_ov.a()						= (real_T)index; break;

			case 35:			Vehicle_B.Bias.a()						= (real_T)index; break;
			case 36:			Vehicle_B.Bias1[0].a()						= (real_T)index; break;
			case 37:			Vehicle_B.Bias1[1].a()						= (real_T)index; break;
			case 38:			Vehicle_B.Bias1[2].a()						= (real_T)index; break;
			case 39:			Vehicle_B.Bias1[3].a()						= (real_T)index; break;
			case 40:			Vehicle_B.Bias1[4].a()						= (real_T)index; break;
			case 41:			Vehicle_B.Bias1[5].a()						= (real_T)index; break;
			case 42:			Vehicle_B.Bias1[6].a()						= (real_T)index; break;
			case 43:			Vehicle_B.Bias1[7].a()						= (real_T)index; break;
			case 44:			Vehicle_B.Bias1[8].a()						= (real_T)index; break;
			case 45:			Vehicle_B.Bias1_e.a()						= (real_T)index; break;
			case 46:			Vehicle_B.Bias1_j.a()						= (real_T)index; break;
			case 47:			Vehicle_B.Bias1_m.a()						= (real_T)index; break;
			case 48:			Vehicle_B.Bias_b.a()						= (real_T)index; break;
			case 49:			Vehicle_B.Bias_h.a()						= (real_T)index; break;
			case 50:			Vehicle_B.Bias_k.a()						= (real_T)index; break;
			case 51:			Vehicle_B.bdot[0].a()						= (real_T)index; break;
			case 52:			Vehicle_B.bdot[1].a()						= (real_T)index; break;
			case 53:			Vehicle_B.bdot[2].a()						= (real_T)index; break;

			case 54:			Vehicle_B.DerivativeGain[0].a()						= (real_T)index; break;
			case 55:			Vehicle_B.DerivativeGain[1].a()						= (real_T)index; break;
			case 56:			Vehicle_B.DerivativeGain[2].a()						= (real_T)index; break;
			case 57:			Vehicle_B.DerivativeGain_k[0].a()						= (real_T)index; break;
			case 58:			Vehicle_B.DerivativeGain_k[1].a()						= (real_T)index; break;
			case 59:			Vehicle_B.DerivativeGain_k[2].a()						= (real_T)index; break;
			case 60:			Vehicle_B.Diff[0].a()						= (real_T)index; break;
			case 61:			Vehicle_B.Diff[1].a()						= (real_T)index; break;
			case 62:			Vehicle_B.Diff[2].a()						= (real_T)index; break;
			case 63:			Vehicle_B.Diff_e[0].a()						= (real_T)index; break;
			case 64:			Vehicle_B.Diff_e[1].a()						= (real_T)index; break;
			case 65:			Vehicle_B.Diff_e[2].a()						= (real_T)index; break;
			case 66:			Vehicle_B.Dipole_x[0].a()						= (real_T)index; break;
			case 67:			Vehicle_B.Dipole_x[1].a()						= (real_T)index; break;
			case 68:			Vehicle_B.Dipole_x[2].a()						= (real_T)index; break;
			case 69:			Vehicle_B.Dipole_y[0].a()						= (real_T)index; break;
			case 70:			Vehicle_B.Dipole_y[1].a()						= (real_T)index; break;
			case 71:			Vehicle_B.Dipole_y[2].a()						= (real_T)index; break;
			case 613:			Vehicle_B.Dipole_z[0].a()						= (real_T)index; break;
			case 72:			Vehicle_B.Dipole_z[1].a()						= (real_T)index; break;
			case 73:			Vehicle_B.Dipole_z[2].a()						= (real_T)index; break;
			case 74:			Vehicle_B.Divide.a()						= (real_T)index; break;
			case 75:			Vehicle_B.Divide1.a()						= (real_T)index; break;
			case 76:			Vehicle_B.Divide1_b.a()						= (real_T)index; break;
			case 77:			Vehicle_B.Divide1_d.a()						= (real_T)index; break;
			case 78:			Vehicle_B.Divide1_h.a()						= (real_T)index; break;
			case 79:			Vehicle_B.Divide1_k.a()						= (real_T)index; break;
			case 80:			Vehicle_B.Divide1_p.a()						= (real_T)index; break;
			case 81:			Vehicle_B.Divide2.a()						= (real_T)index; break;
			case 82:			Vehicle_B.Divide3.a()						= (real_T)index; break;
			case 83:			Vehicle_B.Divide_c.a()						= (real_T)index; break;
			case 84:			Vehicle_B.Divide_k.a()						= (real_T)index; break;
			case 85:			Vehicle_B.Divide_o.a()						= (real_T)index; break;
			case 86:			Vehicle_B.DotProduct.a()						= (real_T)index; break;
			case 87:			Vehicle_B.DotProduct1.a()						= (real_T)index; break;
			case 88:			Vehicle_B.DotProduct1_h.a()						= (real_T)index; break;
			case 89:			Vehicle_B.DotProduct1_o.a()						= (real_T)index; break;
			case 90:			Vehicle_B.DotProduct2.a()						= (real_T)index; break;
			case 91:			Vehicle_B.DotProduct2_c.a()						= (real_T)index; break;
			case 92:			Vehicle_B.DotProduct2_f.a()						= (real_T)index; break;
			case 93:			Vehicle_B.DotProduct2_g.a()						= (real_T)index; break;
			case 94:			Vehicle_B.DotProduct2_n.a()						= (real_T)index; break;
			case 95:			Vehicle_B.DotProduct3.a()						= (real_T)index; break;
			case 96:			Vehicle_B.DotProduct3_e.a()						= (real_T)index; break;
			case 97:			Vehicle_B.DotProduct3_o.a()						= (real_T)index; break;
			case 98:			Vehicle_B.DotProduct3_p.a()						= (real_T)index; break;
			case 99:			Vehicle_B.DotProduct3_ph.a()						= (real_T)index; break;
			case 100:			Vehicle_B.DotProduct_b.a()						= (real_T)index; break;
			case 101:			Vehicle_B.DotProduct_p.a()						= (real_T)index; break;

			case 102:			Vehicle_B.ECEFtoORF[0].a()						= (real_T)index; break;
			case 103:			Vehicle_B.ECEFtoORF[1].a()						= (real_T)index; break;
			case 104:			Vehicle_B.ECEFtoORF[2].a()						= (real_T)index; break;
			case 105:			Vehicle_B.ECEFtoORF[3].a()						= (real_T)index; break;
			case 106:			Vehicle_B.ECEFtoORF[4].a()						= (real_T)index; break;
			case 107:			Vehicle_B.ECEFtoORF[5].a()						= (real_T)index; break;
			case 108:			Vehicle_B.ECEFtoORF[6].a()						= (real_T)index; break;
			case 109:			Vehicle_B.ECEFtoORF[7].a()						= (real_T)index; break;
			case 110:			Vehicle_B.ECEFtoORF[8].a()						= (real_T)index; break;

			case 111:			Vehicle_B.Gain.a()						= (real_T)index; break;
			case 112:			Vehicle_B.Gain1.a()						= (real_T)index; break;
			case 113:			Vehicle_B.Gain1_c.a()						= (real_T)index; break;
			case 114:			Vehicle_B.Gain1_d.a()						= (real_T)index; break;
			case 115:			Vehicle_B.Gain1_e.a()						= (real_T)index; break;
			case 116:			Vehicle_B.Gain1_f.a()						= (real_T)index; break;
			case 117:			Vehicle_B.Gain1_g.a()						= (real_T)index; break;
			case 118:			Vehicle_B.Gain1_i.a()						= (real_T)index; break;
			case 119:			Vehicle_B.Gain1_l.a()						= (real_T)index; break;
			case 120:			Vehicle_B.Gain1_n.a()						= (real_T)index; break;
			case 121:			Vehicle_B.Gain1_ni.a()						= (real_T)index; break;
			case 122:			Vehicle_B.Gain1_o.a()						= (real_T)index; break;
			case 123:			Vehicle_B.Gain1_oi.a()						= (real_T)index; break;
			case 124:			Vehicle_B.Gain1_ox.a()						= (real_T)index; break;
			case 125:			Vehicle_B.Gain2.a()						= (real_T)index; break;
			case 126:			Vehicle_B.Gain2_a.a()						= (real_T)index; break;
			case 127:			Vehicle_B.Gain2_b.a()						= (real_T)index; break;
			case 128:			Vehicle_B.Gain2_c.a()						= (real_T)index; break;
			case 129:			Vehicle_B.Gain2_f.a()						= (real_T)index; break;
			case 130:			Vehicle_B.Gain2_j.a()						= (real_T)index; break;
			case 131:			Vehicle_B.Gain2_ja.a()						= (real_T)index; break;
			case 132:			Vehicle_B.Gain2_l.a()						= (real_T)index; break;
			case 133:			Vehicle_B.Gain2_l2.a()						= (real_T)index; break;
			case 134:			Vehicle_B.Gain2_n.a()						= (real_T)index; break;
			case 135:			Vehicle_B.Gain2_o.a()						= (real_T)index; break;
			case 136:			Vehicle_B.Gain2_om.a()						= (real_T)index; break;
			case 137:			Vehicle_B.Gain2_p.a()						= (real_T)index; break;
			case 138:			Vehicle_B.Gain_o2.a()						= (real_T)index; break;
			case 139:			Vehicle_B.Gain_a.a()						= (real_T)index; break;
			case 140:			Vehicle_B.Gain_ay.a()						= (real_T)index; break;
			case 141:			Vehicle_B.Gain_b.a()						= (real_T)index; break;
			case 142:			Vehicle_B.Gain_g.a()						= (real_T)index; break;
			case 143:			Vehicle_B.Gain_i.a()						= (real_T)index; break;
			case 144:			Vehicle_B.Gain_j.a()						= (real_T)index; break;
			case 145:			Vehicle_B.Gain_k.a()						= (real_T)index; break;
			case 146:			Vehicle_B.Gain_kp.a()						= (real_T)index; break;
			case 147:			Vehicle_B.Gain_l.a()						= (real_T)index; break;
			case 148:			Vehicle_B.Gain_o.a()						= (real_T)index; break;
			case 149:			Vehicle_B.Gain_o2.a()						= (real_T)index; break;
			case 150:			Vehicle_B.Gain_p.a()						= (real_T)index; break;

			case 151:			Vehicle_B.IntegralGain[0].a()						= (real_T)index; break;
			case 152:			Vehicle_B.IntegralGain[1].a()						= (real_T)index; break;
			case 153:			Vehicle_B.IntegralGain[2].a()						= (real_T)index; break;
			case 154:			Vehicle_B.IntegralGain_p[0].a()						= (real_T)index; break;
			case 155:			Vehicle_B.IntegralGain_p[1].a()						= (real_T)index; break;
			case 156:			Vehicle_B.IntegralGain_p[2].a()						= (real_T)index; break;
			case 157:			Vehicle_B.Integrator[0].a()						= (real_T)index; break;
			case 158:			Vehicle_B.Integrator[1].a()						= (real_T)index; break;
			case 159:			Vehicle_B.Integrator[2].a()						= (real_T)index; break;
			case 160:			Vehicle_B.Integrator_k[0].a()						= (real_T)index; break;
			case 161:			Vehicle_B.Integrator_k[1].a()						= (real_T)index; break;
			case 162:			Vehicle_B.Integrator_k[2].a()						= (real_T)index; break;
			case 163:			Vehicle_B.is180degRot[0].a()						= (real_T)index; break;
			case 164:			Vehicle_B.is180degRot[1].a()						= (real_T)index; break;
			case 165:			Vehicle_B.is180degRot[2].a()						= (real_T)index; break;
			case 166:			Vehicle_B.is180degRot_l[0].a()						= (real_T)index; break;
			case 167:			Vehicle_B.is180degRot_l[1].a()						= (real_T)index; break;
			case 168:			Vehicle_B.is180degRot_l[2].a()						= (real_T)index; break;
			case 169:			Vehicle_B.ixj.a()						= (real_T)index; break;
			case 170:			Vehicle_B.ixj_f.a()						= (real_T)index; break;
			case 171:			Vehicle_B.ixj_h.a()						= (real_T)index; break;
			case 172:			Vehicle_B.ixj_k.a()						= (real_T)index; break;
			case 173:			Vehicle_B.ixj_l.a()						= (real_T)index; break;
			case 174:			Vehicle_B.ixj_n.a()						= (real_T)index; break;
			case 175:			Vehicle_B.ixj_o.a()						= (real_T)index; break;
			case 176:			Vehicle_B.ixk.a()						= (real_T)index; break;
			case 177:			Vehicle_B.ixk_a.a()						= (real_T)index; break;
			case 178:			Vehicle_B.ixk_b.a()						= (real_T)index; break;
			case 179:			Vehicle_B.ixk_e.a()						= (real_T)index; break;
			case 180:			Vehicle_B.ixk_g.a()						= (real_T)index; break;
			case 181:			Vehicle_B.ixk_j.a()						= (real_T)index; break;
			case 182:			Vehicle_B.ixk_k.a()						= (real_T)index; break;

			case 183:			Vehicle_B.MathFunction[0].a()						= (real_T)index; break;
			case 184:			Vehicle_B.MathFunction[1].a()						= (real_T)index; break;
			case 185:			Vehicle_B.MathFunction[2].a()						= (real_T)index; break;
			case 186:			Vehicle_B.MathFunction[3].a()						= (real_T)index; break;
			case 187:			Vehicle_B.MathFunction[4].a()						= (real_T)index; break;
			case 188:			Vehicle_B.MathFunction[5].a()						= (real_T)index; break;
			case 189:			Vehicle_B.MathFunction[6].a()						= (real_T)index; break;
			case 190:			Vehicle_B.MathFunction[7].a()						= (real_T)index; break;
			case 191:			Vehicle_B.MathFunction[8].a()						= (real_T)index; break;
			case 192:			Vehicle_B.MathFunction1.a()						= (real_T)index; break;
			case 193:			Vehicle_B.MathFunction1_b.a()						= (real_T)index; break;
			case 194:			Vehicle_B.MathFunction1_m.a()						= (real_T)index; break;
			case 195:			Vehicle_B.Merge[0].a()						= (real_T)index; break;
			case 196:			Vehicle_B.Merge[1].a()						= (real_T)index; break;
			case 197:			Vehicle_B.Merge[2].a()						= (real_T)index; break;
			case 198:			Vehicle_B.Merge_d.a()						= (real_T)index; break;
			case 199:			Vehicle_B.Merge_i[0].a()						= (real_T)index; break;
			case 200:			Vehicle_B.Merge_i[1].a()						= (real_T)index; break;
			case 201:			Vehicle_B.Merge_i[2].a()						= (real_T)index; break;
			case 202:			Vehicle_B.Merge_i[3].a()						= (real_T)index; break;
			case 203:			Vehicle_B.Merge_il.a()						= (real_T)index; break;
			case 204:			Vehicle_B.Merge_ip.a()						= (real_T)index; break;
			case 205:			Vehicle_B.Merge_k.a()						= (real_T)index; break;
			case 206:			Vehicle_B.Merge_l.a()						= (real_T)index; break;
			case 207:			Vehicle_B.Merge_m.a()						= (real_T)index; break;

			case 208:			Vehicle_B.ORFtoECEF[0].a()						= (real_T)index; break;
			case 209:			Vehicle_B.ORFtoECEF[1].a()						= (real_T)index; break;
			case 210:			Vehicle_B.ORFtoECEF[2].a()						= (real_T)index; break;
			case 211:			Vehicle_B.ORFtoECEF[3].a()						= (real_T)index; break;
			case 212:			Vehicle_B.ORFtoECEF[4].a()						= (real_T)index; break;
			case 213:			Vehicle_B.ORFtoECEF[5].a()						= (real_T)index; break;
			case 214:			Vehicle_B.ORFtoECEF[6].a()						= (real_T)index; break;
			case 215:			Vehicle_B.ORFtoECEF[7].a()						= (real_T)index; break;
			case 216:			Vehicle_B.ORFtoECEF[8].a()						= (real_T)index; break;

			case 217:			Vehicle_B.Product.a()						= (real_T)index; break;
			case 218:			Vehicle_B.Product1.a()						= (real_T)index; break;
			case 219:			Vehicle_B.Product1_a.a()						= (real_T)index; break;
			case 220:			Vehicle_B.Product1_aa.a()						= (real_T)index; break;
			case 221:			Vehicle_B.Product1_ai.a()						= (real_T)index; break;
			case 222:			Vehicle_B.Product1_b.a()						= (real_T)index; break;
			case 223:			Vehicle_B.Product1_b0.a()						= (real_T)index; break;
			case 224:			Vehicle_B.Product1_b1.a()						= (real_T)index; break;
			case 225:			Vehicle_B.Product1_bp.a()						= (real_T)index; break;
			case 226:			Vehicle_B.Product1_bt.a()						= (real_T)index; break;
			case 227:			Vehicle_B.Product1_c.a()						= (real_T)index; break;
			case 228:			Vehicle_B.Product1_d.a()						= (real_T)index; break;
			case 229:			Vehicle_B.Product1_d1.a()						= (real_T)index; break;
			case 230:			Vehicle_B.Product1_dj.a()						= (real_T)index; break;
			case 231:			Vehicle_B.Product1_e.a()						= (real_T)index; break;
			case 232:			Vehicle_B.Product1_ew.a()						= (real_T)index; break;
			case 233:			Vehicle_B.Product1_f.a()						= (real_T)index; break;
			case 234:			Vehicle_B.Product1_fh.a()						= (real_T)index; break;
			case 235:			Vehicle_B.Product1_fm.a()						= (real_T)index; break;
			case 236:			Vehicle_B.Product1_fv.a()						= (real_T)index; break;
			case 237:			Vehicle_B.Product1_g.a()						= (real_T)index; break;
			case 238:			Vehicle_B.Product1_ge.a()						= (real_T)index; break;
			case 239:			Vehicle_B.Product1_h.a()						= (real_T)index; break;
			case 240:			Vehicle_B.Product1_i.a()						= (real_T)index; break;
			case 241:			Vehicle_B.Product1_id.a()						= (real_T)index; break;
			case 242:			Vehicle_B.Product1_ig.a()						= (real_T)index; break;
			case 243:			Vehicle_B.Product1_ii.a()						= (real_T)index; break;
			case 244:			Vehicle_B.Product1_in.a()						= (real_T)index; break;
			case 245:			Vehicle_B.Product1_j.a()						= (real_T)index; break;
			case 246:			Vehicle_B.Product1_k.a()						= (real_T)index; break;
			case 247:			Vehicle_B.Product1_l.a()						= (real_T)index; break;
			case 248:			Vehicle_B.Product1_l0.a()						= (real_T)index; break;
			case 249:			Vehicle_B.Product1_l3.a()						= (real_T)index; break;
			case 250:			Vehicle_B.Product1_lg.a()						= (real_T)index; break;
			case 251:			Vehicle_B.Product1_lr.a()						= (real_T)index; break;
			case 252:			Vehicle_B.Product1_m.a()						= (real_T)index; break;
			case 253:			Vehicle_B.Product1_mu.a()						= (real_T)index; break;
			case 254:			Vehicle_B.Product1_n.a()						= (real_T)index; break;
			case 255:			Vehicle_B.Product1_o.a()						= (real_T)index; break;
			case 256:			Vehicle_B.Product2.a()						= (real_T)index; break;
			case 257:			Vehicle_B.Product2_a.a()						= (real_T)index; break;
			case 258:			Vehicle_B.Product2_ad.a()						= (real_T)index; break;
			case 259:			Vehicle_B.Product2_b.a()						= (real_T)index; break;
			case 260:			Vehicle_B.Product2_bc.a()						= (real_T)index; break;
			case 261:			Vehicle_B.Product2_c.a()						= (real_T)index; break;
			case 262:			Vehicle_B.Product2_c2.a()						= (real_T)index; break;
			case 263:			Vehicle_B.Product2_cc.a()						= (real_T)index; break;
			case 264:			Vehicle_B.Product2_d.a()						= (real_T)index; break;
			case 265:			Vehicle_B.Product2_dj.a()						= (real_T)index; break;
			case 267:			Vehicle_B.Product2_e.a()						= (real_T)index; break;
			case 268:			Vehicle_B.Product2_ea.a()						= (real_T)index; break;
			case 269:			Vehicle_B.Product2_ep.a()						= (real_T)index; break;
			case 270:			Vehicle_B.Product2_eq.a()						= (real_T)index; break;
			case 271:			Vehicle_B.Product2_f.a()						= (real_T)index; break;
			case 272:			Vehicle_B.Product2_fh.a()						= (real_T)index; break;
			case 273:			Vehicle_B.Product2_fhq.a()						= (real_T)index; break;
			case 274:			Vehicle_B.Product2_g.a()						= (real_T)index; break;
			case 275:			Vehicle_B.Product2_gh.a()						= (real_T)index; break;
			case 276:			Vehicle_B.Product2_gk.a()						= (real_T)index; break;
			case 277:			Vehicle_B.Product2_i.a()						= (real_T)index; break;
			case 278:			Vehicle_B.Product2_j.a()						= (real_T)index; break;
			case 279:			Vehicle_B.Product2_k.a()						= (real_T)index; break;
			case 280:			Vehicle_B.Product2_ke.a()						= (real_T)index; break;
			case 281:			Vehicle_B.Product2_l.a()						= (real_T)index; break;
			case 282:			Vehicle_B.Product2_lq.a()						= (real_T)index; break;
			case 283:			Vehicle_B.Product2_m.a()						= (real_T)index; break;
			case 284:			Vehicle_B.Product2_mf.a()						= (real_T)index; break;
			case 285:			Vehicle_B.Product2_n.a()						= (real_T)index; break;
			case 286:			Vehicle_B.Product2_nn.a()						= (real_T)index; break;
			case 287:			Vehicle_B.Product2_no.a()						= (real_T)index; break;
			case 288:			Vehicle_B.Product2_nx.a()						= (real_T)index; break;
			case 289:			Vehicle_B.Product2_nz.a()						= (real_T)index; break;
			case 290:			Vehicle_B.Product2_o.a()						= (real_T)index; break;
			case 291:			Vehicle_B.Product2_oi.a()						= (real_T)index; break;
			case 292:			Vehicle_B.Product2_ox.a()						= (real_T)index; break;
			case 293:			Vehicle_B.Product2_p.a()						= (real_T)index; break;
			case 294:			Vehicle_B.Product2_pu.a()						= (real_T)index; break;
			case 295:			Vehicle_B.Product3.a()						= (real_T)index; break;
			case 296:			Vehicle_B.Product3_a.a()						= (real_T)index; break;
			case 297:			Vehicle_B.Product3_aj.a()						= (real_T)index; break;
			case 298:			Vehicle_B.Product3_aw.a()						= (real_T)index; break;
			case 299:			Vehicle_B.Product3_ay.a()						= (real_T)index; break;
			case 300:			Vehicle_B.Product3_c.a()						= (real_T)index; break;
			case 301:			Vehicle_B.Product3_c1.a()						= (real_T)index; break;
			case 302:			Vehicle_B.Product3_c5.a()						= (real_T)index; break;
			case 303:			Vehicle_B.Product3_cc.a()						= (real_T)index; break;
			case 304:			Vehicle_B.Product3_cd.a()						= (real_T)index; break;
			case 305:			Vehicle_B.Product3_ce.a()						= (real_T)index; break;
			case 306:			Vehicle_B.Product3_d.a()						= (real_T)index; break;
			case 307:			Vehicle_B.Product3_dh.a()						= (real_T)index; break;
			case 308:			Vehicle_B.Product3_dz.a()						= (real_T)index; break;
			case 309:			Vehicle_B.Product3_e.a()						= (real_T)index; break;
			case 310:			Vehicle_B.Product3_f.a()						= (real_T)index; break;
			case 311:			Vehicle_B.Product3_g.a()						= (real_T)index; break;
			case 312:			Vehicle_B.Product3_gx.a()						= (real_T)index; break;
			case 313:			Vehicle_B.Product3_h.a()						= (real_T)index; break;
			case 314:			Vehicle_B.Product3_h5.a()						= (real_T)index; break;
			case 315:			Vehicle_B.Product3_hf.a()						= (real_T)index; break;
			case 316:			Vehicle_B.Product3_i.a()						= (real_T)index; break;
			case 317:			Vehicle_B.Product3_k.a()						= (real_T)index; break;
			case 318:			Vehicle_B.Product3_k4.a()						= (real_T)index; break;
			case 319:			Vehicle_B.Product3_l.a()						= (real_T)index; break;
			case 320:			Vehicle_B.Product3_l0.a()						= (real_T)index; break;
			case 321:			Vehicle_B.Product3_ll.a()						= (real_T)index; break;
			case 322:			Vehicle_B.Product3_lu.a()						= (real_T)index; break;
			case 323:			Vehicle_B.Product3_lx.a()						= (real_T)index; break;
			case 324:			Vehicle_B.Product3_lz.a()						= (real_T)index; break;
			case 325:			Vehicle_B.Product3_lzz.a()						= (real_T)index; break;
			case 326:			Vehicle_B.Product3_n.a()						= (real_T)index; break;
			case 327:			Vehicle_B.Product3_p.a()						= (real_T)index; break;
			case 328:			Vehicle_B.Product3_pa.a()						= (real_T)index; break;
			case 329:			Vehicle_B.Product3_pe.a()						= (real_T)index; break;
			case 330:			Vehicle_B.Product3_ph.a()						= (real_T)index; break;
			case 331:			Vehicle_B.Product3_pq.a()						= (real_T)index; break;
			case 332:			Vehicle_B.Product3_pv.a()						= (real_T)index; break;
			case 333:			Vehicle_B.Product4.a()						= (real_T)index; break;
			case 334:			Vehicle_B.Product4_a.a()						= (real_T)index; break;
			case 335:			Vehicle_B.Product4_c.a()						= (real_T)index; break;
			case 336:			Vehicle_B.Product4_d.a()						= (real_T)index; break;
			case 337:			Vehicle_B.Product4_g.a()						= (real_T)index; break;
			case 338:			Vehicle_B.Product4_i.a()						= (real_T)index; break;
			case 339:			Vehicle_B.Product4_k.a()						= (real_T)index; break;
			case 340:			Vehicle_B.Product4_m.a()						= (real_T)index; break;
			case 341:			Vehicle_B.Product4_o.a()						= (real_T)index; break;
			case 342:			Vehicle_B.Product4_o5.a()						= (real_T)index; break;
			case 343:			Vehicle_B.Product4_ok.a()						= (real_T)index; break;
			case 344:			Vehicle_B.Product4_p.a()						= (real_T)index; break;
			case 345:			Vehicle_B.Product4_pt.a()						= (real_T)index; break;
			case 346:			Vehicle_B.Product5.a()						= (real_T)index; break;
			case 347:			Vehicle_B.Product5_a.a()						= (real_T)index; break;
			case 348:			Vehicle_B.Product5_b.a()						= (real_T)index; break;
			case 349:			Vehicle_B.Product5_d.a()						= (real_T)index; break;
			case 350:			Vehicle_B.Product5_g.a()						= (real_T)index; break;
			case 351:			Vehicle_B.Product5_i.a()						= (real_T)index; break;
			case 352:			Vehicle_B.Product5_ij.a()						= (real_T)index; break;
			case 353:			Vehicle_B.Product5_j.a()						= (real_T)index; break;
			case 354:			Vehicle_B.Product5_jx.a()						= (real_T)index; break;
			case 355:			Vehicle_B.Product5_l.a()						= (real_T)index; break;
			case 356:			Vehicle_B.Product5_n.a()						= (real_T)index; break;
			case 357:			Vehicle_B.Product5_n2.a()						= (real_T)index; break;
			case 358:			Vehicle_B.Product5_o.a()						= (real_T)index; break;
			case 359:			Vehicle_B.Product6.a()						= (real_T)index; break;
			case 360:			Vehicle_B.Product6_a.a()						= (real_T)index; break;
			case 361:			Vehicle_B.Product6_b.a()						= (real_T)index; break;
			case 362:			Vehicle_B.Product6_c.a()						= (real_T)index; break;
			case 363:			Vehicle_B.Product6_d.a()						= (real_T)index; break;
			case 364:			Vehicle_B.Product6_d5.a()						= (real_T)index; break;
			case 365:			Vehicle_B.Product6_e.a()						= (real_T)index; break;
			case 366:			Vehicle_B.Product6_j.a()						= (real_T)index; break;
			case 367:			Vehicle_B.Product6_l.a()						= (real_T)index; break;
			case 368:			Vehicle_B.Product6_ld.a()						= (real_T)index; break;
			case 369:			Vehicle_B.Product6_o.a()						= (real_T)index; break;
			case 370:			Vehicle_B.Product6_p.a()						= (real_T)index; break;
			case 371:			Vehicle_B.Product7.a()						= (real_T)index; break;
			case 372:			Vehicle_B.Product7_a.a()						= (real_T)index; break;
			case 373:			Vehicle_B.Product7_a4.a()						= (real_T)index; break;
			case 374:			Vehicle_B.Product7_d.a()						= (real_T)index; break;
			case 375:			Vehicle_B.Product7_dj.a()						= (real_T)index; break;
			case 376:			Vehicle_B.Product7_e.a()						= (real_T)index; break;
			case 377:			Vehicle_B.Product7_ei.a()						= (real_T)index; break;
			case 378:			Vehicle_B.Product7_em.a()						= (real_T)index; break;
			case 379:			Vehicle_B.Product7_g.a()						= (real_T)index; break;
			case 380:			Vehicle_B.Product7_h.a()						= (real_T)index; break;
			case 381:			Vehicle_B.Product7_ha.a()						= (real_T)index; break;
			case 382:			Vehicle_B.Product7_k.a()						= (real_T)index; break;
			case 383:			Vehicle_B.Product8.a()						= (real_T)index; break;
			case 384:			Vehicle_B.Product8_a.a()						= (real_T)index; break;
			case 385:			Vehicle_B.Product8_c.a()						= (real_T)index; break;
			case 386:			Vehicle_B.Product8_d.a()						= (real_T)index; break;
			case 387:			Vehicle_B.Product8_e.a()						= (real_T)index; break;
			case 388:			Vehicle_B.Product8_f.a()						= (real_T)index; break;
			case 389:			Vehicle_B.Product8_g.a()						= (real_T)index; break;
			case 390:			Vehicle_B.Product8_j.a()						= (real_T)index; break;
			case 391:			Vehicle_B.Product8_k.a()						= (real_T)index; break;
			case 392:			Vehicle_B.Product8_m.a()						= (real_T)index; break;
			case 393:			Vehicle_B.Product8_me.a()						= (real_T)index; break;
			case 394:			Vehicle_B.Product8_p.a()						= (real_T)index; break;
			case 395:			Vehicle_B.Product_a.a()						= (real_T)index; break;
			case 396:			Vehicle_B.Product_am.a()						= (real_T)index; break;
			case 397:			Vehicle_B.Product_b.a()						= (real_T)index; break;
			case 398:			Vehicle_B.Product_bg.a()						= (real_T)index; break;
			case 399:			Vehicle_B.Product_by.a()						= (real_T)index; break;
			case 400:			Vehicle_B.Product_c[0].a()						= (real_T)index; break;
			case 401:			Vehicle_B.Product_c[1].a()						= (real_T)index; break;
			case 402:			Vehicle_B.Product_c[2].a()						= (real_T)index; break;
			case 403:			Vehicle_B.Product_c[3].a()						= (real_T)index; break;
			case 404:			Vehicle_B.Product_c[4].a()						= (real_T)index; break;
			case 405:			Vehicle_B.Product_c[5].a()						= (real_T)index; break;
			case 406:			Vehicle_B.Product_c[6].a()						= (real_T)index; break;
			case 407:			Vehicle_B.Product_c[7].a()						= (real_T)index; break;
			case 408:			Vehicle_B.Product_c[8].a()						= (real_T)index; break;
			case 409:			Vehicle_B.Product_c3.a()						= (real_T)index; break;
			case 410:			Vehicle_B.Product_cf.a()						= (real_T)index; break;
			case 411:			Vehicle_B.Product_cq.a()						= (real_T)index; break;
			case 412:			Vehicle_B.Product_cw.a()						= (real_T)index; break;
			case 413:			Vehicle_B.Product_cy[0].a()						= (real_T)index; break;
			case 414:			Vehicle_B.Product_cy[1].a()						= (real_T)index; break;
			case 415:			Vehicle_B.Product_cy[2].a()						= (real_T)index; break;
			case 416:			Vehicle_B.Product_d.a()						= (real_T)index; break;
			case 417:			Vehicle_B.Product_d0.a()						= (real_T)index; break;
			case 418:			Vehicle_B.Product_da.a()						= (real_T)index; break;
			case 419:			Vehicle_B.Product_dj.a()						= (real_T)index; break;
			case 420:			Vehicle_B.Product_e.a()						= (real_T)index; break;
			case 421:			Vehicle_B.Product_er.a()						= (real_T)index; break;
			case 422:			Vehicle_B.Product_ew.a()						= (real_T)index; break;
			case 423:			Vehicle_B.Product_ey.a()						= (real_T)index; break;
			case 424:			Vehicle_B.Product_f.a()						= (real_T)index; break;
			case 425:			Vehicle_B.Product_fv.a()						= (real_T)index; break;
			case 426:			Vehicle_B.Product_g.a()						= (real_T)index; break;
			case 427:			Vehicle_B.Product_gr.a()						= (real_T)index; break;
			case 428:			Vehicle_B.Product_h.a()						= (real_T)index; break;
			case 429:			Vehicle_B.Product_h0.a()						= (real_T)index; break;
			case 430:			Vehicle_B.Product_h1.a()						= (real_T)index; break;
			case 431:			Vehicle_B.Product_i[0].a()						= (real_T)index; break;
			case 432:			Vehicle_B.Product_i[1].a()						= (real_T)index; break;
			case 433:			Vehicle_B.Product_i[2].a()						= (real_T)index; break;
			case 434:			Vehicle_B.Product_i2.a()						= (real_T)index; break;
			case 435:			Vehicle_B.Product_if.a()						= (real_T)index; break;
			case 436:			Vehicle_B.Product_j.a()						= (real_T)index; break;
			case 437:			Vehicle_B.Product_jb.a()						= (real_T)index; break;
			case 438:			Vehicle_B.Product_jc.a()						= (real_T)index; break;
			case 439:			Vehicle_B.Product_jz.a()						= (real_T)index; break;
			case 440:			Vehicle_B.Product_k.a()						= (real_T)index; break;
			case 441:			Vehicle_B.Product_l.a()						= (real_T)index; break;
			case 442:			Vehicle_B.Product_l5.a()						= (real_T)index; break;
			case 443:			Vehicle_B.Product_m.a()						= (real_T)index; break;
			case 444:			Vehicle_B.Product_mi.a()						= (real_T)index; break;
			case 445:			Vehicle_B.Product_n.a()						= (real_T)index; break;
			case 446:			Vehicle_B.Product_o[0].a()						= (real_T)index; break;
			case 447:			Vehicle_B.Product_o[1].a()						= (real_T)index; break;
			case 448:			Vehicle_B.Product_o[2].a()						= (real_T)index; break;
			case 449:			Vehicle_B.Product_p.a()						= (real_T)index; break;
			case 450:			Vehicle_B.Product_pb.a()						= (real_T)index; break;
			case 451:			Vehicle_B.Product_pd.a()						= (real_T)index; break;
			case 452:			Vehicle_B.Product_pe.a()						= (real_T)index; break;
			case 453:			Vehicle_B.ProportionalGain[0].a()						= (real_T)index; break;
			case 454:			Vehicle_B.ProportionalGain[1].a()						= (real_T)index; break;
			case 455:			Vehicle_B.ProportionalGain[2].a()						= (real_T)index; break;
			case 456:			Vehicle_B.ProportionalGain_h[0].a()						= (real_T)index; break;
			case 457:			Vehicle_B.ProportionalGain_h[1].a()						= (real_T)index; break;
			case 458:			Vehicle_B.ProportionalGain_h[2].a()						= (real_T)index; break;

			case 459:			Vehicle_B.Sqrt3.a()						= (real_T)index; break;
			case 460:			Vehicle_B.Sqrt3_j.a()						= (real_T)index; break;
			case 461:			Vehicle_B.Sqrt3_l.a()						= (real_T)index; break;
			case 462:			Vehicle_B.Sqrt3_m.a()						= (real_T)index; break;
			case 463:			Vehicle_B.Sqrt3_mq.a()						= (real_T)index; break;
			case 464:			Vehicle_B.sqrt_a.a()						= (real_T)index; break;
			case 465:			Vehicle_B.sqrt_g.a()						= (real_T)index; break;
			case 466:			Vehicle_B.sqrt_h.a()						= (real_T)index; break;
			case 467:			Vehicle_B.sqrt_i.a()						= (real_T)index; break;
			case 468:			Vehicle_B.sqrt_j.a()						= (real_T)index; break;
			case 469:			Vehicle_B.sqrt_k.a()						= (real_T)index; break;
			case 470:			Vehicle_B.sqrt_l.a()						= (real_T)index; break;
			case 471:			Vehicle_B.sqrt_m.a()						= (real_T)index; break;
			case 472:			Vehicle_B.sqrt_mo.a()						= (real_T)index; break;
			case 473:			Vehicle_B.sqrt_mv.a()						= (real_T)index; break;
			case 474:			Vehicle_B.sqrt_mw.a()						= (real_T)index; break;
			case 475:			Vehicle_B.sqrt_n.a()						= (real_T)index; break;

			case 476:			Vehicle_B.Sum[0].a()						= (real_T)index; break;
			case 477:			Vehicle_B.Sum[1].a()						= (real_T)index; break;
			case 478:			Vehicle_B.Sum[2].a()						= (real_T)index; break;
			case 479:			Vehicle_B.Sum1.a()						= (real_T)index; break;
			case 480:			Vehicle_B.Sum1_a.a()						= (real_T)index; break;
			case 481:			Vehicle_B.Sum1_b.a()						= (real_T)index; break;
			case 482:			Vehicle_B.Sum1_bu.a()						= (real_T)index; break;
			case 483:			Vehicle_B.Sum1_d.a()						= (real_T)index; break;
			case 484:			Vehicle_B.Sum1_d1.a()						= (real_T)index; break;
			case 485:			Vehicle_B.Sum1_h.a()						= (real_T)index; break;
			case 486:			Vehicle_B.Sum1_hk.a()						= (real_T)index; break;
			case 487:			Vehicle_B.Sum1_k.a()						= (real_T)index; break;
			case 488:			Vehicle_B.Sum1_l.a()						= (real_T)index; break;
			case 489:			Vehicle_B.Sum1_m.a()						= (real_T)index; break;
			case 490:			Vehicle_B.Sum1_n.a()						= (real_T)index; break;
			case 491:			Vehicle_B.Sum2.a()						= (real_T)index; break;
			case 492:			Vehicle_B.Sum2_a.a()						= (real_T)index; break;
			case 493:			Vehicle_B.Sum2_g.a()						= (real_T)index; break;
			case 494:			Vehicle_B.Sum2_i.a()						= (real_T)index; break;
			case 495:			Vehicle_B.Sum2_k.a()						= (real_T)index; break;
			case 496:			Vehicle_B.Sum2_l.a()						= (real_T)index; break;
			case 497:			Vehicle_B.Sum2_la.a()						= (real_T)index; break;
			case 498:			Vehicle_B.Sum2_m.a()						= (real_T)index; break;
			case 499:			Vehicle_B.Sum2_mr.a()						= (real_T)index; break;
			case 500:			Vehicle_B.Sum2_o.a()						= (real_T)index; break;
			case 501:			Vehicle_B.Sum2_p.a()						= (real_T)index; break;
			case 502:			Vehicle_B.Sum2_p3.a()						= (real_T)index; break;
			case 503:			Vehicle_B.Sum3.a()						= (real_T)index; break;
			case 504:			Vehicle_B.Sum3_b.a()						= (real_T)index; break;
			case 505:			Vehicle_B.Sum3_b5.a()						= (real_T)index; break;
			case 506:			Vehicle_B.Sum3_bi.a()						= (real_T)index; break;
			case 507:			Vehicle_B.Sum3_d.a()						= (real_T)index; break;
			case 508:			Vehicle_B.Sum3_e.a()						= (real_T)index; break;
			case 509:			Vehicle_B.Sum3_h.a()						= (real_T)index; break;
			case 510:			Vehicle_B.Sum3_j.a()						= (real_T)index; break;
			case 511:			Vehicle_B.Sum3_jh.a()						= (real_T)index; break;
			case 512:			Vehicle_B.Sum3_l.a()						= (real_T)index; break;
			case 513:			Vehicle_B.Sum3_o.a()						= (real_T)index; break;
			case 514:			Vehicle_B.Sum3_p.a()						= (real_T)index; break;
			case 515:			Vehicle_B.Sum_b[0].a()						= (real_T)index; break;
			case 516:			Vehicle_B.Sum_b[1].a()						= (real_T)index; break;
			case 517:			Vehicle_B.Sum_b[2].a()						= (real_T)index; break;
			case 518:			Vehicle_B.Sum_c.a()						= (real_T)index; break;
			case 519:			Vehicle_B.Sum_d.a()						= (real_T)index; break;
			case 520:			Vehicle_B.Sum_d5.a()						= (real_T)index; break;
			case 521:			Vehicle_B.Sum_e.a()						= (real_T)index; break;
			case 523:			Vehicle_B.Sum_f.a()						= (real_T)index; break;
			case 524:			Vehicle_B.Sum_ff[0].a()						= (real_T)index; break;
			case 525:			Vehicle_B.Sum_ff[1].a()						= (real_T)index; break;
			case 526:			Vehicle_B.Sum_ff[2].a()						= (real_T)index; break;
			case 527:			Vehicle_B.Sum_g.a()						= (real_T)index; break;
			case 528:			Vehicle_B.Sum_g5.a()						= (real_T)index; break;
			case 529:			Vehicle_B.Sum_gh.a()						= (real_T)index; break;
			case 530:			Vehicle_B.Sum_gt.a()						= (real_T)index; break;
			case 531:			Vehicle_B.Sum_gz.a()						= (real_T)index; break;
			case 532:			Vehicle_B.Sum_i.a()						= (real_T)index; break;
			case 533:			Vehicle_B.Sum_iw.a()						= (real_T)index; break;
			case 534:			Vehicle_B.Sum_j.a()						= (real_T)index; break;
			case 535:			Vehicle_B.Sum_k.a()						= (real_T)index; break;
			case 536:			Vehicle_B.Sum_kb.a()						= (real_T)index; break;
			case 537:			Vehicle_B.Sum_kc.a()						= (real_T)index; break;
			case 538:			Vehicle_B.Sum_ki.a()						= (real_T)index; break;
			case 539:			Vehicle_B.Sum_kk.a()						= (real_T)index; break;
			case 540:			Vehicle_B.Sum_l[0].a()						= (real_T)index; break;
			case 541:			Vehicle_B.Sum_l[1].a()						= (real_T)index; break;
			case 542:			Vehicle_B.Sum_l[2].a()						= (real_T)index; break;
			case 543:			Vehicle_B.Sum_lm.a()						= (real_T)index; break;
			case 544:			Vehicle_B.Sum_ln.a()						= (real_T)index; break;
			case 545:			Vehicle_B.Sum_m[0].a()						= (real_T)index; break;
			case 546:			Vehicle_B.Sum_m[1].a()						= (real_T)index; break;
			case 547:			Vehicle_B.Sum_m[2].a()						= (real_T)index; break;
			case 548:			Vehicle_B.Sum_n.a()						= (real_T)index; break;
			case 549:			Vehicle_B.Sum_n1.a()						= (real_T)index; break;
			case 550:			Vehicle_B.Sum_n3.a()						= (real_T)index; break;
			case 551:			Vehicle_B.Sum_nx.a()						= (real_T)index; break;
			case 552:			Vehicle_B.Sum_o.a()						= (real_T)index; break;
			case 553:			Vehicle_B.Sum_oa.a()						= (real_T)index; break;
			case 554:			Vehicle_B.Sum_oq.a()						= (real_T)index; break;
			case 555:			Vehicle_B.Sum_oz.a()						= (real_T)index; break;
			case 556:			Vehicle_B.Sum_p.a()						= (real_T)index; break;
			case 557:			Vehicle_B.Sum_pb[0].a()						= (real_T)index; break;
			case 558:			Vehicle_B.Sum_pb[1].a()						= (real_T)index; break;
			case 559:			Vehicle_B.Sum_pb[2].a()						= (real_T)index; break;
			case 560:			Vehicle_B.Sum_pd[0].a()						= (real_T)index; break;
			case 561:			Vehicle_B.Sum_pd[1].a()						= (real_T)index; break;
			case 562:			Vehicle_B.Sum_pd[2].a()						= (real_T)index; break;
			case 563:			Vehicle_B.Sum_pw.a()						= (real_T)index; break;
			case 564:			Vehicle_B.SumofElements_c.a()						= (real_T)index; break;
			case 565:			Vehicle_B.SumofElements_l.a()						= (real_T)index; break;
			case 566:			Vehicle_B.Switch[0].a()						= (real_T)index; break;
			case 567:			Vehicle_B.Switch[1].a()						= (real_T)index; break;
			case 568:			Vehicle_B.Switch3[0].a()						= (real_T)index; break;
			case 569:			Vehicle_B.Switch3[1].a()						= (real_T)index; break;
			case 570:			Vehicle_B.Switch3[2].a()						= (real_T)index; break;
			case 571:			Vehicle_B.Switch_b[0].a()						= (real_T)index; break;
			case 572:			Vehicle_B.Switch_b[1].a()						= (real_T)index; break;
			case 573:			Vehicle_B.Switch_c[0].a()						= (real_T)index; break;
			case 574:			Vehicle_B.Switch_c[1].a()						= (real_T)index; break;
			case 575:			Vehicle_B.Switch_c[2].a()						= (real_T)index; break;
			case 576:			Vehicle_B.Switch_c[3].a()						= (real_T)index; break;
			case 577:			Vehicle_B.Switch_f[0].a()						= (real_T)index; break;
			case 578:			Vehicle_B.Switch_f[1].a()						= (real_T)index; break;
			case 579:			Vehicle_B.Switch_f[0].a()						= (real_T)index; break;

			case 580:			Vehicle_B.TmpSignalConversionAtDotProdu_d[0].a()						= (real_T)index; break;
			case 581:			Vehicle_B.TmpSignalConversionAtDotProdu_d[1].a()						= (real_T)index; break;
			case 582:			Vehicle_B.TmpSignalConversionAtDotProdu_d[2].a()						= (real_T)index; break;
			case 583:			Vehicle_B.TmpSignalConversionAtDotProdu_j[0].a()						= (real_T)index; break;
			case 584:			Vehicle_B.TmpSignalConversionAtDotProdu_j[1].a()						= (real_T)index; break;
			case 585:			Vehicle_B.TmpSignalConversionAtDotProdu_j[2].a()						= (real_T)index; break;
			case 586:			Vehicle_B.TmpSignalConversionAtDotProdu_k[0].a()						= (real_T)index; break;
			case 587:			Vehicle_B.TmpSignalConversionAtDotProdu_k[1].a()						= (real_T)index; break;
			case 588:			Vehicle_B.TmpSignalConversionAtDotProdu_k[2].a()						= (real_T)index; break;
			case 589:			Vehicle_B.Tsamp[0].a()						= (real_T)index; break;
			case 590:			Vehicle_B.Tsamp[1].a()						= (real_T)index; break;
			case 591:			Vehicle_B.Tsamp[2].a()						= (real_T)index; break;
			case 592:			Vehicle_B.Tsamp_f[0].a()						= (real_T)index; break;
			case 593:			Vehicle_B.Tsamp_f[1].a()						= (real_T)index; break;
			case 594:			Vehicle_B.Tsamp_f[2].a()						= (real_T)index; break;
			case 595:			Vehicle_B.UD[0].a()						= (real_T)index; break;
			case 596:			Vehicle_B.UD[1].a()						= (real_T)index; break;
			case 597:			Vehicle_B.UD[2].a()						= (real_T)index; break;
			case 598:			Vehicle_B.UD_l[0].a()						= (real_T)index; break;
			case 599:			Vehicle_B.UD_l[1].a()						= (real_T)index; break;
			case 600:			Vehicle_B.UD_l[2].a()						= (real_T)index; break;
			case 601:			Vehicle_B.UnaryMinus.a()						= (real_T)index; break;
			case 602:			Vehicle_B.UnaryMinus1.a()						= (real_T)index; break;
			case 603:			Vehicle_B.UnaryMinus2.a()						= (real_T)index; break;
			case 604:			Vehicle_B.VectorConcatenate[0].a()						= (real_T)index; break;
			case 605:			Vehicle_B.VectorConcatenate[1].a()						= (real_T)index; break;
			case 606:			Vehicle_B.VectorConcatenate[2].a()						= (real_T)index; break;
			case 607:			Vehicle_B.VectorConcatenate_a[0].a()						= (real_T)index; break;
			case 608:			Vehicle_B.VectorConcatenate_a[1].a()						= (real_T)index; break;
			case 609:			Vehicle_B.VectorConcatenate_a[2].a()						= (real_T)index; break;
			case 610:			Vehicle_B.zr[0].a()						= (real_T)index; break;
			case 611:			Vehicle_B.zr[1].a()						= (real_T)index; break;
			case 612:			Vehicle_B.zr[2].a()						= (real_T)index; break;
			case 614:			Vehicle_B.norm_b.a()						= (real_T)index; break;





		}
}
