#include "Vehicle.h"

/* Model initialize function */
void Vehicle_initialize()
{
/* States Initialization*/
  {
	  Vehicle_DW.UD_DSTATE[0] = 0.0;
	  Vehicle_DW.UD_DSTATE[1] = 0.0;
	  Vehicle_DW.UD_DSTATE[2] = 0.0;
	  Vehicle_DW.Integrator_DSTATE[0] = 0.0;
	  Vehicle_DW.Integrator_DSTATE[1] = 0.0;
	  Vehicle_DW.Integrator_DSTATE[2] = 0.0;
	  Vehicle_DW.UD_DSTATE_d[0] = 0.0;
	  Vehicle_DW.UD_DSTATE_d[1] = 0.0;
	  Vehicle_DW.UD_DSTATE_d[2] = 0.0;
	  Vehicle_DW.Integrator_DSTATE_f[0] = 0.0;
	  Vehicle_DW.Integrator_DSTATE_f[1] = 0.0;
	  Vehicle_DW.Integrator_DSTATE_f[2] = 0.0;
	  Vehicle_DW.state[0] = 0.0;
	  Vehicle_DW.state[1] = 0.0;
	  Vehicle_DW.state[2] = 0.0;
  }

  /*Constants Initialization*/
  {
	  Vehicle_ConstB.DotProduct3=0.0;                  /* '<S129>/Dot Product3' */
	  Vehicle_ConstB.DotProduct1=1.0;                  /* '<S129>/Dot Product1' */
	  Vehicle_ConstB.DotProduct2=1.0;                  /* '<S129>/Dot Product2' */
	  Vehicle_ConstB.Divide1=1.0;                      /* '<S129>/Divide1' */
	  Vehicle_ConstB.Sqrt3=1.0;                        /* '<S129>/Sqrt3' */
	  Vehicle_ConstB.Divide=0.0;                       /* '<S129>/Divide' */
	  Vehicle_ConstB.Bias=-1.0;                         /* '<S129>/Bias' */
	  Vehicle_ConstB.Abs=1.0;                          /* '<S129>/Abs' */
	  Vehicle_ConstB.Bias1=1.0;                        /* '<S129>/Bias1' */
	  Vehicle_ConstB.Abs1=1.0;                         /* '<S129>/Abs1' */
	  Vehicle_ConstB.DotProduct1_g=1.0;                /* '<S163>/Dot Product1' */
	  Vehicle_ConstB.DotProduct1_c=1.0;                /* '<S136>/Dot Product1' */
	  Vehicle_ConstB.Gain=-0.0;                         /* '<S165>/Gain' */
	  Vehicle_ConstB.Gain2=1.0;                        /* '<S165>/Gain2' */
	  Vehicle_ConstB.Switch3[0]=-0.0;                   /* '<S165>/Switch3' */
	  Vehicle_ConstB.Switch3[1]=0.0;                   /* '<S165>/Switch3' */
	  Vehicle_ConstB.Switch3[2]=0.0;                   /* '<S165>/Switch3' */
	  Vehicle_ConstB.ixj=0.0;                          /* '<S173>/i x j' */
	  Vehicle_ConstB.jxk=0.0;                          /* '<S173>/j x k' */
	  Vehicle_ConstB.kxi=0.0;                          /* '<S173>/k x i' */
	  Vehicle_ConstB.ixk=0.0;                          /* '<S174>/i x k' */
	  Vehicle_ConstB.jxi=0.0;                          /* '<S174>/j x i' */
	  Vehicle_ConstB.kxj=0.0;                          /* '<S174>/k x j' */
	  Vehicle_ConstB.Sum[0]=0.0;                       /* '<S172>/Sum' */
	  Vehicle_ConstB.Sum[1]=0.0;
	  Vehicle_ConstB.Sum[2]=0.0;
	  Vehicle_ConstB.ixj_g=0.0;                        /* '<S194>/i x j' */
	  Vehicle_ConstB.jxk_e=0.0;                        /* '<S194>/j x k' */
	  Vehicle_ConstB.kxi_c=-1.0;                        /* '<S194>/k x i' */
	  Vehicle_ConstB.ixk_d=0.0;                        /* '<S195>/i x k' */
	  Vehicle_ConstB.jxi_e=0.0;                        /* '<S195>/j x i' */
	  Vehicle_ConstB.kxj_o=0.0;                        /* '<S195>/k x j' */
	  Vehicle_ConstB.Sum_d[0]=0.0;                     /* '<S192>/Sum' */
	  Vehicle_ConstB.Sum_d[1]=-1.0;
	  Vehicle_ConstB.Sum_d[2]=0.0;
	  Vehicle_ConstB.ixj_a=0.0;                        /* '<S196>/i x j' */
	  Vehicle_ConstB.jxk_n=1.0;                        /* '<S196>/j x k' */
	  Vehicle_ConstB.kxi_p=0.0;                        /* '<S196>/k x i' */
	  Vehicle_ConstB.ixk_c=0.0;                        /* '<S197>/i x k' */
	  Vehicle_ConstB.jxi_o=0.0;                        /* '<S197>/j x i' */
	  Vehicle_ConstB.kxj_n=0.0;                        /* '<S197>/k x j' */
	  Vehicle_ConstB.Sum_d0[0]=1.0;                    /* '<S193>/Sum' */
	  Vehicle_ConstB.Sum_d0[1]=0.0;
	  Vehicle_ConstB.Sum_d0[2]=0.0;
	  Vehicle_ConstB.xz=0.0;
  }

  /* Variables Initialization*/
  {
	  (void) std::memset((static_cast<void *>(&Vehicle_B)), 0,
	  	                     sizeof(B_Vehicle_T));
	  //int i;
	  {
	      int32_T i;
	      for (i = 0; i < 9; i++) {
	        Vehicle_B.ORFtoECEF[i] = 0.0;
	      }

	      for (i = 0; i < 9; i++) {
	        Vehicle_B.ECEFtoORF[i] = 0.0;
	      }

	      for (i = 0; i < 9; i++) {
	        Vehicle_B.MathFunction[i] = 0.0;
	      }

	      for (i = 0; i < 9; i++) {
	        Vehicle_B.Product_c[i] = 0.0;
	      }

	      for (i = 0; i < 9; i++) {
	        Vehicle_B.Bias1[i] = 0.0;
	      }

	      for (i = 0; i < 9; i++) {
	        Vehicle_B.Abs2[i] = 0.0;
	      }

	      Vehicle_B.Merge[0] = 0.0;
	      Vehicle_B.Merge[1] = 0.0;
	      Vehicle_B.Merge[2] = 0.0;
	      Vehicle_B.jxk = 0.0;
	      Vehicle_B.kxi = 0.0;
	      Vehicle_B.ixj = 0.0;
	      Vehicle_B.kxj = 0.0;
	      Vehicle_B.ixk = 0.0;
	      Vehicle_B.jxi = 0.0;
	      Vehicle_B.Sum[0] = 0.0;
	      Vehicle_B.Sum[1] = 0.0;
	      Vehicle_B.Sum[2] = 0.0;
	      Vehicle_B.zr[0] = 0.0;
	      Vehicle_B.zr[1] = 0.0;
	      Vehicle_B.zr[2] = 0.0;
	      Vehicle_B.ixj_f = 0.0;
	      Vehicle_B.jxk_o = 0.0;
	      Vehicle_B.kxi_e = 0.0;
	      Vehicle_B.ixk_g = 0.0;
	      Vehicle_B.jxi_l = 0.0;
	      Vehicle_B.kxj_a = 0.0;
	      Vehicle_B.Sum_l[0] = 0.0;
	      Vehicle_B.Sum_l[1] = 0.0;
	      Vehicle_B.Sum_l[2] = 0.0;
	      Vehicle_B.DotProduct = 0.0;
	      Vehicle_B.SumofElements = 0.0;
	      Vehicle_B.MathFunction1 = 0.0;
	      Vehicle_B.DotProduct_p = 0.0;
	      Vehicle_B.SumofElements_c = 0.0;
	      Vehicle_B.MathFunction1_b = 0.0;
	      Vehicle_B.DotProduct_b = 0.0;
	      Vehicle_B.SumofElements_l = 0.0;
	      Vehicle_B.MathFunction1_m = 0.0;
	      Vehicle_B.Add = 0.0;
	      Vehicle_B.Merge_i[0] = 0.0;
	      Vehicle_B.Merge_i[1] = 0.0;
	      Vehicle_B.Merge_i[2] = 0.0;
	      Vehicle_B.Merge_i[3] = 0.0;
	      Vehicle_B.Product = 0.0;
	      Vehicle_B.Product1 = 0.0;
	      Vehicle_B.Product2 = 0.0;
	      Vehicle_B.Product3 = 0.0;
	      Vehicle_B.Sum_i = 0.0;
	      Vehicle_B.Divide = 0.0;
	      Vehicle_B.Product_j = 0.0;
	      Vehicle_B.UnaryMinus = 0.0;
	      Vehicle_B.Divide1 = 0.0;
	      Vehicle_B.Product1_h = 0.0;
	      Vehicle_B.UnaryMinus1 = 0.0;
	      Vehicle_B.Divide2 = 0.0;
	      Vehicle_B.Product2_d = 0.0;
	      Vehicle_B.UnaryMinus2 = 0.0;
	      Vehicle_B.Divide3 = 0.0;
	      Vehicle_B.Product3_c = 0.0;
	      Vehicle_B.Sum_p = 0.0;
	      Vehicle_B.Product_b = 0.0;
	      Vehicle_B.Product_p = 0.0;
	      Vehicle_B.Product1_i = 0.0;
	      Vehicle_B.Product2_o = 0.0;
	      Vehicle_B.Product3_p = 0.0;
	      Vehicle_B.Sum_iw = 0.0;
	      Vehicle_B.Product1_in = 0.0;
	      Vehicle_B.Product_by = 0.0;
	      Vehicle_B.Product1_f = 0.0;
	      Vehicle_B.Product2_m = 0.0;
	      Vehicle_B.Product3_pa = 0.0;
	      Vehicle_B.Sum_d = 0.0;
	      Vehicle_B.Product2_n = 0.0;
	      Vehicle_B.Product_pd = 0.0;
	      Vehicle_B.Product1_d = 0.0;
	      Vehicle_B.Product2_nn = 0.0;
	      Vehicle_B.Product3_l = 0.0;
	      Vehicle_B.Sum_o = 0.0;
	      Vehicle_B.Product3_ph = 0.0;
	      Vehicle_B.Sum_g = 0.0;
	      Vehicle_B.sqrt_g = 0.0;
	      Vehicle_B.Product_h = 0.0;
	      Vehicle_B.Product1_j = 0.0;
	      Vehicle_B.Product2_dj = 0.0;
	      Vehicle_B.Product3_e = 0.0;
	      Vehicle_B.fcn1 = 0.0;
	      Vehicle_B.fcn2 = 0.0;
	      Vehicle_B.fcn3 = 0.0;
	      Vehicle_B.Merge_il = 0.0;
	      Vehicle_B.fcn4 = 0.0;
	      Vehicle_B.fcn5 = 0.0;
	      Vehicle_B.VectorConcatenate[0] = 0.0;
	      Vehicle_B.VectorConcatenate[1] = 0.0;
	      Vehicle_B.VectorConcatenate[2] = 0.0;
	      Vehicle_B.DerivativeGain[0] = 0.0;
	      Vehicle_B.DerivativeGain[1] = 0.0;
	      Vehicle_B.DerivativeGain[2] = 0.0;
	      Vehicle_B.Tsamp[0] = 0.0;
	      Vehicle_B.Tsamp[1] = 0.0;
	      Vehicle_B.Tsamp[2] = 0.0;
	      Vehicle_B.UD[0] = 0.0;
	      Vehicle_B.UD[1] = 0.0;
	      Vehicle_B.UD[2] = 0.0;
	      Vehicle_B.Diff[0] = 0.0;
	      Vehicle_B.Diff[1] = 0.0;
	      Vehicle_B.Diff[2] = 0.0;
	      Vehicle_B.IntegralGain[0] = 0.0;
	      Vehicle_B.IntegralGain[1] = 0.0;
	      Vehicle_B.IntegralGain[2] = 0.0;
	      Vehicle_B.Integrator[0] = 0.0;
	      Vehicle_B.Integrator[1] = 0.0;
	      Vehicle_B.Integrator[2] = 0.0;
	      Vehicle_B.ProportionalGain[0] = 0.0;
	      Vehicle_B.ProportionalGain[1] = 0.0;
	      Vehicle_B.ProportionalGain[2] = 0.0;
	      Vehicle_B.Product_a = 0.0;
	      Vehicle_B.Product1_k = 0.0;
	      Vehicle_B.Product2_e = 0.0;
	      Vehicle_B.Product3_g = 0.0;
	      Vehicle_B.Product4 = 0.0;
	      Vehicle_B.Product5 = 0.0;
	      Vehicle_B.detMatrix = 0.0;
	      Vehicle_B.Bias = 0.0;
	      Vehicle_B.Abs1 = 0.0;
	      Vehicle_B.Add_m = 0.0;
	      Vehicle_B.sqrt_m = 0.0;
	      Vehicle_B.Switch[0] = 0.0;
	      Vehicle_B.Switch[1] = 0.0;
	      Vehicle_B.Product_k = 0.0;
	      Vehicle_B.Add_o = 0.0;
	      Vehicle_B.Add_ov = 0.0;
	      Vehicle_B.Add_l = 0.0;
	      Vehicle_B.Product_cy[0] = 0.0;
	      Vehicle_B.Product_cy[1] = 0.0;
	      Vehicle_B.Product_cy[2] = 0.0;
	      Vehicle_B.Add_f = 0.0;
	      Vehicle_B.sqrt_l = 0.0;
	      Vehicle_B.Add_e = 0.0;
	      Vehicle_B.Add_l2 = 0.0;
	      Vehicle_B.Add_ek = 0.0;
	      Vehicle_B.Switch_b[0] = 0.0;
	      Vehicle_B.Switch_b[1] = 0.0;
	      Vehicle_B.Product_d = 0.0;
	      Vehicle_B.Product_i[0] = 0.0;
	      Vehicle_B.Product_i[1] = 0.0;
	      Vehicle_B.Product_i[2] = 0.0;
	      Vehicle_B.Add_g = 0.0;
	      Vehicle_B.sqrt_mw = 0.0;
	      Vehicle_B.Add_gw = 0.0;
	      Vehicle_B.Add_fc = 0.0;
	      Vehicle_B.Add_d = 0.0;
	      Vehicle_B.Switch_f[0] = 0.0;
	      Vehicle_B.Switch_f[1] = 0.0;
	      Vehicle_B.Product_e = 0.0;
	      Vehicle_B.Product_o[0] = 0.0;
	      Vehicle_B.Product_o[1] = 0.0;
	      Vehicle_B.Product_o[2] = 0.0;
	      Vehicle_B.Sum_gh = 0.0;
	      Vehicle_B.sqrt_a = 0.0;
	      Vehicle_B.Gain1 = 0.0;
	      Vehicle_B.Add_k = 0.0;
	      Vehicle_B.Add_el = 0.0;
	      Vehicle_B.Add_a = 0.0;
	      Vehicle_B.Merge_m = 0.0;
	      Vehicle_B.Product_n = 0.0;
	      Vehicle_B.Product1_ii = 0.0;
	      Vehicle_B.Product2_c = 0.0;
	      Vehicle_B.Product3_d = 0.0;
	      Vehicle_B.Sum_j = 0.0;
	      Vehicle_B.sqrt_n = 0.0;
	      Vehicle_B.Product2_oi = 0.0;
	      Vehicle_B.Product6 = 0.0;
	      Vehicle_B.Product3_a = 0.0;
	      Vehicle_B.Product7 = 0.0;
	      Vehicle_B.Sum3 = 0.0;
	      Vehicle_B.Gain2 = 0.0;
	      Vehicle_B.Product8 = 0.0;
	      Vehicle_B.Product1_fv = 0.0;
	      Vehicle_B.Product_jb = 0.0;
	      Vehicle_B.Product_cw = 0.0;
	      Vehicle_B.Product1_b = 0.0;
	      Vehicle_B.Sum1 = 0.0;
	      Vehicle_B.Gain = 0.0;
	      Vehicle_B.Product4_p = 0.0;
	      Vehicle_B.Product2_ox = 0.0;
	      Vehicle_B.Product3_pv = 0.0;
	      Vehicle_B.Sum2 = 0.0;
	      Vehicle_B.Gain1_l = 0.0;
	      Vehicle_B.Product5_g = 0.0;
	      Vehicle_B.Sum_k = 0.0;
	      Vehicle_B.Product_if = 0.0;
	      Vehicle_B.Product1_e = 0.0;
	      Vehicle_B.Sum1_b = 0.0;
	      Vehicle_B.Gain_a = 0.0;
	      Vehicle_B.Product4_k = 0.0;
	      Vehicle_B.Product6_d = 0.0;
	      Vehicle_B.Product7_e = 0.0;
	      Vehicle_B.Sum3_p = 0.0;
	      Vehicle_B.Gain2_a = 0.0;
	      Vehicle_B.Product8_c = 0.0;
	      Vehicle_B.Product2_l = 0.0;
	      Vehicle_B.Product3_c5 = 0.0;
	      Vehicle_B.Sum2_k = 0.0;
	      Vehicle_B.Gain1_d = 0.0;
	      Vehicle_B.Product5_j = 0.0;
	      Vehicle_B.Sum_lm = 0.0;
	      Vehicle_B.Product_c3 = 0.0;
	      Vehicle_B.Product1_c = 0.0;
	      Vehicle_B.Sum1_bu = 0.0;
	      Vehicle_B.Gain_k = 0.0;
	      Vehicle_B.Product4_m = 0.0;
	      Vehicle_B.Product2_k = 0.0;
	      Vehicle_B.Product3_f = 0.0;
	      Vehicle_B.Sum2_p = 0.0;
	      Vehicle_B.Gain1_i = 0.0;
	      Vehicle_B.Product5_d = 0.0;
	      Vehicle_B.Product6_b = 0.0;
	      Vehicle_B.Product7_h = 0.0;
	      Vehicle_B.Sum3_e = 0.0;
	      Vehicle_B.Gain2_b = 0.0;
	      Vehicle_B.Product8_g = 0.0;
	      Vehicle_B.Sum_n = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProduct[0] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProduct[1] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProduct[2] = 0.0;
	      Vehicle_B.Product_jz = 0.0;
	      Vehicle_B.Product1_bp = 0.0;
	      Vehicle_B.Product2_b = 0.0;
	      Vehicle_B.Product3_dh = 0.0;
	      Vehicle_B.Sum_d5 = 0.0;
	      Vehicle_B.sqrt_k = 0.0;
	      Vehicle_B.Product2_lq = 0.0;
	      Vehicle_B.Product6_l = 0.0;
	      Vehicle_B.Product3_h = 0.0;
	      Vehicle_B.Product7_d = 0.0;
	      Vehicle_B.Sum3_j = 0.0;
	      Vehicle_B.Gain2_f = 0.0;
	      Vehicle_B.Product8_m = 0.0;
	      Vehicle_B.Product1_b1 = 0.0;
	      Vehicle_B.Product_h1 = 0.0;
	      Vehicle_B.Product_f = 0.0;
	      Vehicle_B.Product1_l = 0.0;
	      Vehicle_B.Sum1_d = 0.0;
	      Vehicle_B.Gain_j = 0.0;
	      Vehicle_B.Product4_o = 0.0;
	      Vehicle_B.Product2_p = 0.0;
	      Vehicle_B.Product3_lx = 0.0;
	      Vehicle_B.Sum2_p3 = 0.0;
	      Vehicle_B.Gain1_o = 0.0;
	      Vehicle_B.Product5_i = 0.0;
	      Vehicle_B.Sum_kk = 0.0;
	      Vehicle_B.Product_bg = 0.0;
	      Vehicle_B.Product1_l3 = 0.0;
	      Vehicle_B.Sum1_l = 0.0;
	      Vehicle_B.Gain_i = 0.0;
	      Vehicle_B.Product4_pt = 0.0;
	      Vehicle_B.Product6_p = 0.0;
	      Vehicle_B.Product7_dj = 0.0;
	      Vehicle_B.Sum3_o = 0.0;
	      Vehicle_B.Gain2_j = 0.0;
	      Vehicle_B.Product8_e = 0.0;
	      Vehicle_B.Product2_mf = 0.0;
	      Vehicle_B.Product3_k = 0.0;
	      Vehicle_B.Sum2_a = 0.0;
	      Vehicle_B.Gain1_oi = 0.0;
	      Vehicle_B.Product5_b = 0.0;
	      Vehicle_B.Sum_ln = 0.0;
	      Vehicle_B.Product_l = 0.0;
	      Vehicle_B.Product1_id = 0.0;
	      Vehicle_B.Sum1_d1 = 0.0;
	      Vehicle_B.Gain_o = 0.0;
	      Vehicle_B.Product4_d = 0.0;
	      Vehicle_B.Product2_f = 0.0;
	      Vehicle_B.Product3_gx = 0.0;
	      Vehicle_B.Sum2_l = 0.0;
	      Vehicle_B.Gain1_g = 0.0;
	      Vehicle_B.Product5_n = 0.0;
	      Vehicle_B.Product6_j = 0.0;
	      Vehicle_B.Product7_g = 0.0;
	      Vehicle_B.Sum3_b = 0.0;
	      Vehicle_B.Gain2_o = 0.0;
	      Vehicle_B.Product8_a = 0.0;
	      Vehicle_B.Sum_kb = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_d[0] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_d[1] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_d[2] = 0.0;
	      Vehicle_B.DotProduct3 = 0.0;
	      Vehicle_B.DotProduct1 = 0.0;
	      Vehicle_B.DotProduct2 = 0.0;
	      Vehicle_B.Divide1_k = 0.0;
	      Vehicle_B.Sqrt3 = 0.0;
	      Vehicle_B.Divide_o = 0.0;
	      Vehicle_B.Bias_k = 0.0;
	      Vehicle_B.Abs = 0.0;
	      Vehicle_B.Bias1_j = 0.0;
	      Vehicle_B.Abs1_d = 0.0;
	      Vehicle_B.Merge_ip = 0.0;
	      Vehicle_B.DotProduct3_o = 0.0;
	      Vehicle_B.DotProduct2_c = 0.0;
	      Vehicle_B.Divide1_d = 0.0;
	      Vehicle_B.Sqrt3_j = 0.0;
	      Vehicle_B.Add2 = 0.0;
	      Vehicle_B.Product_i2 = 0.0;
	      Vehicle_B.DotProduct3_p = 0.0;
	      Vehicle_B.DotProduct2_f = 0.0;
	      Vehicle_B.Divide1_b = 0.0;
	      Vehicle_B.Sqrt3_l = 0.0;
	      Vehicle_B.Divide_k = 0.0;
	      Vehicle_B.Bias_b = 0.0;
	      Vehicle_B.Abs_o = 0.0;
	      Vehicle_B.Bias1_m = 0.0;
	      Vehicle_B.Abs1_l = 0.0;
	      Vehicle_B.Merge_d = 0.0;
	      Vehicle_B.is180degRot[0] = 0.0;
	      Vehicle_B.is180degRot[1] = 0.0;
	      Vehicle_B.is180degRot[2] = 0.0;
	      Vehicle_B.Product1_g = 0.0;
	      Vehicle_B.Product2_g = 0.0;
	      Vehicle_B.Product3_aj = 0.0;
	      Vehicle_B.Sum_c = 0.0;
	      Vehicle_B.sqrt_h = 0.0;
	      Vehicle_B.Product_fv = 0.0;
	      Vehicle_B.Product2_a = 0.0;
	      Vehicle_B.Product_l5 = 0.0;
	      Vehicle_B.Product1_n = 0.0;
	      Vehicle_B.Product1_lg = 0.0;
	      Vehicle_B.Product2_fh = 0.0;
	      Vehicle_B.Product3_pe = 0.0;
	      Vehicle_B.Product3_l0 = 0.0;
	      Vehicle_B.Sum_n3 = 0.0;
	      Vehicle_B.sqrt_mv = 0.0;
	      Vehicle_B.Product2_ke = 0.0;
	      Vehicle_B.Product6_e = 0.0;
	      Vehicle_B.Product3_cc = 0.0;
	      Vehicle_B.Product7_a = 0.0;
	      Vehicle_B.Sum3_b5 = 0.0;
	      Vehicle_B.Gain2_p = 0.0;
	      Vehicle_B.Product8_k = 0.0;
	      Vehicle_B.Product1_l0 = 0.0;
	      Vehicle_B.Product_da = 0.0;
	      Vehicle_B.Product_m = 0.0;
	      Vehicle_B.Product1_dj = 0.0;
	      Vehicle_B.Sum1_n = 0.0;
	      Vehicle_B.Gain_l = 0.0;
	      Vehicle_B.Product4_c = 0.0;
	      Vehicle_B.Product2_gk = 0.0;
	      Vehicle_B.Product3_i = 0.0;
	      Vehicle_B.Sum2_g = 0.0;
	      Vehicle_B.Gain1_e = 0.0;
	      Vehicle_B.Product5_o = 0.0;
	      Vehicle_B.Sum_oz = 0.0;
	      Vehicle_B.Product_g = 0.0;
	      Vehicle_B.Product1_ew = 0.0;
	      Vehicle_B.Sum1_m = 0.0;
	      Vehicle_B.Gain_b = 0.0;
	      Vehicle_B.Product4_a = 0.0;
	      Vehicle_B.Product6_o = 0.0;
	      Vehicle_B.Product7_k = 0.0;
	      Vehicle_B.Sum3_bi = 0.0;
	      Vehicle_B.Gain2_l = 0.0;
	      Vehicle_B.Product8_me = 0.0;
	      Vehicle_B.Product2_fhq = 0.0;
	      Vehicle_B.Product3_n = 0.0;
	      Vehicle_B.Sum2_la = 0.0;
	      Vehicle_B.Gain1_ox = 0.0;
	      Vehicle_B.Product5_l = 0.0;
	      Vehicle_B.Sum_oa = 0.0;
	      Vehicle_B.Product_ew = 0.0;
	      Vehicle_B.Product1_m = 0.0;
	      Vehicle_B.Sum1_h = 0.0;
	      Vehicle_B.Gain_kp = 0.0;
	      Vehicle_B.Product4_g = 0.0;
	      Vehicle_B.Product2_gh = 0.0;
	      Vehicle_B.Product3_k4 = 0.0;
	      Vehicle_B.Sum2_i = 0.0;
	      Vehicle_B.Gain1_f = 0.0;
	      Vehicle_B.Product5_ij = 0.0;
	      Vehicle_B.Product6_c = 0.0;
	      Vehicle_B.Product7_a4 = 0.0;
	      Vehicle_B.Sum3_d = 0.0;
	      Vehicle_B.Gain2_n = 0.0;
	      Vehicle_B.Product8_f = 0.0;
	      Vehicle_B.Sum_nx = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_k[0] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_k[1] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_k[2] = 0.0;
	      Vehicle_B.jxk_b = 0.0;
	      Vehicle_B.kxi_b = 0.0;
	      Vehicle_B.ixj_h = 0.0;
	      Vehicle_B.kxj_l = 0.0;
	      Vehicle_B.ixk_e = 0.0;
	      Vehicle_B.jxi_n = 0.0;
	      Vehicle_B.Sum_m[0] = 0.0;
	      Vehicle_B.Sum_m[1] = 0.0;
	      Vehicle_B.Sum_m[2] = 0.0;
	      Vehicle_B.jxk_e = 0.0;
	      Vehicle_B.kxi_es = 0.0;
	      Vehicle_B.ixj_n = 0.0;
	      Vehicle_B.kxj_j = 0.0;
	      Vehicle_B.ixk_j = 0.0;
	      Vehicle_B.jxi_f = 0.0;
	      Vehicle_B.Sum_pb[0] = 0.0;
	      Vehicle_B.Sum_pb[1] = 0.0;
	      Vehicle_B.Sum_pb[2] = 0.0;
	      Vehicle_B.Product_dj = 0.0;
	      Vehicle_B.Product1_ig = 0.0;
	      Vehicle_B.Product2_ad = 0.0;
	      Vehicle_B.Product3_hf = 0.0;
	      Vehicle_B.Sum_gt = 0.0;
	      Vehicle_B.sqrt_i = 0.0;
	      Vehicle_B.Product2_nx = 0.0;
	      Vehicle_B.Product6_a = 0.0;
	      Vehicle_B.Product3_ce = 0.0;
	      Vehicle_B.Product7_ha = 0.0;
	      Vehicle_B.Sum3_l = 0.0;
	      Vehicle_B.Gain2_om = 0.0;
	      Vehicle_B.Product8_p = 0.0;
	      Vehicle_B.Product1_a = 0.0;
	      Vehicle_B.Product_mi = 0.0;
	      Vehicle_B.Product_pb = 0.0;
	      Vehicle_B.Product1_lr = 0.0;
	      Vehicle_B.Sum1_a = 0.0;
	      Vehicle_B.Gain_p = 0.0;
	      Vehicle_B.Product4_i = 0.0;
	      Vehicle_B.Product2_nz = 0.0;
	      Vehicle_B.Product3_lu = 0.0;
	      Vehicle_B.Sum2_m = 0.0;
	      Vehicle_B.Gain1_c = 0.0;
	      Vehicle_B.Product5_jx = 0.0;
	      Vehicle_B.Sum_g5 = 0.0;
	      Vehicle_B.Product_pe = 0.0;
	      Vehicle_B.Product1_mu = 0.0;
	      Vehicle_B.Sum1_k = 0.0;
	      Vehicle_B.Gain_ay = 0.0;
	      Vehicle_B.Product4_ok = 0.0;
	      Vehicle_B.Product6_ld = 0.0;
	      Vehicle_B.Product7_ei = 0.0;
	      Vehicle_B.Sum3_h = 0.0;
	      Vehicle_B.Gain2_l2 = 0.0;
	      Vehicle_B.Product8_d = 0.0;
	      Vehicle_B.Product2_ea = 0.0;
	      Vehicle_B.Product3_ll = 0.0;
	      Vehicle_B.Sum2_mr = 0.0;
	      Vehicle_B.Gain1_n = 0.0;
	      Vehicle_B.Product5_a = 0.0;
	      Vehicle_B.Sum_gz = 0.0;
	      Vehicle_B.Product_am = 0.0;
	      Vehicle_B.Product1_bt = 0.0;
	      Vehicle_B.Sum1_hk = 0.0;
	      Vehicle_B.Gain_g = 0.0;
	      Vehicle_B.Product4_o5 = 0.0;
	      Vehicle_B.Product2_cc = 0.0;
	      Vehicle_B.Product3_cd = 0.0;
	      Vehicle_B.Sum2_o = 0.0;
	      Vehicle_B.Gain1_ni = 0.0;
	      Vehicle_B.Product5_n2 = 0.0;
	      Vehicle_B.Product6_d5 = 0.0;
	      Vehicle_B.Product7_em = 0.0;
	      Vehicle_B.Sum3_jh = 0.0;
	      Vehicle_B.Gain2_ja = 0.0;
	      Vehicle_B.Product8_j = 0.0;
	      Vehicle_B.Sum_pw = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_j[0] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_j[1] = 0.0;
	      Vehicle_B.TmpSignalConversionAtDotProdu_j[2] = 0.0;
	      Vehicle_B.DotProduct3_ph = 0.0;
	      Vehicle_B.DotProduct1_o = 0.0;
	      Vehicle_B.DotProduct2_g = 0.0;
	      Vehicle_B.Divide1_p = 0.0;
	      Vehicle_B.Sqrt3_m = 0.0;
	      Vehicle_B.Divide_c = 0.0;
	      Vehicle_B.Bias_h = 0.0;
	      Vehicle_B.Abs_m = 0.0;
	      Vehicle_B.Bias1_e = 0.0;
	      Vehicle_B.Abs1_i = 0.0;
	      Vehicle_B.Merge_l = 0.0;
	      Vehicle_B.Switch_c[0] = 0.0;
	      Vehicle_B.Switch_c[1] = 0.0;
	      Vehicle_B.Switch_c[2] = 0.0;
	      Vehicle_B.Switch_c[3] = 0.0;
	      Vehicle_B.Product_h0 = 0.0;
	      Vehicle_B.Product1_fm = 0.0;
	      Vehicle_B.Product2_c2 = 0.0;
	      Vehicle_B.Product3_pq = 0.0;
	      Vehicle_B.Sum_f = 0.0;
	      Vehicle_B.sqrt_mo = 0.0;
	      Vehicle_B.Product_jc = 0.0;
	      Vehicle_B.Product1_o = 0.0;
	      Vehicle_B.Product2_j = 0.0;
	      Vehicle_B.Product3_lz = 0.0;
	      Vehicle_B.fcn1_i = 0.0;
	      Vehicle_B.fcn2_f = 0.0;
	      Vehicle_B.fcn3_o = 0.0;
	      Vehicle_B.Merge_k = 0.0;
	      Vehicle_B.fcn4_n = 0.0;
	      Vehicle_B.fcn5_g = 0.0;
	      Vehicle_B.VectorConcatenate_a[0] = 0.0;
	      Vehicle_B.VectorConcatenate_a[1] = 0.0;
	      Vehicle_B.VectorConcatenate_a[2] = 0.0;
	      Vehicle_B.DerivativeGain_k[0] = 0.0;
	      Vehicle_B.DerivativeGain_k[1] = 0.0;
	      Vehicle_B.DerivativeGain_k[2] = 0.0;
	      Vehicle_B.Tsamp_f[0] = 0.0;
	      Vehicle_B.Tsamp_f[1] = 0.0;
	      Vehicle_B.Tsamp_f[2] = 0.0;
	      Vehicle_B.UD_l[0] = 0.0;
	      Vehicle_B.UD_l[1] = 0.0;
	      Vehicle_B.UD_l[2] = 0.0;
	      Vehicle_B.Diff_e[0] = 0.0;
	      Vehicle_B.Diff_e[1] = 0.0;
	      Vehicle_B.Diff_e[2] = 0.0;
	      Vehicle_B.IntegralGain_p[0] = 0.0;
	      Vehicle_B.IntegralGain_p[1] = 0.0;
	      Vehicle_B.IntegralGain_p[2] = 0.0;
	      Vehicle_B.Integrator_k[0] = 0.0;
	      Vehicle_B.Integrator_k[1] = 0.0;
	      Vehicle_B.Integrator_k[2] = 0.0;
	      Vehicle_B.ProportionalGain_h[0] = 0.0;
	      Vehicle_B.ProportionalGain_h[1] = 0.0;
	      Vehicle_B.ProportionalGain_h[2] = 0.0;
	      Vehicle_B.is180degRot_l[0] = 0.0;
	      Vehicle_B.is180degRot_l[1] = 0.0;
	      Vehicle_B.is180degRot_l[2] = 0.0;
	      Vehicle_B.Product3_dz = 0.0;
	      Vehicle_B.Product2_eq = 0.0;
	      Vehicle_B.Product1_aa = 0.0;
	      Vehicle_B.DotProduct2_n = 0.0;
	      Vehicle_B.DotProduct1_h = 0.0;
	      Vehicle_B.Divide1_h = 0.0;
	      Vehicle_B.Sqrt3_mq = 0.0;
	      Vehicle_B.DotProduct3_e = 0.0;
	      Vehicle_B.Add2_k = 0.0;
	      Vehicle_B.Product_er = 0.0;
	      Vehicle_B.Sum_e = 0.0;
	      Vehicle_B.sqrt_j = 0.0;
	      Vehicle_B.Product3_lzz = 0.0;
	      Vehicle_B.Product3_ay = 0.0;
	      Vehicle_B.Product2_ep = 0.0;
	      Vehicle_B.Product2_bc = 0.0;
	      Vehicle_B.Product1_ge = 0.0;
	      Vehicle_B.Product1_fh = 0.0;
	      Vehicle_B.Product_ey = 0.0;
	      Vehicle_B.Product_d0 = 0.0;
	      Vehicle_B.Sum_ki = 0.0;
	      Vehicle_B.Product3_aw = 0.0;
	      Vehicle_B.Product2_pu = 0.0;
	      Vehicle_B.Product1_b0 = 0.0;
	      Vehicle_B.Product_cq = 0.0;
	      Vehicle_B.Sum_oq = 0.0;
	      Vehicle_B.Product3_h5 = 0.0;
	      Vehicle_B.Product2_i = 0.0;
	      Vehicle_B.Product1_ai = 0.0;
	      Vehicle_B.Product_cf = 0.0;
	      Vehicle_B.Sum_kc = 0.0;
	      Vehicle_B.Product3_c1 = 0.0;
	      Vehicle_B.Product2_no = 0.0;
	      Vehicle_B.Product1_d1 = 0.0;
	      Vehicle_B.Product_gr = 0.0;
	      Vehicle_B.Sum_n1 = 0.0;
	      Vehicle_B.Switch3[0] = 0.0;
	      Vehicle_B.Switch3[1] = 0.0;
	      Vehicle_B.Switch3[2] = 0.0;
	      Vehicle_B.jxi_m = 0.0;
	      Vehicle_B.ixk_k = 0.0;
	      Vehicle_B.kxj_f = 0.0;
	      Vehicle_B.ixj_k = 0.0;
	      Vehicle_B.kxi_bj = 0.0;
	      Vehicle_B.jxk_l = 0.0;
	      Vehicle_B.Sum_pd[0] = 0.0;
	      Vehicle_B.Sum_pd[1] = 0.0;
	      Vehicle_B.Sum_pd[2] = 0.0;
	      Vehicle_B.Gain2_c = 0.0;
	      Vehicle_B.Gain_o2 = 0.0;
	      Vehicle_B.jxi_no = 0.0;
	      Vehicle_B.ixk_b = 0.0;
	      Vehicle_B.kxj_n = 0.0;
	      Vehicle_B.ixj_l = 0.0;
	      Vehicle_B.kxi_o = 0.0;
	      Vehicle_B.jxk_d = 0.0;
	      Vehicle_B.Sum_b[0] = 0.0;
	      Vehicle_B.Sum_b[1] = 0.0;
	      Vehicle_B.Sum_b[2] = 0.0;
	      Vehicle_B.jxi_k = 0.0;
	      Vehicle_B.ixk_a = 0.0;
	      Vehicle_B.kxj_c = 0.0;
	      Vehicle_B.ixj_o = 0.0;
	      Vehicle_B.kxi_p = 0.0;
	      Vehicle_B.jxk_er = 0.0;
	      Vehicle_B.Sum_ff[0] = 0.0;
	      Vehicle_B.Sum_ff[1] = 0.0;
	      Vehicle_B.Sum_ff[2] = 0.0;
	      Vehicle_B.Dipole_x[0] = 0.0;
	      Vehicle_B.Dipole_x[1] = 0.0;
	      Vehicle_B.Dipole_x[2] = 0.0;
	      Vehicle_B.Dipole_y[0] = 0.0;
	      Vehicle_B.Dipole_y[1] = 0.0;
	      Vehicle_B.Dipole_y[2] = 0.0;
	      Vehicle_B.Dipole_z[0] = 0.0;
	      Vehicle_B.Dipole_z[1] = 0.0;
	      Vehicle_B.Dipole_z[2] = 0.0;
	      Vehicle_B.bdot[0] = 0.0;
	      Vehicle_B.bdot[1] = 0.0;
	      Vehicle_B.bdot[2] = 0.0;
	    }

  }

}






