/*
 * Vehicle.cpp
 *
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 *
 * Code generation for model "Vehicle".
 *
 * Model version              : 2.152
 * Simulink Coder version : 9.4 (R2020b) 29-Jul-2020
 * C++ source code generated on : Fri Nov  6 11:03:32 2020
 *
 * Target selection: grt.tlc
 * Note: GRT includes extra infrastructure and instrumentation for prototyping
 * Embedded hardware selection: 32-bit Generic
 * Code generation objective: Debugging
 * Validation result: Not run
 */

#include "Vehicle.h"
#include "Vehicle_private.h"

/*
 * Output and update for action system:
 *    '<S129>/If Action Subsystem'
 *    '<S130>/If Action Subsystem'
 *    '<S163>/If Action Subsystem'
 *    '<S178>/If Action Subsystem'
 */
void VehicleModelClass::Vehicle_IfActionSubsystem(real_T *rty_Out1)
{
  /* SignalConversion generated from: '<S140>/Out1' incorporates:
   *  Constant: '<S140>/Constant'
   */
  *rty_Out1 = 1.0;
}

/*
 * Output and update for action system:
 *    '<S129>/If Action Subsystem1'
 *    '<S130>/If Action Subsystem1'
 *    '<S163>/If Action Subsystem1'
 *    '<S178>/If Action Subsystem1'
 */
void VehicleModelClass::Vehicle_IfActionSubsystem1(real_T *rty_Out1)
{
  /* SignalConversion generated from: '<S141>/Out1' incorporates:
   *  Constant: '<S141>/Constant'
   */
  *rty_Out1 = -1.0;
}

/*
 * Output and update for action system:
 *    '<S129>/If Action Subsystem2'
 *    '<S130>/If Action Subsystem2'
 *    '<S163>/If Action Subsystem2'
 *    '<S178>/If Action Subsystem2'
 */
void VehicleModelClass::Vehicle_IfActionSubsystem2(real_T *rty_Out1)
{
  /* SignalConversion generated from: '<S142>/Out1' incorporates:
   *  Constant: '<S142>/Constant'
   */
  *rty_Out1 = 0.0;
}

/*
 * Output and update for action system:
 *    '<S268>/If Action Subsystem2'
 *    '<S118>/If Action Subsystem2'
 */
void VehicleModelClass::Vehicle_IfActionSubsystem2_f(real_T rtu_In, real_T
  *rty_OutOrig)
{
  /* Inport: '<S271>/In' */
  *rty_OutOrig = rtu_In;
}

real_T rt_atan2d_snf(real_T u0, real_T u1)
{
  real_T y;
  int32_T tmp;
  int32_T tmp_0;
  if (rtIsNaN(u0) || rtIsNaN(u1)) {
    y = (rtNaN);
  } else if (rtIsInf(u0) && rtIsInf(u1)) {
    if (u1 > 0.0) {
      tmp = 1;
    } else {
      tmp = -1;
    }

    if (u0 > 0.0) {
      tmp_0 = 1;
    } else {
      tmp_0 = -1;
    }

    y = std::atan2(static_cast<real_T>(tmp_0), static_cast<real_T>(tmp));
  } else if (u1 == 0.0) {
    if (u0 > 0.0) {
      y = RT_PI / 2.0;
    } else if (u0 < 0.0) {
      y = -(RT_PI / 2.0);
    } else {
      y = 0.0;
    }
  } else {
    y = std::atan2(u0, u1);
  }

  return y;
}

/* Model step function */
void VehicleModelClass::step()
{
  real_T tmpForInput;
  real_T tmpForInput_0;
  real_T tmpForInput_1;
  real_T tmpForInput_idx_0;
  real_T tmpForInput_idx_1;
  real_T tmpForInput_idx_2;
  int32_T i;

  /* Outputs for Atomic SubSystem: '<Root>/Vehicle Flight Software' */
  /* SwitchCase: '<S1>/Switch Case' incorporates:
   *  Inport: '<Root>/Mode'
   */
  tmpForInput_idx_0 = Vehicle_U.Mode;
  if (tmpForInput_idx_0 < 0.0) {
    tmpForInput_idx_0 = std::ceil(tmpForInput_idx_0);
  } else {
    tmpForInput_idx_0 = std::floor(tmpForInput_idx_0);
  }

  if (rtIsNaN(tmpForInput_idx_0) || rtIsInf(tmpForInput_idx_0)) {
    tmpForInput_idx_0 = 0.0;
  } else {
    tmpForInput_idx_0 = std::fmod(tmpForInput_idx_0, 4.294967296E+9);
  }

  switch (tmpForInput_idx_0 < 0.0 ? -static_cast<int32_T>(static_cast<uint32_T>(
            -tmpForInput_idx_0)) : static_cast<int32_T>(static_cast<uint32_T>
           (tmpForInput_idx_0))) {
   case 0:
    /* Outputs for IfAction SubSystem: '<S1>/Detumble Mode' incorporates:
     *  ActionPort: '<S2>/Action Port'
     */
    /* Outport: '<Root>/Bbody' incorporates:
     *  Inport: '<Root>/Bmgm'
     *  Inport: '<S2>/Bmgm'
     */
    /* MATLAB Function 'Vehicle Flight Software/Detumble Mode/Derivative Function': '<S5>:1' */
    /* '<S5>:1:4' if isempty (state) */
    /* '<S5>:1:7' bdot = b-state; */
    /* '<S5>:1:8' state = b; */
    Vehicle_Y.Bbody[0] = Vehicle_U.Bmgm[0];

    /* MATLAB Function: '<S2>/Derivative Function' incorporates:
     *  Outport: '<Root>/Bbody'
     */
    Vehicle_B.bdot[0] = Vehicle_Y.Bbody[0] - Vehicle_DW.state[0];
    Vehicle_DW.state[0] = Vehicle_Y.Bbody[0];

    /* Outport: '<Root>/Bbody' incorporates:
     *  Inport: '<Root>/Bmgm'
     *  Inport: '<S2>/Bmgm'
     */
    Vehicle_Y.Bbody[1] = Vehicle_U.Bmgm[1];

    /* MATLAB Function: '<S2>/Derivative Function' incorporates:
     *  Outport: '<Root>/Bbody'
     */
    Vehicle_B.bdot[1] = Vehicle_Y.Bbody[1] - Vehicle_DW.state[1];
    Vehicle_DW.state[1] = Vehicle_Y.Bbody[1];

    /* Outport: '<Root>/Bbody' incorporates:
     *  Inport: '<Root>/Bmgm'
     *  Inport: '<S2>/Bmgm'
     */
    Vehicle_Y.Bbody[2] = Vehicle_U.Bmgm[2];

    /* MATLAB Function: '<S2>/Derivative Function' incorporates:
     *  Outport: '<Root>/Bbody'
     */
    Vehicle_B.bdot[2] = Vehicle_Y.Bbody[2] - Vehicle_DW.state[2];
    Vehicle_DW.state[2] = Vehicle_Y.Bbody[2];

    /* MATLAB Function: '<S2>/Magnetroquer control' */
    /* MATLAB Function 'Vehicle Flight Software/Detumble Mode/Magnetroquer control': '<S6>:1' */
    /* '<S6>:1:3' mmax=6; */
    /* '<S6>:1:6' Dipole_x= [-mmax*sign(bdot(1));0;0]; */
    tmpForInput_idx_0 = Vehicle_B.bdot[0];
    if (tmpForInput_idx_0 < 0.0) {
      tmpForInput_idx_0 = -1.0;
    } else if (tmpForInput_idx_0 > 0.0) {
      tmpForInput_idx_0 = 1.0;
    } else if (tmpForInput_idx_0 == 0.0) {
      tmpForInput_idx_0 = 0.0;
    } else {
      tmpForInput_idx_0 = (rtNaN);
    }

    Vehicle_B.Dipole_x[0] = -6.0 * tmpForInput_idx_0;
    Vehicle_B.Dipole_x[1] = 0.0;
    Vehicle_B.Dipole_x[2] = 0.0;

    /* '<S6>:1:7' Dipole_y= [0;-mmax*sign(bdot(2));0]; */
    Vehicle_B.Dipole_y[0] = 0.0;
    tmpForInput_idx_0 = Vehicle_B.bdot[1];
    if (tmpForInput_idx_0 < 0.0) {
      tmpForInput_idx_0 = -1.0;
    } else if (tmpForInput_idx_0 > 0.0) {
      tmpForInput_idx_0 = 1.0;
    } else if (tmpForInput_idx_0 == 0.0) {
      tmpForInput_idx_0 = 0.0;
    } else {
      tmpForInput_idx_0 = (rtNaN);
    }

    Vehicle_B.Dipole_y[1] = -6.0 * tmpForInput_idx_0;
    Vehicle_B.Dipole_y[2] = 0.0;

    /* '<S6>:1:8' Dipole_z= [0;0;-mmax*sign(bdot(3))]; */
    Vehicle_B.Dipole_z[0] = 0.0;
    Vehicle_B.Dipole_z[1] = 0.0;
    tmpForInput_idx_0 = Vehicle_B.bdot[2];
    if (tmpForInput_idx_0 < 0.0) {
      tmpForInput_idx_0 = -1.0;
    } else if (tmpForInput_idx_0 > 0.0) {
      tmpForInput_idx_0 = 1.0;
    } else if (tmpForInput_idx_0 == 0.0) {
      tmpForInput_idx_0 = 0.0;
    } else {
      tmpForInput_idx_0 = (rtNaN);
    }

    Vehicle_B.Dipole_z[2] = -6.0 * tmpForInput_idx_0;

    /* End of MATLAB Function: '<S2>/Magnetroquer control' */

    /* Merge: '<S1>/Merge' incorporates:
     *  Sum: '<S2>/Add'
     */
    Vehicle_B.Merge[0] = (Vehicle_B.Dipole_x[0] + Vehicle_B.Dipole_y[0]) +
      Vehicle_B.Dipole_z[0];
    Vehicle_B.Merge[1] = (Vehicle_B.Dipole_x[1] + Vehicle_B.Dipole_y[1]) +
      Vehicle_B.Dipole_z[1];
    Vehicle_B.Merge[2] = (Vehicle_B.Dipole_x[2] + Vehicle_B.Dipole_y[2]) +
      Vehicle_B.Dipole_z[2];

    /* End of Outputs for SubSystem: '<S1>/Detumble Mode' */
    break;

   case 1:
    /* Outputs for IfAction SubSystem: '<S1>/SunPointing Mode' incorporates:
     *  ActionPort: '<S4>/Action Port'
     */
    /* If: '<S129>/If' */
    if (Vehicle_ConstB.Abs < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S129>/If Action Subsystem' incorporates:
       *  ActionPort: '<S140>/Action Port'
       */
      Vehicle_IfActionSubsystem(&Vehicle_B.Merge_m);

      /* End of Outputs for SubSystem: '<S129>/If Action Subsystem' */
    } else if (Vehicle_ConstB.Abs1 < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S129>/If Action Subsystem1' incorporates:
       *  ActionPort: '<S141>/Action Port'
       */
      Vehicle_IfActionSubsystem1(&Vehicle_B.Merge_m);

      /* End of Outputs for SubSystem: '<S129>/If Action Subsystem1' */
    } else {
      /* Outputs for IfAction SubSystem: '<S129>/If Action Subsystem2' incorporates:
       *  ActionPort: '<S142>/Action Port'
       */
      Vehicle_IfActionSubsystem2(&Vehicle_B.Merge_m);

      /* End of Outputs for SubSystem: '<S129>/If Action Subsystem2' */
    }

    /* End of If: '<S129>/If' */

    /* Product: '<S259>/Product' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product_n = Vehicle_U.q_eci2b[0] * Vehicle_U.q_eci2b[0];

    /* Product: '<S259>/Product1' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product1_ii = Vehicle_U.q_eci2b[1] * Vehicle_U.q_eci2b[1];

    /* Product: '<S259>/Product2' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product2_c = Vehicle_U.q_eci2b[2] * Vehicle_U.q_eci2b[2];

    /* Product: '<S259>/Product3' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product3_d = Vehicle_U.q_eci2b[3] * Vehicle_U.q_eci2b[3];

    /* Sum: '<S259>/Sum' */
    Vehicle_B.Sum_j = ((Vehicle_B.Product_n + Vehicle_B.Product1_ii) +
                       Vehicle_B.Product2_c) + Vehicle_B.Product3_d;

    /* Sqrt: '<S258>/sqrt' */
    Vehicle_B.sqrt_n = std::sqrt(Vehicle_B.Sum_j);

    /* Product: '<S254>/Product2' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product2_oi = Vehicle_U.q_eci2b[2] / Vehicle_B.sqrt_n;

    /* Product: '<S255>/Product6' */
    Vehicle_B.Product6 = Vehicle_B.Product2_oi * Vehicle_B.Product2_oi;

    /* Product: '<S254>/Product3' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product3_a = Vehicle_U.q_eci2b[3] / Vehicle_B.sqrt_n;

    /* Product: '<S255>/Product7' */
    Vehicle_B.Product7 = Vehicle_B.Product3_a * Vehicle_B.Product3_a;

    /* Sum: '<S255>/Sum3' incorporates:
     *  Constant: '<S255>/Constant'
     */
    Vehicle_B.Sum3 = (0.5 - Vehicle_B.Product6) - Vehicle_B.Product7;

    /* Gain: '<S255>/Gain2' */
    Vehicle_B.Gain2 = 2.0 * Vehicle_B.Sum3;

    /* Product: '<S255>/Product8' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product8 = Vehicle_U.xSunECI[0] * Vehicle_B.Gain2;

    /* Product: '<S254>/Product1' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product1_fv = Vehicle_U.q_eci2b[1] / Vehicle_B.sqrt_n;

    /* Product: '<S255>/Product' */
    Vehicle_B.Product_jb = Vehicle_B.Product1_fv * Vehicle_B.Product2_oi;

    /* Product: '<S254>/Product' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product_cw = Vehicle_U.q_eci2b[0] / Vehicle_B.sqrt_n;

    /* Product: '<S255>/Product1' */
    Vehicle_B.Product1_b = Vehicle_B.Product_cw * Vehicle_B.Product3_a;

    /* Sum: '<S255>/Sum1' */
    Vehicle_B.Sum1 = Vehicle_B.Product_jb + Vehicle_B.Product1_b;

    /* Gain: '<S255>/Gain' */
    Vehicle_B.Gain = 2.0 * Vehicle_B.Sum1;

    /* Product: '<S255>/Product4' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product4_p = Vehicle_B.Gain * Vehicle_U.xSunECI[1];

    /* Product: '<S255>/Product2' */
    Vehicle_B.Product2_ox = Vehicle_B.Product_cw * Vehicle_B.Product2_oi;

    /* Product: '<S255>/Product3' */
    Vehicle_B.Product3_pv = Vehicle_B.Product1_fv * Vehicle_B.Product3_a;

    /* Sum: '<S255>/Sum2' */
    Vehicle_B.Sum2 = Vehicle_B.Product3_pv - Vehicle_B.Product2_ox;

    /* Gain: '<S255>/Gain1' */
    Vehicle_B.Gain1_l = 2.0 * Vehicle_B.Sum2;

    /* Product: '<S255>/Product5' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product5_g = Vehicle_B.Gain1_l * Vehicle_U.xSunECI[2];

    /* Sum: '<S255>/Sum' */
    Vehicle_B.Sum_k = (Vehicle_B.Product8 + Vehicle_B.Product4_p) +
      Vehicle_B.Product5_g;

    /* Product: '<S256>/Product' */
    Vehicle_B.Product_if = Vehicle_B.Product1_fv * Vehicle_B.Product2_oi;

    /* Product: '<S256>/Product1' */
    Vehicle_B.Product1_e = Vehicle_B.Product_cw * Vehicle_B.Product3_a;

    /* Sum: '<S256>/Sum1' */
    Vehicle_B.Sum1_b = Vehicle_B.Product_if - Vehicle_B.Product1_e;

    /* Gain: '<S256>/Gain' */
    Vehicle_B.Gain_a = 2.0 * Vehicle_B.Sum1_b;

    /* Product: '<S256>/Product4' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product4_k = Vehicle_U.xSunECI[0] * Vehicle_B.Gain_a;

    /* Product: '<S256>/Product6' */
    Vehicle_B.Product6_d = Vehicle_B.Product1_fv * Vehicle_B.Product1_fv;

    /* Product: '<S256>/Product7' */
    Vehicle_B.Product7_e = Vehicle_B.Product3_a * Vehicle_B.Product3_a;

    /* Sum: '<S256>/Sum3' incorporates:
     *  Constant: '<S256>/Constant'
     */
    Vehicle_B.Sum3_p = (0.5 - Vehicle_B.Product6_d) - Vehicle_B.Product7_e;

    /* Gain: '<S256>/Gain2' */
    Vehicle_B.Gain2_a = 2.0 * Vehicle_B.Sum3_p;

    /* Product: '<S256>/Product8' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product8_c = Vehicle_B.Gain2_a * Vehicle_U.xSunECI[1];

    /* Product: '<S256>/Product2' */
    Vehicle_B.Product2_l = Vehicle_B.Product_cw * Vehicle_B.Product1_fv;

    /* Product: '<S256>/Product3' */
    Vehicle_B.Product3_c5 = Vehicle_B.Product2_oi * Vehicle_B.Product3_a;

    /* Sum: '<S256>/Sum2' */
    Vehicle_B.Sum2_k = Vehicle_B.Product2_l + Vehicle_B.Product3_c5;

    /* Gain: '<S256>/Gain1' */
    Vehicle_B.Gain1_d = 2.0 * Vehicle_B.Sum2_k;

    /* Product: '<S256>/Product5' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product5_j = Vehicle_B.Gain1_d * Vehicle_U.xSunECI[2];

    /* Sum: '<S256>/Sum' */
    Vehicle_B.Sum_lm = (Vehicle_B.Product4_k + Vehicle_B.Product8_c) +
      Vehicle_B.Product5_j;

    /* Product: '<S257>/Product' */
    Vehicle_B.Product_c3 = Vehicle_B.Product1_fv * Vehicle_B.Product3_a;

    /* Product: '<S257>/Product1' */
    Vehicle_B.Product1_c = Vehicle_B.Product_cw * Vehicle_B.Product2_oi;

    /* Sum: '<S257>/Sum1' */
    Vehicle_B.Sum1_bu = Vehicle_B.Product_c3 + Vehicle_B.Product1_c;

    /* Gain: '<S257>/Gain' */
    Vehicle_B.Gain_k = 2.0 * Vehicle_B.Sum1_bu;

    /* Product: '<S257>/Product4' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product4_m = Vehicle_U.xSunECI[0] * Vehicle_B.Gain_k;

    /* Product: '<S257>/Product2' */
    Vehicle_B.Product2_k = Vehicle_B.Product_cw * Vehicle_B.Product1_fv;

    /* Product: '<S257>/Product3' */
    Vehicle_B.Product3_f = Vehicle_B.Product2_oi * Vehicle_B.Product3_a;

    /* Sum: '<S257>/Sum2' */
    Vehicle_B.Sum2_p = Vehicle_B.Product3_f - Vehicle_B.Product2_k;

    /* Gain: '<S257>/Gain1' */
    Vehicle_B.Gain1_i = 2.0 * Vehicle_B.Sum2_p;

    /* Product: '<S257>/Product5' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product5_d = Vehicle_B.Gain1_i * Vehicle_U.xSunECI[1];

    /* Product: '<S257>/Product6' */
    Vehicle_B.Product6_b = Vehicle_B.Product1_fv * Vehicle_B.Product1_fv;

    /* Product: '<S257>/Product7' */
    Vehicle_B.Product7_h = Vehicle_B.Product2_oi * Vehicle_B.Product2_oi;

    /* Sum: '<S257>/Sum3' incorporates:
     *  Constant: '<S257>/Constant'
     */
    Vehicle_B.Sum3_e = (0.5 - Vehicle_B.Product6_b) - Vehicle_B.Product7_h;

    /* Gain: '<S257>/Gain2' */
    Vehicle_B.Gain2_b = 2.0 * Vehicle_B.Sum3_e;

    /* Product: '<S257>/Product8' incorporates:
     *  Inport: '<Root>/xSunECI'
     */
    Vehicle_B.Product8_g = Vehicle_B.Gain2_b * Vehicle_U.xSunECI[2];

    /* Sum: '<S257>/Sum' */
    Vehicle_B.Sum_n = (Vehicle_B.Product4_m + Vehicle_B.Product5_d) +
      Vehicle_B.Product8_g;

    /* SignalConversion generated from: '<S130>/Dot Product1' */
    Vehicle_B.TmpSignalConversionAtDotProduct[0] = Vehicle_B.Sum_k;
    Vehicle_B.TmpSignalConversionAtDotProduct[1] = Vehicle_B.Sum_lm;
    Vehicle_B.TmpSignalConversionAtDotProduct[2] = Vehicle_B.Sum_n;

    /* Product: '<S265>/Product' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product_jz = Vehicle_U.q_eci2b[0] * Vehicle_U.q_eci2b[0];

    /* Product: '<S265>/Product1' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product1_bp = Vehicle_U.q_eci2b[1] * Vehicle_U.q_eci2b[1];

    /* Product: '<S265>/Product2' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product2_b = Vehicle_U.q_eci2b[2] * Vehicle_U.q_eci2b[2];

    /* Product: '<S265>/Product3' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product3_dh = Vehicle_U.q_eci2b[3] * Vehicle_U.q_eci2b[3];

    /* Sum: '<S265>/Sum' */
    Vehicle_B.Sum_d5 = ((Vehicle_B.Product_jz + Vehicle_B.Product1_bp) +
                        Vehicle_B.Product2_b) + Vehicle_B.Product3_dh;

    /* Sqrt: '<S264>/sqrt' */
    Vehicle_B.sqrt_k = std::sqrt(Vehicle_B.Sum_d5);

    /* Product: '<S260>/Product2' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product2_lq = Vehicle_U.q_eci2b[2] / Vehicle_B.sqrt_k;

    /* Product: '<S261>/Product6' */
    Vehicle_B.Product6_l = Vehicle_B.Product2_lq * Vehicle_B.Product2_lq;

    /* Product: '<S260>/Product3' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product3_h = Vehicle_U.q_eci2b[3] / Vehicle_B.sqrt_k;

    /* Product: '<S261>/Product7' */
    Vehicle_B.Product7_d = Vehicle_B.Product3_h * Vehicle_B.Product3_h;

    /* Sum: '<S261>/Sum3' incorporates:
     *  Constant: '<S261>/Constant'
     */
    Vehicle_B.Sum3_j = (0.5 - Vehicle_B.Product6_l) - Vehicle_B.Product7_d;

    /* Gain: '<S261>/Gain2' */
    Vehicle_B.Gain2_f = 2.0 * Vehicle_B.Sum3_j;

    /* Product: '<S261>/Product8' */
    Vehicle_B.Product8_m = 0.0 * Vehicle_B.Gain2_f;

    /* Product: '<S260>/Product1' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product1_b1 = Vehicle_U.q_eci2b[1] / Vehicle_B.sqrt_k;

    /* Product: '<S261>/Product' */
    Vehicle_B.Product_h1 = Vehicle_B.Product1_b1 * Vehicle_B.Product2_lq;

    /* Product: '<S260>/Product' incorporates:
     *  Inport: '<Root>/q_eci2b'
     */
    Vehicle_B.Product_f = Vehicle_U.q_eci2b[0] / Vehicle_B.sqrt_k;

    /* Product: '<S261>/Product1' */
    Vehicle_B.Product1_l = Vehicle_B.Product_f * Vehicle_B.Product3_h;

    /* Sum: '<S261>/Sum1' */
    Vehicle_B.Sum1_d = Vehicle_B.Product_h1 + Vehicle_B.Product1_l;

    /* Gain: '<S261>/Gain' */
    Vehicle_B.Gain_j = 2.0 * Vehicle_B.Sum1_d;

    /* Product: '<S261>/Product4' */
    Vehicle_B.Product4_o = Vehicle_B.Gain_j * 0.0;

    /* Product: '<S261>/Product2' */
    Vehicle_B.Product2_p = Vehicle_B.Product_f * Vehicle_B.Product2_lq;

    /* Product: '<S261>/Product3' */
    Vehicle_B.Product3_lx = Vehicle_B.Product1_b1 * Vehicle_B.Product3_h;

    /* Sum: '<S261>/Sum2' */
    Vehicle_B.Sum2_p3 = Vehicle_B.Product3_lx - Vehicle_B.Product2_p;

    /* Gain: '<S261>/Gain1' */
    Vehicle_B.Gain1_o = 2.0 * Vehicle_B.Sum2_p3;

    /* Product: '<S261>/Product5' */
    Vehicle_B.Product5_i = Vehicle_B.Gain1_o;

    /* Sum: '<S261>/Sum' */
    Vehicle_B.Sum_kk = (Vehicle_B.Product8_m + Vehicle_B.Product4_o) +
      Vehicle_B.Product5_i;

    /* Product: '<S262>/Product' */
    Vehicle_B.Product_bg = Vehicle_B.Product1_b1 * Vehicle_B.Product2_lq;

    /* Product: '<S262>/Product1' */
    Vehicle_B.Product1_l3 = Vehicle_B.Product_f * Vehicle_B.Product3_h;

    /* Sum: '<S262>/Sum1' */
    Vehicle_B.Sum1_l = Vehicle_B.Product_bg - Vehicle_B.Product1_l3;

    /* Gain: '<S262>/Gain' */
    Vehicle_B.Gain_i = 2.0 * Vehicle_B.Sum1_l;

    /* Product: '<S262>/Product4' */
    Vehicle_B.Product4_pt = 0.0 * Vehicle_B.Gain_i;

    /* Product: '<S262>/Product6' */
    Vehicle_B.Product6_p = Vehicle_B.Product1_b1 * Vehicle_B.Product1_b1;

    /* Product: '<S262>/Product7' */
    Vehicle_B.Product7_dj = Vehicle_B.Product3_h * Vehicle_B.Product3_h;

    /* Sum: '<S262>/Sum3' incorporates:
     *  Constant: '<S262>/Constant'
     */
    Vehicle_B.Sum3_o = (0.5 - Vehicle_B.Product6_p) - Vehicle_B.Product7_dj;

    /* Gain: '<S262>/Gain2' */
    Vehicle_B.Gain2_j = 2.0 * Vehicle_B.Sum3_o;

    /* Product: '<S262>/Product8' */
    Vehicle_B.Product8_e = Vehicle_B.Gain2_j * 0.0;

    /* Product: '<S262>/Product2' */
    Vehicle_B.Product2_mf = Vehicle_B.Product_f * Vehicle_B.Product1_b1;

    /* Product: '<S262>/Product3' */
    Vehicle_B.Product3_k = Vehicle_B.Product2_lq * Vehicle_B.Product3_h;

    /* Sum: '<S262>/Sum2' */
    Vehicle_B.Sum2_a = Vehicle_B.Product2_mf + Vehicle_B.Product3_k;

    /* Gain: '<S262>/Gain1' */
    Vehicle_B.Gain1_oi = 2.0 * Vehicle_B.Sum2_a;

    /* Product: '<S262>/Product5' */
    Vehicle_B.Product5_b = Vehicle_B.Gain1_oi;

    /* Sum: '<S262>/Sum' */
    Vehicle_B.Sum_ln = (Vehicle_B.Product4_pt + Vehicle_B.Product8_e) +
      Vehicle_B.Product5_b;

    /* Product: '<S263>/Product' */
    Vehicle_B.Product_l = Vehicle_B.Product1_b1 * Vehicle_B.Product3_h;

    /* Product: '<S263>/Product1' */
    Vehicle_B.Product1_id = Vehicle_B.Product_f * Vehicle_B.Product2_lq;

    /* Sum: '<S263>/Sum1' */
    Vehicle_B.Sum1_d1 = Vehicle_B.Product_l + Vehicle_B.Product1_id;

    /* Gain: '<S263>/Gain' */
    Vehicle_B.Gain_o = 2.0 * Vehicle_B.Sum1_d1;

    /* Product: '<S263>/Product4' */
    Vehicle_B.Product4_d = 0.0 * Vehicle_B.Gain_o;

    /* Product: '<S263>/Product2' */
    Vehicle_B.Product2_f = Vehicle_B.Product_f * Vehicle_B.Product1_b1;

    /* Product: '<S263>/Product3' */
    Vehicle_B.Product3_gx = Vehicle_B.Product2_lq * Vehicle_B.Product3_h;

    /* Sum: '<S263>/Sum2' */
    Vehicle_B.Sum2_l = Vehicle_B.Product3_gx - Vehicle_B.Product2_f;

    /* Gain: '<S263>/Gain1' */
    Vehicle_B.Gain1_g = 2.0 * Vehicle_B.Sum2_l;

    /* Product: '<S263>/Product5' */
    Vehicle_B.Product5_n = Vehicle_B.Gain1_g * 0.0;

    /* Product: '<S263>/Product6' */
    Vehicle_B.Product6_j = Vehicle_B.Product1_b1 * Vehicle_B.Product1_b1;

    /* Product: '<S263>/Product7' */
    Vehicle_B.Product7_g = Vehicle_B.Product2_lq * Vehicle_B.Product2_lq;

    /* Sum: '<S263>/Sum3' incorporates:
     *  Constant: '<S263>/Constant'
     */
    Vehicle_B.Sum3_b = (0.5 - Vehicle_B.Product6_j) - Vehicle_B.Product7_g;

    /* Gain: '<S263>/Gain2' */
    Vehicle_B.Gain2_o = 2.0 * Vehicle_B.Sum3_b;

    /* Product: '<S263>/Product8' */
    Vehicle_B.Product8_a = Vehicle_B.Gain2_o;

    /* Sum: '<S263>/Sum' */
    Vehicle_B.Sum_kb = (Vehicle_B.Product4_d + Vehicle_B.Product5_n) +
      Vehicle_B.Product8_a;

    /* SignalConversion generated from: '<S130>/Dot Product2' */
    Vehicle_B.TmpSignalConversionAtDotProdu_d[0] = Vehicle_B.Sum_kk;
    Vehicle_B.TmpSignalConversionAtDotProdu_d[1] = Vehicle_B.Sum_ln;
    Vehicle_B.TmpSignalConversionAtDotProdu_d[2] = Vehicle_B.Sum_kb;

    /* DotProduct: '<S130>/Dot Product3' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_d[0];
    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product1' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product2' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_d[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_d[0];
    tmpForInput_0 = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product3' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_d[1];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product1' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product2' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_d[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_d[1];
    tmpForInput_0 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product3' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_d[2];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product1' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product2' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_d[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_d[2];
    tmpForInput_0 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S130>/Dot Product3' */
    Vehicle_B.DotProduct3 = tmpForInput_idx_2;

    /* DotProduct: '<S130>/Dot Product1' */
    Vehicle_B.DotProduct1 = tmpForInput;

    /* DotProduct: '<S130>/Dot Product2' */
    Vehicle_B.DotProduct2 = tmpForInput_0;

    /* Product: '<S130>/Divide1' */
    Vehicle_B.Divide1_k = Vehicle_B.DotProduct1 * Vehicle_B.DotProduct2;

    /* Sqrt: '<S130>/Sqrt3' */
    Vehicle_B.Sqrt3 = std::sqrt(Vehicle_B.Divide1_k);

    /* Product: '<S130>/Divide' */
    Vehicle_B.Divide_o = Vehicle_B.DotProduct3 / Vehicle_B.Sqrt3;

    /* Bias: '<S130>/Bias' */
    Vehicle_B.Bias_k = Vehicle_B.Divide_o + -1.0;

    /* Abs: '<S130>/Abs' */
    Vehicle_B.Abs = std::abs(Vehicle_B.Bias_k);

    /* Bias: '<S130>/Bias1' */
    Vehicle_B.Bias1_j = Vehicle_B.Divide_o + 1.0;

    /* Abs: '<S130>/Abs1' */
    Vehicle_B.Abs1_d = std::abs(Vehicle_B.Bias1_j);

    /* If: '<S130>/If' */
    if (Vehicle_B.Abs < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S130>/If Action Subsystem' incorporates:
       *  ActionPort: '<S143>/Action Port'
       */
      Vehicle_IfActionSubsystem(&Vehicle_B.Merge_ip);

      /* End of Outputs for SubSystem: '<S130>/If Action Subsystem' */
    } else if (Vehicle_B.Abs1_d < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S130>/If Action Subsystem1' incorporates:
       *  ActionPort: '<S144>/Action Port'
       */
      Vehicle_IfActionSubsystem1(&Vehicle_B.Merge_ip);

      /* End of Outputs for SubSystem: '<S130>/If Action Subsystem1' */
    } else {
      /* Outputs for IfAction SubSystem: '<S130>/If Action Subsystem2' incorporates:
       *  ActionPort: '<S145>/Action Port'
       */
      Vehicle_IfActionSubsystem2(&Vehicle_B.Merge_ip);

      /* End of Outputs for SubSystem: '<S130>/If Action Subsystem2' */
    }

    /* End of If: '<S130>/If' */

    /* RelationalOperator: '<S131>/Compare' incorporates:
     *  Constant: '<S131>/Constant'
     */
    Vehicle_B.Compare_k = (Vehicle_B.Merge_m != 0.0);

    /* RelationalOperator: '<S132>/Compare' incorporates:
     *  Constant: '<S132>/Constant'
     */
    Vehicle_B.Compare_a = (Vehicle_B.Merge_ip != 0.0);

    /* Logic: '<S124>/OR' */
    Vehicle_B.OR = (Vehicle_B.Compare_k || Vehicle_B.Compare_a);

    /* DotProduct: '<S136>/Dot Product3' */
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput_idx_1 = 0.0 * tmpForInput_idx_0;

    /* DotProduct: '<S136>/Dot Product2' */
    tmpForInput_idx_2 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput = tmpForInput_idx_2 * tmpForInput_idx_0;

    /* DotProduct: '<S163>/Dot Product3' */
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput_0 = 0.0 * tmpForInput_idx_0;

    /* DotProduct: '<S163>/Dot Product2' */
    tmpForInput_idx_2 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[0];
    tmpForInput_1 = tmpForInput_idx_2 * tmpForInput_idx_0;

    /* DotProduct: '<S136>/Dot Product3' */
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput_idx_1 += 0.0 * tmpForInput_idx_0;

    /* DotProduct: '<S136>/Dot Product2' */
    tmpForInput_idx_2 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput += tmpForInput_idx_2 * tmpForInput_idx_0;

    /* DotProduct: '<S163>/Dot Product3' */
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput_0 += 0.0 * tmpForInput_idx_0;

    /* DotProduct: '<S163>/Dot Product2' */
    tmpForInput_idx_2 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[1];
    tmpForInput_1 += tmpForInput_idx_2 * tmpForInput_idx_0;

    /* DotProduct: '<S136>/Dot Product3' */
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput_idx_1 += -tmpForInput_idx_0;

    /* DotProduct: '<S136>/Dot Product2' */
    tmpForInput_idx_2 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput += tmpForInput_idx_2 * tmpForInput_idx_0;

    /* DotProduct: '<S163>/Dot Product3' */
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput_0 += -tmpForInput_idx_0;

    /* DotProduct: '<S163>/Dot Product2' */
    tmpForInput_idx_2 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProduct[2];
    tmpForInput_1 += tmpForInput_idx_2 * tmpForInput_idx_0;

    /* DotProduct: '<S136>/Dot Product3' */
    Vehicle_B.DotProduct3_o = tmpForInput_idx_1;

    /* DotProduct: '<S136>/Dot Product2' */
    Vehicle_B.DotProduct2_c = tmpForInput;

    /* Product: '<S136>/Divide1' */
    Vehicle_B.Divide1_d = Vehicle_ConstB.DotProduct1_c * Vehicle_B.DotProduct2_c;

    /* Sqrt: '<S136>/Sqrt3' */
    Vehicle_B.Sqrt3_j = std::sqrt(Vehicle_B.Divide1_d);

    /* Sum: '<S136>/Add2' */
    Vehicle_B.Add2 = Vehicle_B.DotProduct3_o + Vehicle_B.Sqrt3_j;

    /* Product: '<S176>/Product' */
    Vehicle_B.Product_i2 = Vehicle_B.Add2 * Vehicle_B.Add2;

    /* DotProduct: '<S163>/Dot Product3' */
    Vehicle_B.DotProduct3_p = tmpForInput_0;

    /* DotProduct: '<S163>/Dot Product2' */
    Vehicle_B.DotProduct2_f = tmpForInput_1;

    /* Product: '<S163>/Divide1' */
    Vehicle_B.Divide1_b = Vehicle_ConstB.DotProduct1_g * Vehicle_B.DotProduct2_f;

    /* Sqrt: '<S163>/Sqrt3' */
    Vehicle_B.Sqrt3_l = std::sqrt(Vehicle_B.Divide1_b);

    /* Product: '<S163>/Divide' */
    Vehicle_B.Divide_k = Vehicle_B.DotProduct3_p / Vehicle_B.Sqrt3_l;

    /* Bias: '<S163>/Bias' */
    Vehicle_B.Bias_b = Vehicle_B.Divide_k + -1.0;

    /* Abs: '<S163>/Abs' */
    Vehicle_B.Abs_o = std::abs(Vehicle_B.Bias_b);

    /* Bias: '<S163>/Bias1' */
    Vehicle_B.Bias1_m = Vehicle_B.Divide_k + 1.0;

    /* Abs: '<S163>/Abs1' */
    Vehicle_B.Abs1_l = std::abs(Vehicle_B.Bias1_m);

    /* If: '<S163>/If' */
    if (Vehicle_B.Abs_o < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S163>/If Action Subsystem' incorporates:
       *  ActionPort: '<S169>/Action Port'
       */
      Vehicle_IfActionSubsystem(&Vehicle_B.Merge_d);

      /* End of Outputs for SubSystem: '<S163>/If Action Subsystem' */
    } else if (Vehicle_B.Abs1_l < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S163>/If Action Subsystem1' incorporates:
       *  ActionPort: '<S170>/Action Port'
       */
      Vehicle_IfActionSubsystem1(&Vehicle_B.Merge_d);

      /* End of Outputs for SubSystem: '<S163>/If Action Subsystem1' */
    } else {
      /* Outputs for IfAction SubSystem: '<S163>/If Action Subsystem2' incorporates:
       *  ActionPort: '<S171>/Action Port'
       */
      Vehicle_IfActionSubsystem2(&Vehicle_B.Merge_d);

      /* End of Outputs for SubSystem: '<S163>/If Action Subsystem2' */
    }

    /* End of If: '<S163>/If' */

    /* RelationalOperator: '<S164>/Compare' incorporates:
     *  Constant: '<S164>/Constant'
     */
    Vehicle_B.Compare_m = (Vehicle_B.Merge_d != -1.0);

    /* Switch: '<S136>/is 180deg Rot' */
    if (Vehicle_B.Compare_m) {
      /* Product: '<S168>/j x i' */
      Vehicle_B.jxi_k = 0.0 * Vehicle_B.Sum_k;

      /* Product: '<S168>/i x k' */
      Vehicle_B.ixk_a = 0.0 * Vehicle_B.Sum_n;

      /* Product: '<S168>/k x j' */
      Vehicle_B.kxj_c = -Vehicle_B.Sum_lm;

      /* Product: '<S167>/i x j' */
      Vehicle_B.ixj_o = 0.0 * Vehicle_B.Sum_lm;

      /* Product: '<S167>/k x i' */
      Vehicle_B.kxi_p = -Vehicle_B.Sum_k;

      /* Product: '<S167>/j x k' */
      Vehicle_B.jxk_er = 0.0 * Vehicle_B.Sum_n;

      /* Sum: '<S162>/Sum' */
      Vehicle_B.Sum_ff[0] = Vehicle_B.jxk_er - Vehicle_B.kxj_c;
      Vehicle_B.Sum_ff[1] = Vehicle_B.kxi_p - Vehicle_B.ixk_a;
      Vehicle_B.Sum_ff[2] = Vehicle_B.ixj_o - Vehicle_B.jxi_k;

      /* Switch: '<S136>/is 180deg Rot' */
      Vehicle_B.is180degRot[0] = Vehicle_B.Sum_ff[0];
      Vehicle_B.is180degRot[1] = Vehicle_B.Sum_ff[1];
      Vehicle_B.is180degRot[2] = Vehicle_B.Sum_ff[2];
    } else {
      /* Switch: '<S136>/is 180deg Rot' */
      Vehicle_B.is180degRot[0] = Vehicle_ConstB.Sum[0];
      Vehicle_B.is180degRot[1] = Vehicle_ConstB.Sum[1];
      Vehicle_B.is180degRot[2] = Vehicle_ConstB.Sum[2];
    }

    /* End of Switch: '<S136>/is 180deg Rot' */

    /* Product: '<S176>/Product1' */
    Vehicle_B.Product1_g = Vehicle_B.is180degRot[0] * Vehicle_B.is180degRot[0];

    /* Product: '<S176>/Product2' */
    Vehicle_B.Product2_g = Vehicle_B.is180degRot[1] * Vehicle_B.is180degRot[1];

    /* Product: '<S176>/Product3' */
    Vehicle_B.Product3_aj = Vehicle_B.is180degRot[2] * Vehicle_B.is180degRot[2];

    /* Sum: '<S176>/Sum' */
    Vehicle_B.Sum_c = ((Vehicle_B.Product_i2 + Vehicle_B.Product1_g) +
                       Vehicle_B.Product2_g) + Vehicle_B.Product3_aj;

    /* Sqrt: '<S175>/sqrt' */
    Vehicle_B.sqrt_h = std::sqrt(Vehicle_B.Sum_c);

    /* Product: '<S166>/Product' */
    Vehicle_B.Product_fv = Vehicle_B.Add2 / Vehicle_B.sqrt_h;

    /* Product: '<S166>/Product2' */
    Vehicle_B.Product2_a = Vehicle_B.is180degRot[1] / Vehicle_B.sqrt_h;

    /* Product: '<S155>/Product' */
    Vehicle_B.Product_l5 = Vehicle_B.Product_fv * Vehicle_B.Product_fv;

    /* Product: '<S166>/Product1' */
    Vehicle_B.Product1_n = Vehicle_B.is180degRot[0] / Vehicle_B.sqrt_h;

    /* Product: '<S155>/Product1' */
    Vehicle_B.Product1_lg = Vehicle_B.Product1_n * Vehicle_B.Product1_n;

    /* Product: '<S155>/Product2' */
    Vehicle_B.Product2_fh = Vehicle_B.Product2_a * Vehicle_B.Product2_a;

    /* Product: '<S166>/Product3' */
    Vehicle_B.Product3_pe = Vehicle_B.is180degRot[2] / Vehicle_B.sqrt_h;

    /* Product: '<S155>/Product3' */
    Vehicle_B.Product3_l0 = Vehicle_B.Product3_pe * Vehicle_B.Product3_pe;

    /* Sum: '<S155>/Sum' */
    Vehicle_B.Sum_n3 = ((Vehicle_B.Product_l5 + Vehicle_B.Product1_lg) +
                        Vehicle_B.Product2_fh) + Vehicle_B.Product3_l0;

    /* Sqrt: '<S154>/sqrt' */
    Vehicle_B.sqrt_mv = std::sqrt(Vehicle_B.Sum_n3);

    /* Product: '<S150>/Product2' */
    Vehicle_B.Product2_ke = Vehicle_B.Product2_a / Vehicle_B.sqrt_mv;

    /* Product: '<S151>/Product6' */
    Vehicle_B.Product6_e = Vehicle_B.Product2_ke * Vehicle_B.Product2_ke;

    /* Product: '<S150>/Product3' */
    Vehicle_B.Product3_cc = Vehicle_B.Product3_pe / Vehicle_B.sqrt_mv;

    /* Product: '<S151>/Product7' */
    Vehicle_B.Product7_a = Vehicle_B.Product3_cc * Vehicle_B.Product3_cc;

    /* Sum: '<S151>/Sum3' incorporates:
     *  Constant: '<S151>/Constant'
     */
    Vehicle_B.Sum3_b5 = (0.5 - Vehicle_B.Product6_e) - Vehicle_B.Product7_a;

    /* Gain: '<S151>/Gain2' */
    Vehicle_B.Gain2_p = 2.0 * Vehicle_B.Sum3_b5;

    /* Product: '<S151>/Product8' */
    Vehicle_B.Product8_k = Vehicle_ConstB.Sum_d0[0] * Vehicle_B.Gain2_p;

    /* Product: '<S150>/Product1' */
    Vehicle_B.Product1_l0 = Vehicle_B.Product1_n / Vehicle_B.sqrt_mv;

    /* Product: '<S151>/Product' */
    Vehicle_B.Product_da = Vehicle_B.Product1_l0 * Vehicle_B.Product2_ke;

    /* Product: '<S150>/Product' */
    Vehicle_B.Product_m = Vehicle_B.Product_fv / Vehicle_B.sqrt_mv;

    /* Product: '<S151>/Product1' */
    Vehicle_B.Product1_dj = Vehicle_B.Product_m * Vehicle_B.Product3_cc;

    /* Sum: '<S151>/Sum1' */
    Vehicle_B.Sum1_n = Vehicle_B.Product_da + Vehicle_B.Product1_dj;

    /* Gain: '<S151>/Gain' */
    Vehicle_B.Gain_l = 2.0 * Vehicle_B.Sum1_n;

    /* Product: '<S151>/Product4' */
    Vehicle_B.Product4_c = Vehicle_B.Gain_l * Vehicle_ConstB.Sum_d0[1];

    /* Product: '<S151>/Product2' */
    Vehicle_B.Product2_gk = Vehicle_B.Product_m * Vehicle_B.Product2_ke;

    /* Product: '<S151>/Product3' */
    Vehicle_B.Product3_i = Vehicle_B.Product1_l0 * Vehicle_B.Product3_cc;

    /* Sum: '<S151>/Sum2' */
    Vehicle_B.Sum2_g = Vehicle_B.Product3_i - Vehicle_B.Product2_gk;

    /* Gain: '<S151>/Gain1' */
    Vehicle_B.Gain1_e = 2.0 * Vehicle_B.Sum2_g;

    /* Product: '<S151>/Product5' */
    Vehicle_B.Product5_o = Vehicle_B.Gain1_e * Vehicle_ConstB.Sum_d0[2];

    /* Sum: '<S151>/Sum' */
    Vehicle_B.Sum_oz = (Vehicle_B.Product8_k + Vehicle_B.Product4_c) +
      Vehicle_B.Product5_o;

    /* Product: '<S152>/Product' */
    Vehicle_B.Product_g = Vehicle_B.Product1_l0 * Vehicle_B.Product2_ke;

    /* Product: '<S152>/Product1' */
    Vehicle_B.Product1_ew = Vehicle_B.Product_m * Vehicle_B.Product3_cc;

    /* Sum: '<S152>/Sum1' */
    Vehicle_B.Sum1_m = Vehicle_B.Product_g - Vehicle_B.Product1_ew;

    /* Gain: '<S152>/Gain' */
    Vehicle_B.Gain_b = 2.0 * Vehicle_B.Sum1_m;

    /* Product: '<S152>/Product4' */
    Vehicle_B.Product4_a = Vehicle_ConstB.Sum_d0[0] * Vehicle_B.Gain_b;

    /* Product: '<S152>/Product6' */
    Vehicle_B.Product6_o = Vehicle_B.Product1_l0 * Vehicle_B.Product1_l0;

    /* Product: '<S152>/Product7' */
    Vehicle_B.Product7_k = Vehicle_B.Product3_cc * Vehicle_B.Product3_cc;

    /* Sum: '<S152>/Sum3' incorporates:
     *  Constant: '<S152>/Constant'
     */
    Vehicle_B.Sum3_bi = (0.5 - Vehicle_B.Product6_o) - Vehicle_B.Product7_k;

    /* Gain: '<S152>/Gain2' */
    Vehicle_B.Gain2_l = 2.0 * Vehicle_B.Sum3_bi;

    /* Product: '<S152>/Product8' */
    Vehicle_B.Product8_me = Vehicle_B.Gain2_l * Vehicle_ConstB.Sum_d0[1];

    /* Product: '<S152>/Product2' */
    Vehicle_B.Product2_fhq = Vehicle_B.Product_m * Vehicle_B.Product1_l0;

    /* Product: '<S152>/Product3' */
    Vehicle_B.Product3_n = Vehicle_B.Product2_ke * Vehicle_B.Product3_cc;

    /* Sum: '<S152>/Sum2' */
    Vehicle_B.Sum2_la = Vehicle_B.Product2_fhq + Vehicle_B.Product3_n;

    /* Gain: '<S152>/Gain1' */
    Vehicle_B.Gain1_ox = 2.0 * Vehicle_B.Sum2_la;

    /* Product: '<S152>/Product5' */
    Vehicle_B.Product5_l = Vehicle_B.Gain1_ox * Vehicle_ConstB.Sum_d0[2];

    /* Sum: '<S152>/Sum' */
    Vehicle_B.Sum_oa = (Vehicle_B.Product4_a + Vehicle_B.Product8_me) +
      Vehicle_B.Product5_l;

    /* Product: '<S153>/Product' */
    Vehicle_B.Product_ew = Vehicle_B.Product1_l0 * Vehicle_B.Product3_cc;

    /* Product: '<S153>/Product1' */
    Vehicle_B.Product1_m = Vehicle_B.Product_m * Vehicle_B.Product2_ke;

    /* Sum: '<S153>/Sum1' */
    Vehicle_B.Sum1_h = Vehicle_B.Product_ew + Vehicle_B.Product1_m;

    /* Gain: '<S153>/Gain' */
    Vehicle_B.Gain_kp = 2.0 * Vehicle_B.Sum1_h;

    /* Product: '<S153>/Product4' */
    Vehicle_B.Product4_g = Vehicle_ConstB.Sum_d0[0] * Vehicle_B.Gain_kp;

    /* Product: '<S153>/Product2' */
    Vehicle_B.Product2_gh = Vehicle_B.Product_m * Vehicle_B.Product1_l0;

    /* Product: '<S153>/Product3' */
    Vehicle_B.Product3_k4 = Vehicle_B.Product2_ke * Vehicle_B.Product3_cc;

    /* Sum: '<S153>/Sum2' */
    Vehicle_B.Sum2_i = Vehicle_B.Product3_k4 - Vehicle_B.Product2_gh;

    /* Gain: '<S153>/Gain1' */
    Vehicle_B.Gain1_f = 2.0 * Vehicle_B.Sum2_i;

    /* Product: '<S153>/Product5' */
    Vehicle_B.Product5_ij = Vehicle_B.Gain1_f * Vehicle_ConstB.Sum_d0[1];

    /* Product: '<S153>/Product6' */
    Vehicle_B.Product6_c = Vehicle_B.Product1_l0 * Vehicle_B.Product1_l0;

    /* Product: '<S153>/Product7' */
    Vehicle_B.Product7_a4 = Vehicle_B.Product2_ke * Vehicle_B.Product2_ke;

    /* Sum: '<S153>/Sum3' incorporates:
     *  Constant: '<S153>/Constant'
     */
    Vehicle_B.Sum3_d = (0.5 - Vehicle_B.Product6_c) - Vehicle_B.Product7_a4;

    /* Gain: '<S153>/Gain2' */
    Vehicle_B.Gain2_n = 2.0 * Vehicle_B.Sum3_d;

    /* Product: '<S153>/Product8' */
    Vehicle_B.Product8_f = Vehicle_B.Gain2_n * Vehicle_ConstB.Sum_d0[2];

    /* Sum: '<S153>/Sum' */
    Vehicle_B.Sum_nx = (Vehicle_B.Product4_g + Vehicle_B.Product5_ij) +
      Vehicle_B.Product8_f;

    /* SignalConversion generated from: '<S178>/Dot Product1' */
    Vehicle_B.TmpSignalConversionAtDotProdu_k[0] = Vehicle_B.Sum_oz;
    Vehicle_B.TmpSignalConversionAtDotProdu_k[1] = Vehicle_B.Sum_oa;
    Vehicle_B.TmpSignalConversionAtDotProdu_k[2] = Vehicle_B.Sum_nx;

    /* Product: '<S200>/j x k' */
    Vehicle_B.jxk_b = Vehicle_B.Sum_lm * Vehicle_B.Sum_kb;

    /* Product: '<S200>/k x i' */
    Vehicle_B.kxi_b = Vehicle_B.Sum_n * Vehicle_B.Sum_kk;

    /* Product: '<S200>/i x j' */
    Vehicle_B.ixj_h = Vehicle_B.Sum_k * Vehicle_B.Sum_ln;

    /* Product: '<S201>/k x j' */
    Vehicle_B.kxj_l = Vehicle_B.Sum_n * Vehicle_B.Sum_ln;

    /* Product: '<S201>/i x k' */
    Vehicle_B.ixk_e = Vehicle_B.Sum_k * Vehicle_B.Sum_kb;

    /* Product: '<S201>/j x i' */
    Vehicle_B.jxi_n = Vehicle_B.Sum_lm * Vehicle_B.Sum_kk;

    /* Sum: '<S198>/Sum' */
    Vehicle_B.Sum_m[0] = Vehicle_B.jxk_b - Vehicle_B.kxj_l;
    Vehicle_B.Sum_m[1] = Vehicle_B.kxi_b - Vehicle_B.ixk_e;
    Vehicle_B.Sum_m[2] = Vehicle_B.ixj_h - Vehicle_B.jxi_n;

    /* Product: '<S202>/j x k' */
    Vehicle_B.jxk_e = Vehicle_B.Sum_m[1] * Vehicle_B.Sum_n;

    /* Product: '<S202>/k x i' */
    Vehicle_B.kxi_es = Vehicle_B.Sum_m[2] * Vehicle_B.Sum_k;

    /* Product: '<S202>/i x j' */
    Vehicle_B.ixj_n = Vehicle_B.Sum_m[0] * Vehicle_B.Sum_lm;

    /* Product: '<S203>/k x j' */
    Vehicle_B.kxj_j = Vehicle_B.Sum_m[2] * Vehicle_B.Sum_lm;

    /* Product: '<S203>/i x k' */
    Vehicle_B.ixk_j = Vehicle_B.Sum_m[0] * Vehicle_B.Sum_n;

    /* Product: '<S203>/j x i' */
    Vehicle_B.jxi_f = Vehicle_B.Sum_m[1] * Vehicle_B.Sum_k;

    /* Sum: '<S199>/Sum' */
    Vehicle_B.Sum_pb[0] = Vehicle_B.jxk_e - Vehicle_B.kxj_j;
    Vehicle_B.Sum_pb[1] = Vehicle_B.kxi_es - Vehicle_B.ixk_j;
    Vehicle_B.Sum_pb[2] = Vehicle_B.ixj_n - Vehicle_B.jxi_f;

    /* Product: '<S161>/Product' */
    Vehicle_B.Product_dj = Vehicle_B.Product_fv * Vehicle_B.Product_fv;

    /* Product: '<S161>/Product1' */
    Vehicle_B.Product1_ig = Vehicle_B.Product1_n * Vehicle_B.Product1_n;

    /* Product: '<S161>/Product2' */
    Vehicle_B.Product2_ad = Vehicle_B.Product2_a * Vehicle_B.Product2_a;

    /* Product: '<S161>/Product3' */
    Vehicle_B.Product3_hf = Vehicle_B.Product3_pe * Vehicle_B.Product3_pe;

    /* Sum: '<S161>/Sum' */
    Vehicle_B.Sum_gt = ((Vehicle_B.Product_dj + Vehicle_B.Product1_ig) +
                        Vehicle_B.Product2_ad) + Vehicle_B.Product3_hf;

    /* Sqrt: '<S160>/sqrt' */
    Vehicle_B.sqrt_i = std::sqrt(Vehicle_B.Sum_gt);

    /* Product: '<S156>/Product2' */
    Vehicle_B.Product2_nx = Vehicle_B.Product2_a / Vehicle_B.sqrt_i;

    /* Product: '<S157>/Product6' */
    Vehicle_B.Product6_a = Vehicle_B.Product2_nx * Vehicle_B.Product2_nx;

    /* Product: '<S156>/Product3' */
    Vehicle_B.Product3_ce = Vehicle_B.Product3_pe / Vehicle_B.sqrt_i;

    /* Product: '<S157>/Product7' */
    Vehicle_B.Product7_ha = Vehicle_B.Product3_ce * Vehicle_B.Product3_ce;

    /* Sum: '<S157>/Sum3' incorporates:
     *  Constant: '<S157>/Constant'
     */
    Vehicle_B.Sum3_l = (0.5 - Vehicle_B.Product6_a) - Vehicle_B.Product7_ha;

    /* Gain: '<S157>/Gain2' */
    Vehicle_B.Gain2_om = 2.0 * Vehicle_B.Sum3_l;

    /* Product: '<S157>/Product8' */
    Vehicle_B.Product8_p = Vehicle_B.Sum_pb[0] * Vehicle_B.Gain2_om;

    /* Product: '<S156>/Product1' */
    Vehicle_B.Product1_a = Vehicle_B.Product1_n / Vehicle_B.sqrt_i;

    /* Product: '<S157>/Product' */
    Vehicle_B.Product_mi = Vehicle_B.Product1_a * Vehicle_B.Product2_nx;

    /* Product: '<S156>/Product' */
    Vehicle_B.Product_pb = Vehicle_B.Product_fv / Vehicle_B.sqrt_i;

    /* Product: '<S157>/Product1' */
    Vehicle_B.Product1_lr = Vehicle_B.Product_pb * Vehicle_B.Product3_ce;

    /* Sum: '<S157>/Sum1' */
    Vehicle_B.Sum1_a = Vehicle_B.Product_mi + Vehicle_B.Product1_lr;

    /* Gain: '<S157>/Gain' */
    Vehicle_B.Gain_p = 2.0 * Vehicle_B.Sum1_a;

    /* Product: '<S157>/Product4' */
    Vehicle_B.Product4_i = Vehicle_B.Gain_p * Vehicle_B.Sum_pb[1];

    /* Product: '<S157>/Product2' */
    Vehicle_B.Product2_nz = Vehicle_B.Product_pb * Vehicle_B.Product2_nx;

    /* Product: '<S157>/Product3' */
    Vehicle_B.Product3_lu = Vehicle_B.Product1_a * Vehicle_B.Product3_ce;

    /* Sum: '<S157>/Sum2' */
    Vehicle_B.Sum2_m = Vehicle_B.Product3_lu - Vehicle_B.Product2_nz;

    /* Gain: '<S157>/Gain1' */
    Vehicle_B.Gain1_c = 2.0 * Vehicle_B.Sum2_m;

    /* Product: '<S157>/Product5' */
    Vehicle_B.Product5_jx = Vehicle_B.Gain1_c * Vehicle_B.Sum_pb[2];

    /* Sum: '<S157>/Sum' */
    Vehicle_B.Sum_g5 = (Vehicle_B.Product8_p + Vehicle_B.Product4_i) +
      Vehicle_B.Product5_jx;

    /* Product: '<S158>/Product' */
    Vehicle_B.Product_pe = Vehicle_B.Product1_a * Vehicle_B.Product2_nx;

    /* Product: '<S158>/Product1' */
    Vehicle_B.Product1_mu = Vehicle_B.Product_pb * Vehicle_B.Product3_ce;

    /* Sum: '<S158>/Sum1' */
    Vehicle_B.Sum1_k = Vehicle_B.Product_pe - Vehicle_B.Product1_mu;

    /* Gain: '<S158>/Gain' */
    Vehicle_B.Gain_ay = 2.0 * Vehicle_B.Sum1_k;

    /* Product: '<S158>/Product4' */
    Vehicle_B.Product4_ok = Vehicle_B.Sum_pb[0] * Vehicle_B.Gain_ay;

    /* Product: '<S158>/Product6' */
    Vehicle_B.Product6_ld = Vehicle_B.Product1_a * Vehicle_B.Product1_a;

    /* Product: '<S158>/Product7' */
    Vehicle_B.Product7_ei = Vehicle_B.Product3_ce * Vehicle_B.Product3_ce;

    /* Sum: '<S158>/Sum3' incorporates:
     *  Constant: '<S158>/Constant'
     */
    Vehicle_B.Sum3_h = (0.5 - Vehicle_B.Product6_ld) - Vehicle_B.Product7_ei;

    /* Gain: '<S158>/Gain2' */
    Vehicle_B.Gain2_l2 = 2.0 * Vehicle_B.Sum3_h;

    /* Product: '<S158>/Product8' */
    Vehicle_B.Product8_d = Vehicle_B.Gain2_l2 * Vehicle_B.Sum_pb[1];

    /* Product: '<S158>/Product2' */
    Vehicle_B.Product2_ea = Vehicle_B.Product_pb * Vehicle_B.Product1_a;

    /* Product: '<S158>/Product3' */
    Vehicle_B.Product3_ll = Vehicle_B.Product2_nx * Vehicle_B.Product3_ce;

    /* Sum: '<S158>/Sum2' */
    Vehicle_B.Sum2_mr = Vehicle_B.Product2_ea + Vehicle_B.Product3_ll;

    /* Gain: '<S158>/Gain1' */
    Vehicle_B.Gain1_n = 2.0 * Vehicle_B.Sum2_mr;

    /* Product: '<S158>/Product5' */
    Vehicle_B.Product5_a = Vehicle_B.Gain1_n * Vehicle_B.Sum_pb[2];

    /* Sum: '<S158>/Sum' */
    Vehicle_B.Sum_gz = (Vehicle_B.Product4_ok + Vehicle_B.Product8_d) +
      Vehicle_B.Product5_a;

    /* Product: '<S159>/Product' */
    Vehicle_B.Product_am = Vehicle_B.Product1_a * Vehicle_B.Product3_ce;

    /* Product: '<S159>/Product1' */
    Vehicle_B.Product1_bt = Vehicle_B.Product_pb * Vehicle_B.Product2_nx;

    /* Sum: '<S159>/Sum1' */
    Vehicle_B.Sum1_hk = Vehicle_B.Product_am + Vehicle_B.Product1_bt;

    /* Gain: '<S159>/Gain' */
    Vehicle_B.Gain_g = 2.0 * Vehicle_B.Sum1_hk;

    /* Product: '<S159>/Product4' */
    Vehicle_B.Product4_o5 = Vehicle_B.Sum_pb[0] * Vehicle_B.Gain_g;

    /* Product: '<S159>/Product2' */
    Vehicle_B.Product2_cc = Vehicle_B.Product_pb * Vehicle_B.Product1_a;

    /* Product: '<S159>/Product3' */
    Vehicle_B.Product3_cd = Vehicle_B.Product2_nx * Vehicle_B.Product3_ce;

    /* Sum: '<S159>/Sum2' */
    Vehicle_B.Sum2_o = Vehicle_B.Product3_cd - Vehicle_B.Product2_cc;

    /* Gain: '<S159>/Gain1' */
    Vehicle_B.Gain1_ni = 2.0 * Vehicle_B.Sum2_o;

    /* Product: '<S159>/Product5' */
    Vehicle_B.Product5_n2 = Vehicle_B.Gain1_ni * Vehicle_B.Sum_pb[1];

    /* Product: '<S159>/Product6' */
    Vehicle_B.Product6_d5 = Vehicle_B.Product1_a * Vehicle_B.Product1_a;

    /* Product: '<S159>/Product7' */
    Vehicle_B.Product7_em = Vehicle_B.Product2_nx * Vehicle_B.Product2_nx;

    /* Sum: '<S159>/Sum3' incorporates:
     *  Constant: '<S159>/Constant'
     */
    Vehicle_B.Sum3_jh = (0.5 - Vehicle_B.Product6_d5) - Vehicle_B.Product7_em;

    /* Gain: '<S159>/Gain2' */
    Vehicle_B.Gain2_ja = 2.0 * Vehicle_B.Sum3_jh;

    /* Product: '<S159>/Product8' */
    Vehicle_B.Product8_j = Vehicle_B.Gain2_ja * Vehicle_B.Sum_pb[2];

    /* Sum: '<S159>/Sum' */
    Vehicle_B.Sum_pw = (Vehicle_B.Product4_o5 + Vehicle_B.Product5_n2) +
      Vehicle_B.Product8_j;

    /* SignalConversion generated from: '<S178>/Dot Product2' */
    Vehicle_B.TmpSignalConversionAtDotProdu_j[0] = Vehicle_B.Sum_g5;
    Vehicle_B.TmpSignalConversionAtDotProdu_j[1] = Vehicle_B.Sum_gz;
    Vehicle_B.TmpSignalConversionAtDotProdu_j[2] = Vehicle_B.Sum_pw;

    /* DotProduct: '<S178>/Dot Product3' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[0];
    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product1' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_k[0];
    tmpForInput = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product2' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_j[0];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[0];
    tmpForInput_0 = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product3' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[1];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product1' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_k[1];
    tmpForInput += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product2' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_j[1];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[1];
    tmpForInput_0 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product3' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[2];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product1' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_k[2];
    tmpForInput += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product2' */
    tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_j[2];
    tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[2];
    tmpForInput_0 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S178>/Dot Product3' */
    Vehicle_B.DotProduct3_ph = tmpForInput_idx_2;

    /* DotProduct: '<S178>/Dot Product1' */
    Vehicle_B.DotProduct1_o = tmpForInput;

    /* DotProduct: '<S178>/Dot Product2' */
    Vehicle_B.DotProduct2_g = tmpForInput_0;

    /* Product: '<S178>/Divide1' */
    Vehicle_B.Divide1_p = Vehicle_B.DotProduct1_o * Vehicle_B.DotProduct2_g;

    /* Sqrt: '<S178>/Sqrt3' */
    Vehicle_B.Sqrt3_m = std::sqrt(Vehicle_B.Divide1_p);

    /* Product: '<S178>/Divide' */
    Vehicle_B.Divide_c = Vehicle_B.DotProduct3_ph / Vehicle_B.Sqrt3_m;

    /* Bias: '<S178>/Bias' */
    Vehicle_B.Bias_h = Vehicle_B.Divide_c + -1.0;

    /* Abs: '<S178>/Abs' */
    Vehicle_B.Abs_m = std::abs(Vehicle_B.Bias_h);

    /* Bias: '<S178>/Bias1' */
    Vehicle_B.Bias1_e = Vehicle_B.Divide_c + 1.0;

    /* Abs: '<S178>/Abs1' */
    Vehicle_B.Abs1_i = std::abs(Vehicle_B.Bias1_e);

    /* If: '<S178>/If' */
    if (Vehicle_B.Abs_m < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S178>/If Action Subsystem' incorporates:
       *  ActionPort: '<S184>/Action Port'
       */
      Vehicle_IfActionSubsystem(&Vehicle_B.Merge_l);

      /* End of Outputs for SubSystem: '<S178>/If Action Subsystem' */
    } else if (Vehicle_B.Abs1_i < 1.0E-6) {
      /* Outputs for IfAction SubSystem: '<S178>/If Action Subsystem1' incorporates:
       *  ActionPort: '<S185>/Action Port'
       */
      Vehicle_IfActionSubsystem1(&Vehicle_B.Merge_l);

      /* End of Outputs for SubSystem: '<S178>/If Action Subsystem1' */
    } else {
      /* Outputs for IfAction SubSystem: '<S178>/If Action Subsystem2' incorporates:
       *  ActionPort: '<S186>/Action Port'
       */
      Vehicle_IfActionSubsystem2(&Vehicle_B.Merge_l);

      /* End of Outputs for SubSystem: '<S178>/If Action Subsystem2' */
    }

    /* End of If: '<S178>/If' */

    /* Switch: '<S124>/Switch' */
    if (Vehicle_B.OR) {
      /* Switch: '<S124>/Switch' */
      Vehicle_B.Switch_c[0] = Vehicle_B.Product_fv;
      Vehicle_B.Switch_c[1] = Vehicle_B.Product1_n;
      Vehicle_B.Switch_c[2] = Vehicle_B.Product2_a;
      Vehicle_B.Switch_c[3] = Vehicle_B.Product3_pe;
    } else {
      /* RelationalOperator: '<S179>/Compare' incorporates:
       *  Constant: '<S179>/Constant'
       */
      Vehicle_B.Compare_g = (Vehicle_B.Merge_l != -1.0);

      /* Switch: '<S137>/is 180deg Rot' */
      if (Vehicle_B.Compare_g) {
        /* Product: '<S183>/j x i' */
        Vehicle_B.jxi_no = Vehicle_B.Sum_oa * Vehicle_B.Sum_g5;

        /* Product: '<S183>/i x k' */
        Vehicle_B.ixk_b = Vehicle_B.Sum_oz * Vehicle_B.Sum_pw;

        /* Product: '<S183>/k x j' */
        Vehicle_B.kxj_n = Vehicle_B.Sum_nx * Vehicle_B.Sum_gz;

        /* Product: '<S182>/i x j' */
        Vehicle_B.ixj_l = Vehicle_B.Sum_oz * Vehicle_B.Sum_gz;

        /* Product: '<S182>/k x i' */
        Vehicle_B.kxi_o = Vehicle_B.Sum_nx * Vehicle_B.Sum_g5;

        /* Product: '<S182>/j x k' */
        Vehicle_B.jxk_d = Vehicle_B.Sum_oa * Vehicle_B.Sum_pw;

        /* Sum: '<S177>/Sum' */
        Vehicle_B.Sum_b[0] = Vehicle_B.jxk_d - Vehicle_B.kxj_n;
        Vehicle_B.Sum_b[1] = Vehicle_B.kxi_o - Vehicle_B.ixk_b;
        Vehicle_B.Sum_b[2] = Vehicle_B.ixj_l - Vehicle_B.jxi_no;

        /* Switch: '<S137>/is 180deg Rot' */
        Vehicle_B.is180degRot_l[0] = Vehicle_B.Sum_b[0];
        Vehicle_B.is180degRot_l[1] = Vehicle_B.Sum_b[1];
        Vehicle_B.is180degRot_l[2] = Vehicle_B.Sum_b[2];
      } else {
        /* RelationalOperator: '<S180>/x>z' */
        Vehicle_B.xz = (Vehicle_B.Sum_oz > Vehicle_B.Sum_nx);

        /* Switch: '<S180>/Switch3' */
        if (Vehicle_B.xz) {
          /* Gain: '<S180>/Gain' */
          Vehicle_B.Gain_o2 = -Vehicle_B.Sum_oa;

          /* Switch: '<S180>/Switch3' incorporates:
           *  Constant: '<S180>/Constant'
           */
          Vehicle_B.Switch3[0] = Vehicle_B.Gain_o2;
          Vehicle_B.Switch3[1] = Vehicle_B.Sum_oz;
          Vehicle_B.Switch3[2] = 0.0;
        } else {
          /* Gain: '<S180>/Gain2' */
          Vehicle_B.Gain2_c = -Vehicle_B.Sum_nx;

          /* Switch: '<S180>/Switch3' incorporates:
           *  Constant: '<S180>/Constant1'
           */
          Vehicle_B.Switch3[0] = 0.0;
          Vehicle_B.Switch3[1] = Vehicle_B.Gain2_c;
          Vehicle_B.Switch3[2] = Vehicle_B.Sum_oa;
        }

        /* End of Switch: '<S180>/Switch3' */

        /* Product: '<S189>/j x i' */
        Vehicle_B.jxi_m = Vehicle_B.Sum_oa * Vehicle_B.Switch3[0];

        /* Product: '<S189>/i x k' */
        Vehicle_B.ixk_k = Vehicle_B.Sum_oz * Vehicle_B.Switch3[2];

        /* Product: '<S189>/k x j' */
        Vehicle_B.kxj_f = Vehicle_B.Sum_nx * Vehicle_B.Switch3[1];

        /* Product: '<S188>/i x j' */
        Vehicle_B.ixj_k = Vehicle_B.Sum_oz * Vehicle_B.Switch3[1];

        /* Product: '<S188>/k x i' */
        Vehicle_B.kxi_bj = Vehicle_B.Sum_nx * Vehicle_B.Switch3[0];

        /* Product: '<S188>/j x k' */
        Vehicle_B.jxk_l = Vehicle_B.Sum_oa * Vehicle_B.Switch3[2];

        /* Sum: '<S187>/Sum' */
        Vehicle_B.Sum_pd[0] = Vehicle_B.jxk_l - Vehicle_B.kxj_f;
        Vehicle_B.Sum_pd[1] = Vehicle_B.kxi_bj - Vehicle_B.ixk_k;
        Vehicle_B.Sum_pd[2] = Vehicle_B.ixj_k - Vehicle_B.jxi_m;

        /* Switch: '<S137>/is 180deg Rot' */
        Vehicle_B.is180degRot_l[0] = Vehicle_B.Sum_pd[0];
        Vehicle_B.is180degRot_l[1] = Vehicle_B.Sum_pd[1];
        Vehicle_B.is180degRot_l[2] = Vehicle_B.Sum_pd[2];
      }

      /* End of Switch: '<S137>/is 180deg Rot' */

      /* Product: '<S191>/Product3' */
      Vehicle_B.Product3_dz = Vehicle_B.is180degRot_l[2] *
        Vehicle_B.is180degRot_l[2];

      /* Product: '<S191>/Product2' */
      Vehicle_B.Product2_eq = Vehicle_B.is180degRot_l[1] *
        Vehicle_B.is180degRot_l[1];

      /* Product: '<S191>/Product1' */
      Vehicle_B.Product1_aa = Vehicle_B.is180degRot_l[0] *
        Vehicle_B.is180degRot_l[0];

      /* DotProduct: '<S137>/Dot Product2' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_j[0];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[0];
      tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product1' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[0];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_k[0];
      tmpForInput = tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product3' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[0];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[0];
      tmpForInput_0 = tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product2' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_j[1];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[1];
      tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product1' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[1];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_k[1];
      tmpForInput += tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product3' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[1];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[1];
      tmpForInput_0 += tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product2' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_j[2];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[2];
      tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product1' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[2];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_k[2];
      tmpForInput += tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product3' */
      tmpForInput_idx_1 = Vehicle_B.TmpSignalConversionAtDotProdu_k[2];
      tmpForInput_idx_0 = Vehicle_B.TmpSignalConversionAtDotProdu_j[2];
      tmpForInput_0 += tmpForInput_idx_1 * tmpForInput_idx_0;

      /* DotProduct: '<S137>/Dot Product2' */
      Vehicle_B.DotProduct2_n = tmpForInput_idx_2;

      /* DotProduct: '<S137>/Dot Product1' */
      Vehicle_B.DotProduct1_h = tmpForInput;

      /* Product: '<S137>/Divide1' */
      Vehicle_B.Divide1_h = Vehicle_B.DotProduct1_h * Vehicle_B.DotProduct2_n;

      /* Sqrt: '<S137>/Sqrt3' */
      Vehicle_B.Sqrt3_mq = std::sqrt(Vehicle_B.Divide1_h);

      /* DotProduct: '<S137>/Dot Product3' */
      Vehicle_B.DotProduct3_e = tmpForInput_0;

      /* Sum: '<S137>/Add2' */
      Vehicle_B.Add2_k = Vehicle_B.DotProduct3_e + Vehicle_B.Sqrt3_mq;

      /* Product: '<S191>/Product' */
      Vehicle_B.Product_er = Vehicle_B.Add2_k * Vehicle_B.Add2_k;

      /* Sum: '<S191>/Sum' */
      Vehicle_B.Sum_e = ((Vehicle_B.Product_er + Vehicle_B.Product1_aa) +
                         Vehicle_B.Product2_eq) + Vehicle_B.Product3_dz;

      /* Sqrt: '<S190>/sqrt' */
      Vehicle_B.sqrt_j = std::sqrt(Vehicle_B.Sum_e);

      /* Product: '<S181>/Product3' */
      Vehicle_B.Product3_lzz = Vehicle_B.is180degRot_l[2] / Vehicle_B.sqrt_j;

      /* Product: '<S146>/Product3' */
      Vehicle_B.Product3_ay = Vehicle_B.Product3_pe * Vehicle_B.Product3_lzz;

      /* Product: '<S181>/Product2' */
      Vehicle_B.Product2_ep = Vehicle_B.is180degRot_l[1] / Vehicle_B.sqrt_j;

      /* Product: '<S146>/Product2' */
      Vehicle_B.Product2_bc = Vehicle_B.Product2_a * Vehicle_B.Product2_ep;

      /* Product: '<S181>/Product1' */
      Vehicle_B.Product1_ge = Vehicle_B.is180degRot_l[0] / Vehicle_B.sqrt_j;

      /* Product: '<S146>/Product1' */
      Vehicle_B.Product1_fh = Vehicle_B.Product1_n * Vehicle_B.Product1_ge;

      /* Product: '<S181>/Product' */
      Vehicle_B.Product_ey = Vehicle_B.Add2_k / Vehicle_B.sqrt_j;

      /* Product: '<S146>/Product' */
      Vehicle_B.Product_d0 = Vehicle_B.Product_fv * Vehicle_B.Product_ey;

      /* Sum: '<S146>/Sum' */
      Vehicle_B.Sum_ki = ((Vehicle_B.Product_d0 - Vehicle_B.Product1_fh) -
                          Vehicle_B.Product2_bc) - Vehicle_B.Product3_ay;

      /* Product: '<S147>/Product3' */
      Vehicle_B.Product3_aw = Vehicle_B.Product3_pe * Vehicle_B.Product2_ep;

      /* Product: '<S147>/Product2' */
      Vehicle_B.Product2_pu = Vehicle_B.Product2_a * Vehicle_B.Product3_lzz;

      /* Product: '<S147>/Product1' */
      Vehicle_B.Product1_b0 = Vehicle_B.Product1_n * Vehicle_B.Product_ey;

      /* Product: '<S147>/Product' */
      Vehicle_B.Product_cq = Vehicle_B.Product_fv * Vehicle_B.Product1_ge;

      /* Sum: '<S147>/Sum' */
      Vehicle_B.Sum_oq = ((Vehicle_B.Product_cq + Vehicle_B.Product1_b0) +
                          Vehicle_B.Product2_pu) - Vehicle_B.Product3_aw;

      /* Product: '<S148>/Product3' */
      Vehicle_B.Product3_h5 = Vehicle_B.Product3_pe * Vehicle_B.Product1_ge;

      /* Product: '<S148>/Product2' */
      Vehicle_B.Product2_i = Vehicle_B.Product2_a * Vehicle_B.Product_ey;

      /* Product: '<S148>/Product1' */
      Vehicle_B.Product1_ai = Vehicle_B.Product1_n * Vehicle_B.Product3_lzz;

      /* Product: '<S148>/Product' */
      Vehicle_B.Product_cf = Vehicle_B.Product_fv * Vehicle_B.Product2_ep;

      /* Sum: '<S148>/Sum' */
      Vehicle_B.Sum_kc = ((Vehicle_B.Product_cf - Vehicle_B.Product1_ai) +
                          Vehicle_B.Product2_i) + Vehicle_B.Product3_h5;

      /* Product: '<S149>/Product3' */
      Vehicle_B.Product3_c1 = Vehicle_B.Product3_pe * Vehicle_B.Product_ey;

      /* Product: '<S149>/Product2' */
      Vehicle_B.Product2_no = Vehicle_B.Product2_a * Vehicle_B.Product1_ge;

      /* Product: '<S149>/Product1' */
      Vehicle_B.Product1_d1 = Vehicle_B.Product1_n * Vehicle_B.Product2_ep;

      /* Product: '<S149>/Product' */
      Vehicle_B.Product_gr = Vehicle_B.Product_fv * Vehicle_B.Product3_lzz;

      /* Sum: '<S149>/Sum' */
      Vehicle_B.Sum_n1 = ((Vehicle_B.Product_gr + Vehicle_B.Product1_d1) -
                          Vehicle_B.Product2_no) + Vehicle_B.Product3_c1;

      /* Switch: '<S124>/Switch' */
      Vehicle_B.Switch_c[0] = Vehicle_B.Sum_ki;
      Vehicle_B.Switch_c[1] = Vehicle_B.Sum_oq;
      Vehicle_B.Switch_c[2] = Vehicle_B.Sum_kc;
      Vehicle_B.Switch_c[3] = Vehicle_B.Sum_n1;
    }

    /* End of Switch: '<S124>/Switch' */

    /* Product: '<S273>/Product' */
    Vehicle_B.Product_h0 = Vehicle_B.Switch_c[0] * Vehicle_B.Switch_c[0];

    /* Product: '<S273>/Product1' */
    Vehicle_B.Product1_fm = Vehicle_B.Switch_c[1] * Vehicle_B.Switch_c[1];

    /* Product: '<S273>/Product2' */
    Vehicle_B.Product2_c2 = Vehicle_B.Switch_c[2] * Vehicle_B.Switch_c[2];

    /* Product: '<S273>/Product3' */
    Vehicle_B.Product3_pq = Vehicle_B.Switch_c[3] * Vehicle_B.Switch_c[3];

    /* Sum: '<S273>/Sum' */
    Vehicle_B.Sum_f = ((Vehicle_B.Product_h0 + Vehicle_B.Product1_fm) +
                       Vehicle_B.Product2_c2) + Vehicle_B.Product3_pq;

    /* Sqrt: '<S272>/sqrt' */
    Vehicle_B.sqrt_mo = std::sqrt(Vehicle_B.Sum_f);

    /* Product: '<S267>/Product' */
    Vehicle_B.Product_jc = Vehicle_B.Switch_c[0] / Vehicle_B.sqrt_mo;

    /* Product: '<S267>/Product1' */
    Vehicle_B.Product1_o = Vehicle_B.Switch_c[1] / Vehicle_B.sqrt_mo;

    /* Product: '<S267>/Product2' */
    Vehicle_B.Product2_j = Vehicle_B.Switch_c[2] / Vehicle_B.sqrt_mo;

    /* Product: '<S267>/Product3' */
    Vehicle_B.Product3_lz = Vehicle_B.Switch_c[3] / Vehicle_B.sqrt_mo;

    /* Fcn: '<S128>/fcn1' */
    Vehicle_B.fcn1_i = (Vehicle_B.Product2_j * Vehicle_B.Product3_lz -
                        Vehicle_B.Product_jc * Vehicle_B.Product1_o) * -2.0;

    /* Fcn: '<S128>/fcn2' */
    Vehicle_B.fcn2_f = ((Vehicle_B.Product_jc * Vehicle_B.Product_jc -
                         Vehicle_B.Product1_o * Vehicle_B.Product1_o) -
                        Vehicle_B.Product2_j * Vehicle_B.Product2_j) +
      Vehicle_B.Product3_lz * Vehicle_B.Product3_lz;

    /* Trigonometry: '<S266>/Trigonometric Function1' */
    Vehicle_B.VectorConcatenate_a[0] = rt_atan2d_snf(Vehicle_B.fcn1_i,
      Vehicle_B.fcn2_f);

    /* Fcn: '<S128>/fcn3' */
    Vehicle_B.fcn3_o = (Vehicle_B.Product1_o * Vehicle_B.Product3_lz +
                        Vehicle_B.Product_jc * Vehicle_B.Product2_j) * 2.0;

    /* If: '<S268>/If' */
    if (Vehicle_B.fcn3_o > 1.0) {
      /* Outputs for IfAction SubSystem: '<S268>/If Action Subsystem' incorporates:
       *  ActionPort: '<S269>/Action Port'
       */
      /* Merge: '<S268>/Merge' incorporates:
       *  Constant: '<S269>/Constant'
       */
      Vehicle_B.Merge_k = 1.0;

      /* End of Outputs for SubSystem: '<S268>/If Action Subsystem' */
    } else if (Vehicle_B.fcn3_o < -1.0) {
      /* Outputs for IfAction SubSystem: '<S268>/If Action Subsystem1' incorporates:
       *  ActionPort: '<S270>/Action Port'
       */
      /* Merge: '<S268>/Merge' incorporates:
       *  Constant: '<S270>/Constant'
       */
      Vehicle_B.Merge_k = 1.0;

      /* End of Outputs for SubSystem: '<S268>/If Action Subsystem1' */
    } else {
      /* Outputs for IfAction SubSystem: '<S268>/If Action Subsystem2' incorporates:
       *  ActionPort: '<S271>/Action Port'
       */
      Vehicle_IfActionSubsystem2_f(Vehicle_B.fcn3_o, &Vehicle_B.Merge_k);

      /* End of Outputs for SubSystem: '<S268>/If Action Subsystem2' */
    }

    /* End of If: '<S268>/If' */

    /* Trigonometry: '<S266>/trigFcn' */
    tmpForInput_idx_0 = Vehicle_B.Merge_k;
    if (tmpForInput_idx_0 > 1.0) {
      tmpForInput_idx_0 = 1.0;
    } else {
      if (tmpForInput_idx_0 < -1.0) {
        tmpForInput_idx_0 = -1.0;
      }
    }

    Vehicle_B.VectorConcatenate_a[1] = std::asin(tmpForInput_idx_0);

    /* End of Trigonometry: '<S266>/trigFcn' */

    /* Fcn: '<S128>/fcn4' */
    Vehicle_B.fcn4_n = (Vehicle_B.Product1_o * Vehicle_B.Product2_j -
                        Vehicle_B.Product_jc * Vehicle_B.Product3_lz) * -2.0;

    /* Fcn: '<S128>/fcn5' */
    Vehicle_B.fcn5_g = ((Vehicle_B.Product_jc * Vehicle_B.Product_jc +
                         Vehicle_B.Product1_o * Vehicle_B.Product1_o) -
                        Vehicle_B.Product2_j * Vehicle_B.Product2_j) -
      Vehicle_B.Product3_lz * Vehicle_B.Product3_lz;

    /* Trigonometry: '<S266>/Trigonometric Function3' */
    Vehicle_B.VectorConcatenate_a[2] = rt_atan2d_snf(Vehicle_B.fcn4_n,
      Vehicle_B.fcn5_g);

    /* Gain: '<S229>/Derivative Gain' */
    Vehicle_B.DerivativeGain_k[0] = 0.02 * Vehicle_B.VectorConcatenate_a[0];

    /* SampleTimeMath: '<S232>/Tsamp'
     *
     * About '<S232>/Tsamp':
     *  y = u * K where K = 1 / ( w * Ts )
     *  Multiplication by K = weightedTsampQuantized is being
     *  done implicitly by changing the scaling of the input signal.
     *  No work needs to be done here.  Downstream blocks may need
     *  to do work to handle the scaling of the output; this happens
     *  automatically.
     */
    Vehicle_B.Tsamp_f[0] = Vehicle_B.DerivativeGain_k[0];

    /* Delay: '<S230>/UD' */
    Vehicle_B.UD_l[0] = Vehicle_DW.UD_DSTATE_d[0];

    /* Sum: '<S230>/Diff' */
    Vehicle_B.Diff_e[0] = Vehicle_B.Tsamp_f[0] - Vehicle_B.UD_l[0];

    /* Gain: '<S234>/Integral Gain' */
    Vehicle_B.IntegralGain_p[0] = 2.0E-10 * Vehicle_B.VectorConcatenate_a[0];

    /* DiscreteIntegrator: '<S237>/Integrator' */
    Vehicle_B.Integrator_k[0] = Vehicle_DW.Integrator_DSTATE_f[0];

    /* Gain: '<S242>/Proportional Gain' */
    Vehicle_B.ProportionalGain_h[0] = 8.0000000000000013E-6 *
      Vehicle_B.VectorConcatenate_a[0];

    /* Merge: '<S1>/Merge' incorporates:
     *  Sum: '<S246>/Sum'
     */
    Vehicle_B.Merge[0] = (Vehicle_B.ProportionalGain_h[0] +
                          Vehicle_B.Integrator_k[0]) + Vehicle_B.Diff_e[0];

    /* Update for Delay: '<S230>/UD' */
    Vehicle_DW.UD_DSTATE_d[0] = Vehicle_B.Tsamp_f[0];

    /* Update for DiscreteIntegrator: '<S237>/Integrator' */
    Vehicle_DW.Integrator_DSTATE_f[0] += Vehicle_B.IntegralGain_p[0];

    /* Gain: '<S229>/Derivative Gain' */
    Vehicle_B.DerivativeGain_k[1] = 0.02 * Vehicle_B.VectorConcatenate_a[1];

    /* SampleTimeMath: '<S232>/Tsamp'
     *
     * About '<S232>/Tsamp':
     *  y = u * K where K = 1 / ( w * Ts )
     *  Multiplication by K = weightedTsampQuantized is being
     *  done implicitly by changing the scaling of the input signal.
     *  No work needs to be done here.  Downstream blocks may need
     *  to do work to handle the scaling of the output; this happens
     *  automatically.
     */
    Vehicle_B.Tsamp_f[1] = Vehicle_B.DerivativeGain_k[1];

    /* Delay: '<S230>/UD' */
    Vehicle_B.UD_l[1] = Vehicle_DW.UD_DSTATE_d[1];

    /* Sum: '<S230>/Diff' */
    Vehicle_B.Diff_e[1] = Vehicle_B.Tsamp_f[1] - Vehicle_B.UD_l[1];

    /* Gain: '<S234>/Integral Gain' */
    Vehicle_B.IntegralGain_p[1] = 2.0E-10 * Vehicle_B.VectorConcatenate_a[1];

    /* DiscreteIntegrator: '<S237>/Integrator' */
    Vehicle_B.Integrator_k[1] = Vehicle_DW.Integrator_DSTATE_f[1];

    /* Gain: '<S242>/Proportional Gain' */
    Vehicle_B.ProportionalGain_h[1] = 8.0000000000000013E-6 *
      Vehicle_B.VectorConcatenate_a[1];

    /* Merge: '<S1>/Merge' incorporates:
     *  Sum: '<S246>/Sum'
     */
    Vehicle_B.Merge[1] = (Vehicle_B.ProportionalGain_h[1] +
                          Vehicle_B.Integrator_k[1]) + Vehicle_B.Diff_e[1];

    /* Update for Delay: '<S230>/UD' */
    Vehicle_DW.UD_DSTATE_d[1] = Vehicle_B.Tsamp_f[1];

    /* Update for DiscreteIntegrator: '<S237>/Integrator' */
    Vehicle_DW.Integrator_DSTATE_f[1] += Vehicle_B.IntegralGain_p[1];

    /* Gain: '<S229>/Derivative Gain' */
    Vehicle_B.DerivativeGain_k[2] = 0.02 * Vehicle_B.VectorConcatenate_a[2];

    /* SampleTimeMath: '<S232>/Tsamp'
     *
     * About '<S232>/Tsamp':
     *  y = u * K where K = 1 / ( w * Ts )
     *  Multiplication by K = weightedTsampQuantized is being
     *  done implicitly by changing the scaling of the input signal.
     *  No work needs to be done here.  Downstream blocks may need
     *  to do work to handle the scaling of the output; this happens
     *  automatically.
     */
    Vehicle_B.Tsamp_f[2] = Vehicle_B.DerivativeGain_k[2];

    /* Delay: '<S230>/UD' */
    Vehicle_B.UD_l[2] = Vehicle_DW.UD_DSTATE_d[2];

    /* Sum: '<S230>/Diff' */
    Vehicle_B.Diff_e[2] = Vehicle_B.Tsamp_f[2] - Vehicle_B.UD_l[2];

    /* Gain: '<S234>/Integral Gain' */
    Vehicle_B.IntegralGain_p[2] = 2.0E-10 * Vehicle_B.VectorConcatenate_a[2];

    /* DiscreteIntegrator: '<S237>/Integrator' */
    Vehicle_B.Integrator_k[2] = Vehicle_DW.Integrator_DSTATE_f[2];

    /* Gain: '<S242>/Proportional Gain' */
    Vehicle_B.ProportionalGain_h[2] = 8.0000000000000013E-6 *
      Vehicle_B.VectorConcatenate_a[2];

    /* Merge: '<S1>/Merge' incorporates:
     *  Sum: '<S246>/Sum'
     */
    Vehicle_B.Merge[2] = (Vehicle_B.ProportionalGain_h[2] +
                          Vehicle_B.Integrator_k[2]) + Vehicle_B.Diff_e[2];

    /* Update for Delay: '<S230>/UD' */
    Vehicle_DW.UD_DSTATE_d[2] = Vehicle_B.Tsamp_f[2];

    /* Update for DiscreteIntegrator: '<S237>/Integrator' */
    Vehicle_DW.Integrator_DSTATE_f[2] += Vehicle_B.IntegralGain_p[2];

    /* End of Outputs for SubSystem: '<S1>/SunPointing Mode' */
    break;

   case 2:
    /* Outputs for IfAction SubSystem: '<S1>/NadirPointing Mode' incorporates:
     *  ActionPort: '<S3>/Action Port'
     */
    /* Product: '<S20>/j x k' incorporates:
     *  Inport: '<Root>/vECEF'
     *  Inport: '<Root>/xECEF'
     */
    Vehicle_B.jxk = Vehicle_U.vECEF[1] * Vehicle_U.xECEF[2];

    /* Product: '<S20>/k x i' incorporates:
     *  Inport: '<Root>/vECEF'
     *  Inport: '<Root>/xECEF'
     */
    Vehicle_B.kxi = Vehicle_U.vECEF[2] * Vehicle_U.xECEF[0];

    /* Product: '<S20>/i x j' incorporates:
     *  Inport: '<Root>/vECEF'
     *  Inport: '<Root>/xECEF'
     */
    Vehicle_B.ixj = Vehicle_U.vECEF[0] * Vehicle_U.xECEF[1];

    /* Product: '<S21>/k x j' incorporates:
     *  Inport: '<Root>/vECEF'
     *  Inport: '<Root>/xECEF'
     */
    Vehicle_B.kxj = Vehicle_U.vECEF[2] * Vehicle_U.xECEF[1];

    /* Product: '<S21>/i x k' incorporates:
     *  Inport: '<Root>/vECEF'
     *  Inport: '<Root>/xECEF'
     */
    Vehicle_B.ixk = Vehicle_U.vECEF[0] * Vehicle_U.xECEF[2];

    /* Product: '<S21>/j x i' incorporates:
     *  Inport: '<Root>/vECEF'
     *  Inport: '<Root>/xECEF'
     */
    Vehicle_B.jxi = Vehicle_U.vECEF[1] * Vehicle_U.xECEF[0];

    /* Sum: '<S13>/Sum' */
    Vehicle_B.Sum[0] = Vehicle_B.jxk - Vehicle_B.kxj;
    Vehicle_B.Sum[1] = Vehicle_B.kxi - Vehicle_B.ixk;
    Vehicle_B.Sum[2] = Vehicle_B.ixj - Vehicle_B.jxi;

    /* Gain: '<S7>/z = -r' incorporates:
     *  Inport: '<Root>/xECEF'
     */
    Vehicle_B.zr[0] = -Vehicle_U.xECEF[0];
    Vehicle_B.zr[1] = -Vehicle_U.xECEF[1];
    Vehicle_B.zr[2] = -Vehicle_U.xECEF[2];

    /* Product: '<S18>/i x j' */
    Vehicle_B.ixj_f = Vehicle_B.Sum[0] * Vehicle_B.zr[1];

    /* Product: '<S18>/j x k' */
    Vehicle_B.jxk_o = Vehicle_B.Sum[1] * Vehicle_B.zr[2];

    /* Product: '<S18>/k x i' */
    Vehicle_B.kxi_e = Vehicle_B.Sum[2] * Vehicle_B.zr[0];

    /* Product: '<S19>/i x k' */
    Vehicle_B.ixk_g = Vehicle_B.Sum[0] * Vehicle_B.zr[2];

    /* Product: '<S19>/j x i' */
    Vehicle_B.jxi_l = Vehicle_B.Sum[1] * Vehicle_B.zr[0];

    /* Product: '<S19>/k x j' */
    Vehicle_B.kxj_a = Vehicle_B.Sum[2] * Vehicle_B.zr[1];

    /* Sum: '<S12>/Sum' */
    Vehicle_B.Sum_l[0] = Vehicle_B.jxk_o - Vehicle_B.kxj_a;
    Vehicle_B.Sum_l[1] = Vehicle_B.kxi_e - Vehicle_B.ixk_g;
    Vehicle_B.Sum_l[2] = Vehicle_B.ixj_f - Vehicle_B.jxi_l;

    /* DotProduct: '<S15>/Dot Product' */
    tmpForInput_idx_1 = Vehicle_B.Sum_l[0];
    tmpForInput_idx_0 = Vehicle_B.Sum_l[0];
    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;
    tmpForInput_idx_1 = Vehicle_B.Sum_l[1];
    tmpForInput_idx_0 = Vehicle_B.Sum_l[1];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;
    tmpForInput_idx_1 = Vehicle_B.Sum_l[2];
    tmpForInput_idx_0 = Vehicle_B.Sum_l[2];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S15>/Dot Product' */
    Vehicle_B.DotProduct = tmpForInput_idx_2;

    /* Sum: '<S15>/Sum of Elements' */
    tmpForInput_idx_0 = Vehicle_B.DotProduct;

    /* Sum: '<S15>/Sum of Elements' */
    Vehicle_B.SumofElements = tmpForInput_idx_0;

    /* Math: '<S15>/Math Function1'
     *
     * About '<S15>/Math Function1':
     *  Operator: sqrt
     */
    tmpForInput_idx_0 = Vehicle_B.SumofElements;
    if (tmpForInput_idx_0 < 0.0) {
      /* Math: '<S15>/Math Function1'
       *
       * About '<S15>/Math Function1':
       *  Operator: sqrt
       */
      Vehicle_B.MathFunction1 = -std::sqrt(std::abs(tmpForInput_idx_0));
    } else {
      /* Math: '<S15>/Math Function1'
       *
       * About '<S15>/Math Function1':
       *  Operator: sqrt
       */
      Vehicle_B.MathFunction1 = std::sqrt(tmpForInput_idx_0);
    }

    /* End of Math: '<S15>/Math Function1' */

    /* Product: '<S15>/Divide' */
    Vehicle_B.ORFtoECEF[0] = Vehicle_B.Sum_l[0] / Vehicle_B.MathFunction1;

    /* DotProduct: '<S16>/Dot Product' */
    tmpForInput_idx_1 = Vehicle_B.Sum[0];
    tmpForInput_idx_0 = Vehicle_B.Sum[0];
    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* Product: '<S15>/Divide' */
    Vehicle_B.ORFtoECEF[1] = Vehicle_B.Sum_l[1] / Vehicle_B.MathFunction1;

    /* DotProduct: '<S16>/Dot Product' */
    tmpForInput_idx_1 = Vehicle_B.Sum[1];
    tmpForInput_idx_0 = Vehicle_B.Sum[1];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* Product: '<S15>/Divide' */
    Vehicle_B.ORFtoECEF[2] = Vehicle_B.Sum_l[2] / Vehicle_B.MathFunction1;

    /* DotProduct: '<S16>/Dot Product' */
    tmpForInput_idx_1 = Vehicle_B.Sum[2];
    tmpForInput_idx_0 = Vehicle_B.Sum[2];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S16>/Dot Product' */
    Vehicle_B.DotProduct_p = tmpForInput_idx_2;

    /* Sum: '<S16>/Sum of Elements' */
    tmpForInput_idx_0 = Vehicle_B.DotProduct_p;

    /* Sum: '<S16>/Sum of Elements' */
    Vehicle_B.SumofElements_c = tmpForInput_idx_0;

    /* Math: '<S16>/Math Function1'
     *
     * About '<S16>/Math Function1':
     *  Operator: sqrt
     */
    tmpForInput_idx_0 = Vehicle_B.SumofElements_c;
    if (tmpForInput_idx_0 < 0.0) {
      /* Math: '<S16>/Math Function1'
       *
       * About '<S16>/Math Function1':
       *  Operator: sqrt
       */
      Vehicle_B.MathFunction1_b = -std::sqrt(std::abs(tmpForInput_idx_0));
    } else {
      /* Math: '<S16>/Math Function1'
       *
       * About '<S16>/Math Function1':
       *  Operator: sqrt
       */
      Vehicle_B.MathFunction1_b = std::sqrt(tmpForInput_idx_0);
    }

    /* End of Math: '<S16>/Math Function1' */

    /* Product: '<S16>/Divide' */
    Vehicle_B.ORFtoECEF[3] = Vehicle_B.Sum[0] / Vehicle_B.MathFunction1_b;

    /* DotProduct: '<S17>/Dot Product' */
    tmpForInput_idx_1 = Vehicle_B.zr[0];
    tmpForInput_idx_0 = Vehicle_B.zr[0];
    tmpForInput_idx_2 = tmpForInput_idx_1 * tmpForInput_idx_0;

    /* Product: '<S16>/Divide' */
    Vehicle_B.ORFtoECEF[4] = Vehicle_B.Sum[1] / Vehicle_B.MathFunction1_b;

    /* DotProduct: '<S17>/Dot Product' */
    tmpForInput_idx_1 = Vehicle_B.zr[1];
    tmpForInput_idx_0 = Vehicle_B.zr[1];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* Product: '<S16>/Divide' */
    Vehicle_B.ORFtoECEF[5] = Vehicle_B.Sum[2] / Vehicle_B.MathFunction1_b;

    /* DotProduct: '<S17>/Dot Product' */
    tmpForInput_idx_1 = Vehicle_B.zr[2];
    tmpForInput_idx_0 = Vehicle_B.zr[2];
    tmpForInput_idx_2 += tmpForInput_idx_1 * tmpForInput_idx_0;

    /* DotProduct: '<S17>/Dot Product' */
    Vehicle_B.DotProduct_b = tmpForInput_idx_2;

    /* Sum: '<S17>/Sum of Elements' */
    tmpForInput_idx_0 = Vehicle_B.DotProduct_b;

    /* Sum: '<S17>/Sum of Elements' */
    Vehicle_B.SumofElements_l = tmpForInput_idx_0;

    /* Math: '<S17>/Math Function1'
     *
     * About '<S17>/Math Function1':
     *  Operator: sqrt
     */
    tmpForInput_idx_0 = Vehicle_B.SumofElements_l;
    if (tmpForInput_idx_0 < 0.0) {
      /* Math: '<S17>/Math Function1'
       *
       * About '<S17>/Math Function1':
       *  Operator: sqrt
       */
      Vehicle_B.MathFunction1_m = -std::sqrt(std::abs(tmpForInput_idx_0));
    } else {
      /* Math: '<S17>/Math Function1'
       *
       * About '<S17>/Math Function1':
       *  Operator: sqrt
       */
      Vehicle_B.MathFunction1_m = std::sqrt(tmpForInput_idx_0);
    }

    /* End of Math: '<S17>/Math Function1' */

    /* Product: '<S17>/Divide' */
    Vehicle_B.ORFtoECEF[6] = Vehicle_B.zr[0] / Vehicle_B.MathFunction1_m;
    Vehicle_B.ORFtoECEF[7] = Vehicle_B.zr[1] / Vehicle_B.MathFunction1_m;
    Vehicle_B.ORFtoECEF[8] = Vehicle_B.zr[2] / Vehicle_B.MathFunction1_m;
    for (i = 0; i < 3; i++) {
      /* Math: '<S7>/ECEF to ORF' incorporates:
       *  Concatenate: '<S7>/ORF to ECEF'
       */
      Vehicle_B.ECEFtoORF[3 * i] = Vehicle_B.ORFtoECEF[i];
      Vehicle_B.ECEFtoORF[3 * i + 1] = Vehicle_B.ORFtoECEF[i + 3];
      Vehicle_B.ECEFtoORF[3 * i + 2] = Vehicle_B.ORFtoECEF[i + 6];
    }

    /* Sum: '<S25>/Add' */
    tmpForInput_idx_0 = Vehicle_B.ECEFtoORF[0];
    tmpForInput_idx_1 = Vehicle_B.ECEFtoORF[4];
    tmpForInput_idx_2 = Vehicle_B.ECEFtoORF[8];
    tmpForInput_idx_0 += tmpForInput_idx_1;
    tmpForInput_idx_0 += tmpForInput_idx_2;

    /* Sum: '<S25>/Add' */
    Vehicle_B.Add = tmpForInput_idx_0;

    /* If: '<S14>/If' incorporates:
     *  If: '<S22>/Find Maximum Diagonal Value'
     */
    if (Vehicle_B.Add > 0.0) {
      /* Outputs for IfAction SubSystem: '<S14>/Positive Trace' incorporates:
       *  ActionPort: '<S23>/Action Port'
       */
      /* Sum: '<S23>/Sum' incorporates:
       *  Constant: '<S23>/Constant'
       */
      Vehicle_B.Sum_gh = Vehicle_B.Add + 1.0;

      /* Sqrt: '<S23>/sqrt' */
      Vehicle_B.sqrt_a = std::sqrt(Vehicle_B.Sum_gh);

      /* Gain: '<S23>/Gain' */
      Vehicle_B.Merge_i[0] = 0.5 * Vehicle_B.sqrt_a;

      /* Gain: '<S23>/Gain1' */
      Vehicle_B.Gain1 = 2.0 * Vehicle_B.sqrt_a;

      /* Sum: '<S46>/Add' */
      Vehicle_B.Add_k = Vehicle_B.ECEFtoORF[7] - Vehicle_B.ECEFtoORF[5];

      /* Sum: '<S45>/Add' */
      Vehicle_B.Add_el = Vehicle_B.ECEFtoORF[2] - Vehicle_B.ECEFtoORF[6];

      /* Sum: '<S47>/Add' */
      Vehicle_B.Add_a = Vehicle_B.ECEFtoORF[3] - Vehicle_B.ECEFtoORF[1];

      /* Product: '<S23>/Product' */
      Vehicle_B.Merge_i[1] = Vehicle_B.Add_k / Vehicle_B.Gain1;
      Vehicle_B.Merge_i[2] = Vehicle_B.Add_el / Vehicle_B.Gain1;
      Vehicle_B.Merge_i[3] = Vehicle_B.Add_a / Vehicle_B.Gain1;

      /* End of Outputs for SubSystem: '<S14>/Positive Trace' */
    } else {
      /* Outputs for IfAction SubSystem: '<S14>/Negative Trace' incorporates:
       *  ActionPort: '<S22>/Action Port'
       */
      if ((Vehicle_B.ECEFtoORF[4] > Vehicle_B.ECEFtoORF[0]) &&
          (Vehicle_B.ECEFtoORF[4] > Vehicle_B.ECEFtoORF[8])) {
        /* Outputs for IfAction SubSystem: '<S22>/Maximum Value at DCM(2,2)' incorporates:
         *  ActionPort: '<S27>/Action Port'
         */
        /* If: '<S22>/Find Maximum Diagonal Value' incorporates:
         *  Constant: '<S39>/Constant'
         *  Gain: '<S27>/Gain'
         *  Gain: '<S27>/Gain1'
         *  Gain: '<S27>/Gain3'
         *  Gain: '<S27>/Gain4'
         *  Product: '<S27>/Product'
         *  Product: '<S38>/Product'
         *  Sqrt: '<S27>/sqrt'
         *  Sum: '<S35>/Add'
         *  Sum: '<S36>/Add'
         *  Sum: '<S37>/Add'
         *  Sum: '<S39>/Add'
         *  Switch: '<S38>/Switch'
         */
        Vehicle_B.Add_g = ((Vehicle_B.ECEFtoORF[4] - Vehicle_B.ECEFtoORF[0]) -
                           Vehicle_B.ECEFtoORF[8]) + 1.0;
        Vehicle_B.sqrt_mw = std::sqrt(Vehicle_B.Add_g);
        Vehicle_B.Merge_i[2] = 0.5 * Vehicle_B.sqrt_mw;
        Vehicle_B.Add_gw = Vehicle_B.ECEFtoORF[1] + Vehicle_B.ECEFtoORF[3];
        Vehicle_B.Add_fc = Vehicle_B.ECEFtoORF[5] + Vehicle_B.ECEFtoORF[7];
        Vehicle_B.Add_d = Vehicle_B.ECEFtoORF[2] - Vehicle_B.ECEFtoORF[6];
        if (Vehicle_B.sqrt_mw != 0.0) {
          /* Switch: '<S38>/Switch' incorporates:
           *  Constant: '<S38>/Constant1'
           */
          Vehicle_B.Switch_f[0] = 0.5;
          Vehicle_B.Switch_f[1] = Vehicle_B.sqrt_mw;
        } else {
          /* Switch: '<S38>/Switch' */
          Vehicle_B.Switch_f[0] = 0.0;
          Vehicle_B.Switch_f[1] = 1.0;
        }

        Vehicle_B.Product_e = Vehicle_B.Switch_f[0] / Vehicle_B.Switch_f[1];
        Vehicle_B.Product_o[0] = Vehicle_B.Add_gw * Vehicle_B.Product_e;
        Vehicle_B.Product_o[1] = Vehicle_B.Add_fc * Vehicle_B.Product_e;
        Vehicle_B.Product_o[2] = Vehicle_B.Add_d * Vehicle_B.Product_e;
        Vehicle_B.Merge_i[1] = Vehicle_B.Product_o[0];
        Vehicle_B.Merge_i[3] = Vehicle_B.Product_o[1];
        Vehicle_B.Merge_i[0] = Vehicle_B.Product_o[2];

        /* End of Outputs for SubSystem: '<S22>/Maximum Value at DCM(2,2)' */
      } else if (Vehicle_B.ECEFtoORF[8] > Vehicle_B.ECEFtoORF[0]) {
        /* Outputs for IfAction SubSystem: '<S22>/Maximum Value at DCM(3,3)' incorporates:
         *  ActionPort: '<S28>/Action Port'
         */
        /* If: '<S22>/Find Maximum Diagonal Value' incorporates:
         *  Constant: '<S44>/Constant'
         *  Gain: '<S28>/Gain'
         *  Gain: '<S28>/Gain1'
         *  Gain: '<S28>/Gain2'
         *  Gain: '<S28>/Gain3'
         *  Product: '<S28>/Product'
         *  Product: '<S43>/Product'
         *  Sqrt: '<S28>/sqrt'
         *  Sum: '<S40>/Add'
         *  Sum: '<S41>/Add'
         *  Sum: '<S42>/Add'
         *  Sum: '<S44>/Add'
         *  Switch: '<S43>/Switch'
         */
        Vehicle_B.Add_f = ((Vehicle_B.ECEFtoORF[8] - Vehicle_B.ECEFtoORF[0]) -
                           Vehicle_B.ECEFtoORF[4]) + 1.0;
        Vehicle_B.sqrt_l = std::sqrt(Vehicle_B.Add_f);
        Vehicle_B.Merge_i[3] = 0.5 * Vehicle_B.sqrt_l;
        Vehicle_B.Add_e = Vehicle_B.ECEFtoORF[2] + Vehicle_B.ECEFtoORF[6];
        Vehicle_B.Add_l2 = Vehicle_B.ECEFtoORF[5] + Vehicle_B.ECEFtoORF[7];
        Vehicle_B.Add_ek = Vehicle_B.ECEFtoORF[3] - Vehicle_B.ECEFtoORF[1];
        if (Vehicle_B.sqrt_l != 0.0) {
          /* Switch: '<S43>/Switch' incorporates:
           *  Constant: '<S43>/Constant1'
           */
          Vehicle_B.Switch_b[0] = 0.5;
          Vehicle_B.Switch_b[1] = Vehicle_B.sqrt_l;
        } else {
          /* Switch: '<S43>/Switch' */
          Vehicle_B.Switch_b[0] = 0.0;
          Vehicle_B.Switch_b[1] = 1.0;
        }

        Vehicle_B.Product_d = Vehicle_B.Switch_b[0] / Vehicle_B.Switch_b[1];
        Vehicle_B.Product_i[0] = Vehicle_B.Add_e * Vehicle_B.Product_d;
        Vehicle_B.Product_i[1] = Vehicle_B.Add_l2 * Vehicle_B.Product_d;
        Vehicle_B.Product_i[2] = Vehicle_B.Add_ek * Vehicle_B.Product_d;
        Vehicle_B.Merge_i[1] = Vehicle_B.Product_i[0];
        Vehicle_B.Merge_i[2] = Vehicle_B.Product_i[1];
        Vehicle_B.Merge_i[0] = Vehicle_B.Product_i[2];

        /* End of Outputs for SubSystem: '<S22>/Maximum Value at DCM(3,3)' */
      } else {
        /* Outputs for IfAction SubSystem: '<S22>/Maximum Value at DCM(1,1)' incorporates:
         *  ActionPort: '<S26>/Action Port'
         */
        /* If: '<S22>/Find Maximum Diagonal Value' incorporates:
         *  Constant: '<S34>/Constant'
         *  Gain: '<S26>/Gain'
         *  Gain: '<S26>/Gain1'
         *  Gain: '<S26>/Gain2'
         *  Gain: '<S26>/Gain3'
         *  Product: '<S26>/Product'
         *  Product: '<S33>/Product'
         *  Sqrt: '<S26>/sqrt'
         *  Sum: '<S30>/Add'
         *  Sum: '<S31>/Add'
         *  Sum: '<S32>/Add'
         *  Sum: '<S34>/Add'
         *  Switch: '<S33>/Switch'
         */
        Vehicle_B.Add_m = ((Vehicle_B.ECEFtoORF[0] - Vehicle_B.ECEFtoORF[4]) -
                           Vehicle_B.ECEFtoORF[8]) + 1.0;
        Vehicle_B.sqrt_m = std::sqrt(Vehicle_B.Add_m);
        Vehicle_B.Merge_i[1] = 0.5 * Vehicle_B.sqrt_m;
        if (Vehicle_B.sqrt_m != 0.0) {
          /* Switch: '<S33>/Switch' incorporates:
           *  Constant: '<S33>/Constant1'
           */
          Vehicle_B.Switch[0] = 0.5;
          Vehicle_B.Switch[1] = Vehicle_B.sqrt_m;
        } else {
          /* Switch: '<S33>/Switch' */
          Vehicle_B.Switch[0] = 0.0;
          Vehicle_B.Switch[1] = 1.0;
        }

        Vehicle_B.Product_k = Vehicle_B.Switch[0] / Vehicle_B.Switch[1];
        Vehicle_B.Add_o = Vehicle_B.ECEFtoORF[1] + Vehicle_B.ECEFtoORF[3];
        Vehicle_B.Add_ov = Vehicle_B.ECEFtoORF[2] + Vehicle_B.ECEFtoORF[6];
        Vehicle_B.Add_l = Vehicle_B.ECEFtoORF[7] - Vehicle_B.ECEFtoORF[5];
        Vehicle_B.Product_cy[0] = Vehicle_B.Product_k * Vehicle_B.Add_o;
        Vehicle_B.Product_cy[1] = Vehicle_B.Product_k * Vehicle_B.Add_ov;
        Vehicle_B.Product_cy[2] = Vehicle_B.Product_k * Vehicle_B.Add_l;
        Vehicle_B.Merge_i[2] = Vehicle_B.Product_cy[0];
        Vehicle_B.Merge_i[3] = Vehicle_B.Product_cy[1];
        Vehicle_B.Merge_i[0] = Vehicle_B.Product_cy[2];

        /* End of Outputs for SubSystem: '<S22>/Maximum Value at DCM(1,1)' */
      }

      /* End of Outputs for SubSystem: '<S14>/Negative Trace' */
    }

    /* End of If: '<S14>/If' */

    /* Product: '<S111>/Product' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.Product = Vehicle_U.qECEF2b[0] * Vehicle_U.qECEF2b[0];

    /* Product: '<S111>/Product1' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.Product1 = Vehicle_U.qECEF2b[1] * Vehicle_U.qECEF2b[1];

    /* Product: '<S111>/Product2' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.Product2 = Vehicle_U.qECEF2b[2] * Vehicle_U.qECEF2b[2];

    /* Product: '<S111>/Product3' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.Product3 = Vehicle_U.qECEF2b[3] * Vehicle_U.qECEF2b[3];

    /* Sum: '<S111>/Sum' */
    Vehicle_B.Sum_i = ((Vehicle_B.Product + Vehicle_B.Product1) +
                       Vehicle_B.Product2) + Vehicle_B.Product3;

    /* Product: '<S9>/Divide' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.Divide = Vehicle_U.qECEF2b[0] / Vehicle_B.Sum_i;

    /* Product: '<S112>/Product' */
    Vehicle_B.Product_j = Vehicle_B.Divide * Vehicle_B.Merge_i[0];

    /* UnaryMinus: '<S110>/Unary Minus' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.UnaryMinus = -Vehicle_U.qECEF2b[1];

    /* Product: '<S9>/Divide1' */
    Vehicle_B.Divide1 = Vehicle_B.UnaryMinus / Vehicle_B.Sum_i;

    /* Product: '<S112>/Product1' */
    Vehicle_B.Product1_h = Vehicle_B.Divide1 * Vehicle_B.Merge_i[1];

    /* UnaryMinus: '<S110>/Unary Minus1' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.UnaryMinus1 = -Vehicle_U.qECEF2b[2];

    /* Product: '<S9>/Divide2' */
    Vehicle_B.Divide2 = Vehicle_B.UnaryMinus1 / Vehicle_B.Sum_i;

    /* Product: '<S112>/Product2' */
    Vehicle_B.Product2_d = Vehicle_B.Divide2 * Vehicle_B.Merge_i[2];

    /* UnaryMinus: '<S110>/Unary Minus2' incorporates:
     *  Inport: '<Root>/qECEF2b'
     */
    Vehicle_B.UnaryMinus2 = -Vehicle_U.qECEF2b[3];

    /* Product: '<S9>/Divide3' */
    Vehicle_B.Divide3 = Vehicle_B.UnaryMinus2 / Vehicle_B.Sum_i;

    /* Product: '<S112>/Product3' */
    Vehicle_B.Product3_c = Vehicle_B.Divide3 * Vehicle_B.Merge_i[3];

    /* Sum: '<S112>/Sum' */
    Vehicle_B.Sum_p = ((Vehicle_B.Product_j - Vehicle_B.Product1_h) -
                       Vehicle_B.Product2_d) - Vehicle_B.Product3_c;

    /* Product: '<S123>/Product' */
    Vehicle_B.Product_b = Vehicle_B.Sum_p * Vehicle_B.Sum_p;

    /* Product: '<S113>/Product' */
    Vehicle_B.Product_p = Vehicle_B.Divide * Vehicle_B.Merge_i[1];

    /* Product: '<S113>/Product1' */
    Vehicle_B.Product1_i = Vehicle_B.Divide1 * Vehicle_B.Merge_i[0];

    /* Product: '<S113>/Product2' */
    Vehicle_B.Product2_o = Vehicle_B.Divide2 * Vehicle_B.Merge_i[3];

    /* Product: '<S113>/Product3' */
    Vehicle_B.Product3_p = Vehicle_B.Divide3 * Vehicle_B.Merge_i[2];

    /* Sum: '<S113>/Sum' */
    Vehicle_B.Sum_iw = ((Vehicle_B.Product_p + Vehicle_B.Product1_i) +
                        Vehicle_B.Product2_o) - Vehicle_B.Product3_p;

    /* Product: '<S123>/Product1' */
    Vehicle_B.Product1_in = Vehicle_B.Sum_iw * Vehicle_B.Sum_iw;

    /* Product: '<S114>/Product' */
    Vehicle_B.Product_by = Vehicle_B.Divide * Vehicle_B.Merge_i[2];

    /* Product: '<S114>/Product1' */
    Vehicle_B.Product1_f = Vehicle_B.Divide1 * Vehicle_B.Merge_i[3];

    /* Product: '<S114>/Product2' */
    Vehicle_B.Product2_m = Vehicle_B.Divide2 * Vehicle_B.Merge_i[0];

    /* Product: '<S114>/Product3' */
    Vehicle_B.Product3_pa = Vehicle_B.Divide3 * Vehicle_B.Merge_i[1];

    /* Sum: '<S114>/Sum' */
    Vehicle_B.Sum_d = ((Vehicle_B.Product_by - Vehicle_B.Product1_f) +
                       Vehicle_B.Product2_m) + Vehicle_B.Product3_pa;

    /* Product: '<S123>/Product2' */
    Vehicle_B.Product2_n = Vehicle_B.Sum_d * Vehicle_B.Sum_d;

    /* Product: '<S115>/Product' */
    Vehicle_B.Product_pd = Vehicle_B.Divide * Vehicle_B.Merge_i[3];

    /* Product: '<S115>/Product1' */
    Vehicle_B.Product1_d = Vehicle_B.Divide1 * Vehicle_B.Merge_i[2];

    /* Product: '<S115>/Product2' */
    Vehicle_B.Product2_nn = Vehicle_B.Divide2 * Vehicle_B.Merge_i[1];

    /* Product: '<S115>/Product3' */
    Vehicle_B.Product3_l = Vehicle_B.Divide3 * Vehicle_B.Merge_i[0];

    /* Sum: '<S115>/Sum' */
    Vehicle_B.Sum_o = ((Vehicle_B.Product_pd + Vehicle_B.Product1_d) -
                       Vehicle_B.Product2_nn) + Vehicle_B.Product3_l;

    /* Product: '<S123>/Product3' */
    Vehicle_B.Product3_ph = Vehicle_B.Sum_o * Vehicle_B.Sum_o;

    /* Sum: '<S123>/Sum' */
    Vehicle_B.Sum_g = ((Vehicle_B.Product_b + Vehicle_B.Product1_in) +
                       Vehicle_B.Product2_n) + Vehicle_B.Product3_ph;

    /* Sqrt: '<S122>/sqrt' */
    Vehicle_B.sqrt_g = std::sqrt(Vehicle_B.Sum_g);

    /* Product: '<S117>/Product' */
    Vehicle_B.Product_h = Vehicle_B.Sum_p / Vehicle_B.sqrt_g;

    /* Product: '<S117>/Product1' */
    Vehicle_B.Product1_j = Vehicle_B.Sum_iw / Vehicle_B.sqrt_g;

    /* Product: '<S117>/Product2' */
    Vehicle_B.Product2_dj = Vehicle_B.Sum_d / Vehicle_B.sqrt_g;

    /* Product: '<S117>/Product3' */
    Vehicle_B.Product3_e = Vehicle_B.Sum_o / Vehicle_B.sqrt_g;

    /* Fcn: '<S11>/fcn1' */
    Vehicle_B.fcn1 = (Vehicle_B.Product2_dj * Vehicle_B.Product3_e -
                      Vehicle_B.Product_h * Vehicle_B.Product1_j) * -2.0;

    /* Fcn: '<S11>/fcn2' */
    Vehicle_B.fcn2 = ((Vehicle_B.Product_h * Vehicle_B.Product_h -
                       Vehicle_B.Product1_j * Vehicle_B.Product1_j) -
                      Vehicle_B.Product2_dj * Vehicle_B.Product2_dj) +
      Vehicle_B.Product3_e * Vehicle_B.Product3_e;

    /* Trigonometry: '<S116>/Trigonometric Function1' */
    Vehicle_B.VectorConcatenate[0] = rt_atan2d_snf(Vehicle_B.fcn1,
      Vehicle_B.fcn2);

    /* Fcn: '<S11>/fcn3' */
    Vehicle_B.fcn3 = (Vehicle_B.Product1_j * Vehicle_B.Product3_e +
                      Vehicle_B.Product_h * Vehicle_B.Product2_dj) * 2.0;

    /* If: '<S118>/If' */
    if (Vehicle_B.fcn3 > 1.0) {
      /* Outputs for IfAction SubSystem: '<S118>/If Action Subsystem' incorporates:
       *  ActionPort: '<S119>/Action Port'
       */
      /* Merge: '<S118>/Merge' incorporates:
       *  Constant: '<S119>/Constant'
       */
      Vehicle_B.Merge_il = 1.0;

      /* End of Outputs for SubSystem: '<S118>/If Action Subsystem' */
    } else if (Vehicle_B.fcn3 < -1.0) {
      /* Outputs for IfAction SubSystem: '<S118>/If Action Subsystem1' incorporates:
       *  ActionPort: '<S120>/Action Port'
       */
      /* Merge: '<S118>/Merge' incorporates:
       *  Constant: '<S120>/Constant'
       */
      Vehicle_B.Merge_il = 1.0;

      /* End of Outputs for SubSystem: '<S118>/If Action Subsystem1' */
    } else {
      /* Outputs for IfAction SubSystem: '<S118>/If Action Subsystem2' incorporates:
       *  ActionPort: '<S121>/Action Port'
       */
      Vehicle_IfActionSubsystem2_f(Vehicle_B.fcn3, &Vehicle_B.Merge_il);

      /* End of Outputs for SubSystem: '<S118>/If Action Subsystem2' */
    }

    /* End of If: '<S118>/If' */

    /* Trigonometry: '<S116>/trigFcn' */
    tmpForInput_idx_0 = Vehicle_B.Merge_il;
    if (tmpForInput_idx_0 > 1.0) {
      tmpForInput_idx_0 = 1.0;
    } else {
      if (tmpForInput_idx_0 < -1.0) {
        tmpForInput_idx_0 = -1.0;
      }
    }

    Vehicle_B.VectorConcatenate[1] = std::asin(tmpForInput_idx_0);

    /* End of Trigonometry: '<S116>/trigFcn' */

    /* Fcn: '<S11>/fcn4' */
    Vehicle_B.fcn4 = (Vehicle_B.Product1_j * Vehicle_B.Product2_dj -
                      Vehicle_B.Product_h * Vehicle_B.Product3_e) * -2.0;

    /* Fcn: '<S11>/fcn5' */
    Vehicle_B.fcn5 = ((Vehicle_B.Product_h * Vehicle_B.Product_h +
                       Vehicle_B.Product1_j * Vehicle_B.Product1_j) -
                      Vehicle_B.Product2_dj * Vehicle_B.Product2_dj) -
      Vehicle_B.Product3_e * Vehicle_B.Product3_e;

    /* Trigonometry: '<S116>/Trigonometric Function3' */
    Vehicle_B.VectorConcatenate[2] = rt_atan2d_snf(Vehicle_B.fcn4,
      Vehicle_B.fcn5);

    /* Gain: '<S85>/Derivative Gain' */
    Vehicle_B.DerivativeGain[0] = 0.01 * Vehicle_B.VectorConcatenate[0];

    /* SampleTimeMath: '<S88>/Tsamp'
     *
     * About '<S88>/Tsamp':
     *  y = u * K where K = 1 / ( w * Ts )
     *  Multiplication by K = weightedTsampQuantized is being
     *  done implicitly by changing the scaling of the input signal.
     *  No work needs to be done here.  Downstream blocks may need
     *  to do work to handle the scaling of the output; this happens
     *  automatically.
     */
    Vehicle_B.Tsamp[0] = Vehicle_B.DerivativeGain[0];

    /* Delay: '<S86>/UD' */
    Vehicle_B.UD[0] = Vehicle_DW.UD_DSTATE[0];

    /* Sum: '<S86>/Diff' */
    Vehicle_B.Diff[0] = Vehicle_B.Tsamp[0] - Vehicle_B.UD[0];

    /* Gain: '<S90>/Integral Gain' */
    Vehicle_B.IntegralGain[0] = 1.0E-10 * Vehicle_B.VectorConcatenate[0];

    /* DiscreteIntegrator: '<S93>/Integrator' */
    Vehicle_B.Integrator[0] = Vehicle_DW.Integrator_DSTATE[0];

    /* Gain: '<S98>/Proportional Gain' */
    Vehicle_B.ProportionalGain[0] = 1.0E-5 * Vehicle_B.VectorConcatenate[0];

    /* Merge: '<S1>/Merge' incorporates:
     *  Sum: '<S102>/Sum'
     */
    Vehicle_B.Merge[0] = (Vehicle_B.ProportionalGain[0] + Vehicle_B.Integrator[0])
      + Vehicle_B.Diff[0];

    /* Update for Delay: '<S86>/UD' */
    Vehicle_DW.UD_DSTATE[0] = Vehicle_B.Tsamp[0];

    /* Update for DiscreteIntegrator: '<S93>/Integrator' */
    Vehicle_DW.Integrator_DSTATE[0] += Vehicle_B.IntegralGain[0];

    /* Gain: '<S85>/Derivative Gain' */
    Vehicle_B.DerivativeGain[1] = 0.01 * Vehicle_B.VectorConcatenate[1];

    /* SampleTimeMath: '<S88>/Tsamp'
     *
     * About '<S88>/Tsamp':
     *  y = u * K where K = 1 / ( w * Ts )
     *  Multiplication by K = weightedTsampQuantized is being
     *  done implicitly by changing the scaling of the input signal.
     *  No work needs to be done here.  Downstream blocks may need
     *  to do work to handle the scaling of the output; this happens
     *  automatically.
     */
    Vehicle_B.Tsamp[1] = Vehicle_B.DerivativeGain[1];

    /* Delay: '<S86>/UD' */
    Vehicle_B.UD[1] = Vehicle_DW.UD_DSTATE[1];

    /* Sum: '<S86>/Diff' */
    Vehicle_B.Diff[1] = Vehicle_B.Tsamp[1] - Vehicle_B.UD[1];

    /* Gain: '<S90>/Integral Gain' */
    Vehicle_B.IntegralGain[1] = 1.0E-10 * Vehicle_B.VectorConcatenate[1];

    /* DiscreteIntegrator: '<S93>/Integrator' */
    Vehicle_B.Integrator[1] = Vehicle_DW.Integrator_DSTATE[1];

    /* Gain: '<S98>/Proportional Gain' */
    Vehicle_B.ProportionalGain[1] = 1.0E-5 * Vehicle_B.VectorConcatenate[1];

    /* Merge: '<S1>/Merge' incorporates:
     *  Sum: '<S102>/Sum'
     */
    Vehicle_B.Merge[1] = (Vehicle_B.ProportionalGain[1] + Vehicle_B.Integrator[1])
      + Vehicle_B.Diff[1];

    /* Update for Delay: '<S86>/UD' */
    Vehicle_DW.UD_DSTATE[1] = Vehicle_B.Tsamp[1];

    /* Update for DiscreteIntegrator: '<S93>/Integrator' */
    Vehicle_DW.Integrator_DSTATE[1] += Vehicle_B.IntegralGain[1];

    /* Gain: '<S85>/Derivative Gain' */
    Vehicle_B.DerivativeGain[2] = 0.01 * Vehicle_B.VectorConcatenate[2];

    /* SampleTimeMath: '<S88>/Tsamp'
     *
     * About '<S88>/Tsamp':
     *  y = u * K where K = 1 / ( w * Ts )
     *  Multiplication by K = weightedTsampQuantized is being
     *  done implicitly by changing the scaling of the input signal.
     *  No work needs to be done here.  Downstream blocks may need
     *  to do work to handle the scaling of the output; this happens
     *  automatically.
     */
    Vehicle_B.Tsamp[2] = Vehicle_B.DerivativeGain[2];

    /* Delay: '<S86>/UD' */
    Vehicle_B.UD[2] = Vehicle_DW.UD_DSTATE[2];

    /* Sum: '<S86>/Diff' */
    Vehicle_B.Diff[2] = Vehicle_B.Tsamp[2] - Vehicle_B.UD[2];

    /* Gain: '<S90>/Integral Gain' */
    Vehicle_B.IntegralGain[2] = 1.0E-10 * Vehicle_B.VectorConcatenate[2];

    /* DiscreteIntegrator: '<S93>/Integrator' */
    Vehicle_B.Integrator[2] = Vehicle_DW.Integrator_DSTATE[2];

    /* Gain: '<S98>/Proportional Gain' */
    Vehicle_B.ProportionalGain[2] = 1.0E-5 * Vehicle_B.VectorConcatenate[2];

    /* Merge: '<S1>/Merge' incorporates:
     *  Sum: '<S102>/Sum'
     */
    Vehicle_B.Merge[2] = (Vehicle_B.ProportionalGain[2] + Vehicle_B.Integrator[2])
      + Vehicle_B.Diff[2];

    /* Update for Delay: '<S86>/UD' */
    Vehicle_DW.UD_DSTATE[2] = Vehicle_B.Tsamp[2];

    /* Update for DiscreteIntegrator: '<S93>/Integrator' */
    Vehicle_DW.Integrator_DSTATE[2] += Vehicle_B.IntegralGain[2];

    /* End of Outputs for SubSystem: '<S1>/NadirPointing Mode' */
    break;
  }

  /* End of SwitchCase: '<S1>/Switch Case' */
  /* End of Outputs for SubSystem: '<Root>/Vehicle Flight Software' */

  /* Outport: '<Root>/Commands' */
  Vehicle_Y.Commands[0] = Vehicle_B.Merge[0];
  Vehicle_Y.Commands[1] = Vehicle_B.Merge[1];
  Vehicle_Y.Commands[2] = Vehicle_B.Merge[2];
}

/* Model initialize function */
void VehicleModelClass::initialize()
{
  /* Registration code */

  /* initialize non-finites */
  rt_InitInfAndNaN(sizeof(real_T));

  /* SystemInitialize for Atomic SubSystem: '<Root>/Vehicle Flight Software' */
  /* SystemInitialize for IfAction SubSystem: '<S1>/NadirPointing Mode' */
  /* SystemInitialize for Merge: '<S14>/Merge' */
  /* '<S5>:1:5' state = [0;0;0]; */
  Vehicle_B.Merge_i[0] = 1.0;
  Vehicle_B.Merge_i[1] = 0.0;
  Vehicle_B.Merge_i[2] = 0.0;
  Vehicle_B.Merge_i[3] = 0.0;

  /* End of SystemInitialize for SubSystem: '<S1>/NadirPointing Mode' */
  /* End of SystemInitialize for SubSystem: '<Root>/Vehicle Flight Software' */

  /* SystemInitialize for Outport: '<Root>/Commands' */
  Vehicle_Y.Commands[0] = Vehicle_B.Merge[0];
  Vehicle_Y.Commands[1] = Vehicle_B.Merge[1];
  Vehicle_Y.Commands[2] = Vehicle_B.Merge[2];
}

/* Model terminate function */
void VehicleModelClass::terminate()
{
  /* (no terminate code required) */
}

/* Constructor */
VehicleModelClass::VehicleModelClass() :
  Vehicle_B(),
  Vehicle_DW(),
  Vehicle_U(),
  Vehicle_Y(),
  Vehicle_M()
{
  /* Currently there is no constructor body generated.*/
}

/* Destructor */
VehicleModelClass::~VehicleModelClass()
{
  /* Currently there is no destructor body generated.*/
}

/* Real-Time Model get method */
RT_MODEL_Vehicle_T * VehicleModelClass::getRTM()
{
  return (&Vehicle_M);
}
